Microsoft Office 개체

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

범례

개체 및 컬렉션
개체에만 적용


Microsoft Office 개발자를 위한 새로운 기능

공유 구성 요소의 향상된 새 기능을 지원하기 위해 Microsoft Office Visual Basic 개체 모델에 개체, 속성, 메서드, 이벤트 등의 많은 요소가 추가되었습니다.

새로운 기술 자료, 다운로드, 예제, 제품 소식 등을 비롯한 Microsoft Office의 최신 개발 정보에 대한 자세한 내용을 보려면 MSDN 온라인의 Office Developer Center를 참고하십시오.

새 언어 요소

다음 항목은 Microsoft Office에 새로 추가된 언어 요소의 목록입니다.

새 개체

새 속성(개체별)

새 속성(알파벳순)

새 메서드

새 이벤트


새 개체

새 기술 자료, 다운로드, 예제, 제품 소식 등을 비롯한 Microsoft Office의 최신 개발 정보에 대한 자세한 내용은 MSDN 온라인에서 Office Developer Center를 참고하십시오.

다음은 Microsoft Office의 Visual Basic에 새로 추가된 개체입니다.

개체
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


새 이벤트

다음은 Microsoft Office에 새로 추가된 이벤트입니다.

이벤트
EnvelopeHide
EnvelopeShow


새 메서드

다음은 Microsoft Office에 새로 추가된 메서드(개체순)입니다.

개체 메서드
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


새 속성(알파벳순)

다음은 Microsoft Office에 새로 추가된 속성(알파벳순)입니다.

속성
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


새 속성(개체별)

다음은 Microsoft Office에 새로 추가된 개체별 속성입니다.

개체 | 속성
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Office 길잡이 개요

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이, Office 길잡이 풍선, 풍선에 있는 모든 항목은 Assistant 개체의 개체, 속성, 메서드를 통해 프로그래밍 방식으로 제어할 수 있습니다.

다음 그림은 Office 길잡이, Office 길잡이 풍선, 풍선에 있는 프로그래밍 가능한 모든 개체를 보여 줍니다.

Office 길잡이, Balloon 개체, 풍선에 있는 프로그래밍 가능한 요소

디자인 타임 또는 런타임 시 Office 길잡이를 변경하는 방법에 대한 자세한 내용은 다음 항목을 참고하십시오.

Office 길잡이 사용

풍선 만들기 및 수정

런타임 시 풍선 수정


명령 모음 개요

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Microsoft Office에서 도구 모음, 메뉴 모음, 바로 가기 메뉴는 모두 명령 모음이라는 한 개체 종류로 프로그래밍 방식에 의해 제어됩니다. 다음 항목은 모두 CommandBar 개체로 VBA에 표시됩니다.

  • 메뉴 모음, 도구 모음, 바로 가기 메뉴
  • 메뉴 모음과 도구 모음의 메뉴
  • 메뉴, 하위 메뉴, 바로 가기 메뉴의 하위 메뉴

기본으로 제공되는 메뉴 모음이나 도구 모음을 수정할 수 있으며 Visual Basic 응용 프로그램에서 제공하는 사용자 지정 도구 모음과 메뉴 모음, 바로 가기 메뉴를 만들거나 수정할 수 있습니다. 응용 프로그램의 기능을 도구 모음의 각 단추로 제공하거나 메뉴에 있는 명령 이름 그룹으로 제공할 수도 있습니다. 도구 모음과 메뉴는 모두 명령 모음이므로 같은 종류의 컨트롤을 사용합니다. 예를 들어, 다음 그림에 나오는 고정 도구 모음에는 세 가지 단추가 있습니다.

세 가지 단추가 있는 고정 도구 모음

다음 그림에 나오는 메뉴에는 앞의 그림과 같은 세 가지 명령이 있지만 여기에서는 메뉴 항목으로 표시됩니다.

세 가지 메뉴 항목이 있는 메뉴

Microsoft Office의 메뉴 모음과 도구 모음에는 모두 메뉴가 있습니다. 다음 그림에 나오는 부동 도구 모음에는 단추가 세 개 있으며 이 세 개의 동일한 명령이 메뉴 항목으로 표시되는 메뉴도 들어 있습니다.

단추 세 개와 세 가지 메뉴 항목이 포함된 메뉴가 있는 부동 도구 모음

Visual Basic에서 단추와 메뉴 항목은 CommandBarButton 개체에 의해 표시됩니다. 메뉴와 하위 메뉴를 나타내는 팝업 컨트롤은 CommandBarPopup 개체에 의해 표시됩니다. 다음 그림에서 "메뉴" 컨트롤과 "하위 메뉴" 컨트롤은 각각 메뉴와 하위 메뉴를 나타내는 팝업 컨트롤입니다. 메뉴와 하위 메뉴는 모두 고유의 컨트롤 집합이 있는 유일한 CommandBar 개체입니다.

메뉴와 하위 메뉴를 나타내는 팝업 컨트롤

Microsoft Office에서 입력란, 드롭다운 목록 상자, 콤보 상자를 모든 명령 모음에 추가할 수 있습니다. 이 세 종류의 컨트롤은 모두 Visual Basic에서 CommandBarComboBox 개체에 의해 표시됩니다.

참고 명령 모음 컨트롤과 ActiveX 컨트롤은 모양과 기능이 비슷하지만 서로 다른 점이 있습니다. ActiveX 컨트롤은 명령 모음에 추가할 수 없고 명령 모음 컨트롤은 문서나 양식에 추가할 수 없습니다.

컨테이너 응용 프로그램에서 기본 제공되는 명령 모음 컨트롤은 사용자가 추가할 수 있는 컨트롤보다 모양과 기능이 복잡하지만 Visual Basic에서 CommandBarButton, CommandBarPopup, CommandBarComboBox 개체로 표시됩니다. 기본 제공 컨트롤의 위치와 모양은 수정할 수 있지만 기본 제공된 기능은 수정할 수 없습니다. 그러나, 기본 제공 컨트롤에 사용자 지정 매크로를 지정하면 기본 제공된 기능을 완전히 바꿀 수 있습니다.


명령 모음 사용

일반적으로 Visual Basic 응용 프로그램에서 사용할 도구 모음이나 메뉴 모음, 바로 가기 메뉴를 만들거나 수정하려면 컨테이너 응용 프로그램의 사용자 지정 기능을 사용해야 합니다. 컨테이너 응용 프로그램의 기능을 사용하여 도구 모음이나 메뉴 모음, 바로 가기 메뉴를 수정하는 것을 "디자인 타임" 변경이라고 합니다. 컨테이너 응용 프로그램을 사용하여 디자인 타임 변경을 수행하는 방법에 대한 자세한 내용은 해당 응용 프로그램의 온라인 도움말을 참고하십시오.

Visual Basic 코드에서 Microsoft Office 개체 모델의 CommandBars 부분을 사용하여 도구 모음, 메뉴 모음, 바로 가기 메뉴 및 구성 요소 부분을 추가하고 수정할 수 있습니다. 한 번 실행하여 도구 모음과 메뉴 모음을 만드는 코드를 작성할 수도 있습니다. 실제로 이러한 코드는 디자인 타임의 변경 작업을 시뮬레이션합니다. 그러나, Visual Basic 응용 프로그램을 디자인할 때 Visual Basic 코드와 사용자 지정 인터페이스를 함께 사용해야 하는 컨테이너 응용 프로그램도 있습니다. 다음은 코드와 컨테이너 응용 프로그램 인터페이스를 함께 사용해야 하는 경우입니다.

  • 컨테이너 응용 프로그램에서 도구 모음에 입력란, 드롭다운 목록 상자 또는 콤보 상자를 추가하거나 수정할 수 있는 인터페이스를 제공하지 않으면 Visual Basic 코드로 이러한 컨트롤을 추가하고 디자인해야 합니다.
  • 컨테이너 응용 프로그램에서 도구 모음을 만들 수 있는 인터페이스는 제공하지만 새 메뉴 모음을 만들 수 있는 인터페이스를 제공하지 않으면 Visual Basic을 사용하여 메뉴를 만들어야 합니다. Visual Basic으로 메뉴 모음을 만든 후 컨테이너 응용 프로그램의 인터페이스를 사용하여 해당 메뉴 모음의 메뉴를 디자인할 수 있습니다.
  • 사용자 지정 인터페이스가 표시될 때 컨테이너 응용 프로그램에서 사용자 지정 바로 가기 메뉴를 표시하는 방법을 제공하지 않으면 Visual Basic 코드를 사용하여 해당 바로 가기 메뉴를 수정해야 합니다.

응용 프로그램이 실행 중일 때 Visual Basic 응용 프로그램에 있는 코드로 도구 모음과 메뉴 모음을 수정할 수도 있습니다. 예를 들어, 특정 조건에서 메뉴 모음의 명령을 사용할 수 없게 하거나 사용자의 작업에 따라 도구 모음에 단추를 추가하는 코드를 작성할 수 있습니다. Visual Basic 응용 프로그램이 실행 중일 때 코드를 사용하여 변경하는 것을 "런타임" 변경이라고 합니다.

다음은 Visual Basic 코드를 사용하여 디자인 타임 및 런타임 시 도구 모음과 메뉴 모음을 수정하는 방법입니다.

도구 모음 추가 및 수정

메뉴 모음과 메뉴 항목 추가 및 관리

바로 가기 메뉴 추가 및 표시

참고 작업창은 다음과 같은 형태로 참조할 수 있는 CommandBar 개체 유형입니다.

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
그러나, 작업창에 적용되는 경우의 여러 명령 모음 메서드와 속성은 일반적인 CommandBar 개체와 같은 형태로 표시되지 않습니다. 예를 들어, Delete와 ShowPopup 메서드는 AdaptiveMenu, Context, Name, NameLocal 또는 Protection 속성에 영향을 미치지도 않고 값을 변화시키지도 않습니다.


도구 모음 추가 및 수정

모든 호스트 응용 프로그램에는 사용자 지정 도구 모음을 추가하고 디자인(예: 기본 제공 단추 추가, 매크로를 단추로 추가, 도구 모음에 팝업 컨트롤 추가)할 수 있는 포괄적인 인터페이스가 있습니다. Visual Basic 코드에서 수행하는 디자인 타임 변경 작업은 주로 콤보 상자 컨트롤을 추가하거나 수정하는 것입니다. 그 외에 코드에서 도구 모음을 변경하는 것(예: 단추 상태, 단추 모양, 단추 기능 바꾸기 등)은 모두 런타임 변경 작업으로 제한됩니다.

런타임 시 도구 모음 수정

런타임 시 도구 모음에 대해 몇 가지 수정 작업을 할 수 있습니다. 이 중 하나는 도구 모음에서 명령 모음 단추의 상태를 바꾸는 것입니다. 각 단추 컨트롤에는 눌러짐(True)과 눌러지지 않음(False)의 두 가지 활성 상태가 있습니다. 단추 컨트롤의 상태를 바꾸려면 아래 표에서 설명한 대로 State 속성에 적절한 상수를 사용합니다.

런타임 시 단추의 모양이나 기능도 바꿀 수 있습니다. 단추의 기능은 그대로 둔 채 단추의 모양만 바꾸려면 CopyFace와 PasteFace 메서드를 사용합니다. 이 메서드는 특정 단추 모양을 클립보드로 복사하거나 다른 응용 프로그램으로 가져와서 기능의 일부를 바꿀 때 유용합니다. PasteFace 메서드는 단추 이미지를 클립보드에서 특정 단추로 옮길 때 사용합니다.

단추 기능을 사용자가 지정한 기능으로 바꾸려면 단추의 OnAction 속성에 사용자 지정 프로시저 이름을 지정합니다.

다음 표는 단추의 상태, 모양 또는 기능을 바꿀 때 사용하는 일반적인 속성과 메서드를 보여 줍니다.

속성 또는 메서드 | 설명
CopyFace, PasteFace | 단추 모양에 이미지를 복사하거나 붙여넣습니다. CopyFace 메서드를 사용하여 선택한 단추 모양을 클립보드로 복사합니다. PasteFace 메서드를 사용하여 클립보드의 내용을 단추 모양에 붙여넣습니다. 클립보드가 비어 있으면 PasteFace 메서드를 사용할 수 없습니다. 이 때 클립보드의 이미지가 단추 모양에 비해 너무 커도 이미지의 크기를 줄일 수는 없습니다. 일반적으로 단추 모양은 디자인 모드에서 복사하고 붙여넣는 것이 편리하지만 런타임 시에도 단추 모양을 바꿀 수 있습니다. 또한 FaceId 속성을 사용하여 단추에 기본 제공되는 단추 모양을 지정할 수도 있습니다.
Id | 단추의 기본 제공 기능을 나타내는 값을 지정합니다. 예를 들어, 강조 표시된 텍스트를 클립보드로 복사하는 단추의 Id값은 19입니다.
State | 단추의 모양이나 상태를 지정합니다. 사용할 수 있는 MsoButtonState 상수에는 msoButtonDown, msoButtonMixed, msoButtonUp이 있습니다.
Style | 단추 모양에 아이콘을 표시할 지 캡션을 표시할 지를 지정합니다. 사용할 수 있는 MsoButtonStyle 상수에는 msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow, msoButtonWrapCaption이 있습니다.
OnAction | 사용자가 단추를 클릭하거나 메뉴를 표시할 때 또는 콤보 상자 컨트롤의 내용을 바꿀 때 실행될 프로시저를 지정합니다.
Visible | 컨트롤의 화면 표시 여부를 지정합니다.
Enabled | 명령 모음을 설정 또는 해제합니다. 해제된 명령 모음의 이름은 사용할 수 있는 명령 모음 목록에 표시되지 않습니다.

다음은 명령 모음 단추가 한 개인 새 명령 모음을 만드는 예제입니다. CommandBarButton 개체의 OnAction 속성을 사용하면 CopyFace 메서드로 기본 제공된 Open 단추 모양을 클립보드에 복사한 다음 PasteFace 메서드를 사용하여 기존 단추에 이를 붙여넣을 수 있습니다. 이렇게 하면 런타임 시 명령 모음 단추의 모양이 바뀝니다.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

콤보 상자 컨트롤 추가 및 수정

입력란, 드롭다운 목록 상자, 콤보 상자는 Visual Basic 응용 프로그램의 도구 모음에 추가할 수 있는 강력한 새 컨트롤입니다. 그러나, 대부분의 컨테이너 응용 프로그램에서는 이러한 컨트롤을 디자인할 때 Visual Basic 코드를 사용해야 합니다. 콤보 상자 컨트롤을 디자인하려면 다음 표에서 설명한 속성과 메서드를 사용합니다.

속성 또는 메서드 | 설명
Add | Type 인수에 msoControlEdit, msoControlDropdown, msoControlComboBox 등의 MsoControlType 상수 중 하나를 지정하여 명령 모음에 콤보 상자 컨트롤을 추가합니다.
AddItem | 콤보 상자나 드롭다운 목록 상자의 드롭다운 목록 부분에 항목을 추가합니다. 기존 목록에 새 항목의 인덱스 번호를 지정할 수 있지만 이 번호가 목록에 있는 항목 수보다 크면 AddItem 메서드를 사용할 수 없습니다.
Caption | 콤보 상자 컨트롤에 레이블을 지정합니다. 이것은 Style 속성을 msoComboLabel로 설정할 때 컨트롤 옆에 표시되는 레이블입니다.
Style | 컨트롤 옆에 지정된 컨트롤 캡션의 표시 여부를 지정합니다. 사용할 수 있는 MsoComboStyle 상수에는 msoComboLabel(레이블이 표시됨), msoComboNormal(레이블이 표시되지 않음)이 있습니다.
OnAction | 사용자가 콤보 상자 컨트롤의 내용을 변경할 때 실행될 프로시저를 지정합니다.

다음은 사용자 지정 도구 모음에 콤보 상자를 추가하고 콤보 상자에 "ScrollToQuarter"라는 매크로를 지정하는 예제입니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

응용 프로그램이 실행 중일 때 콤보 상자 컨트롤의 OnAction 속성에 지정된 프로시저는 사용자가 컨트롤을 변경할 때마다 호출됩니다. 프로시저에서 CommandBar 개체의 ActionControl 속성을 사용하여 변경된 컨트롤을 찾고 변경된 값을 반환할 수 있습니다. ListIndex 속성은 콤보 상자에 입력되거나 선택된 항목을 반환합니다.


메뉴 모음과 메뉴 항목 추가 및 관리

메뉴 모음을 새로 만들 수 없는 일부 컨테이너 응용 프로그램에서는 Visual Basic을 사용하여 메뉴 모음을 만들어야 합니다. Visual Basic에서 메뉴 모음을 만든 후 컨테이너 응용 프로그램 인터페이스나 Visual Basic을 사용하여 이를 사용자 지정할 수 있습니다.

런타임 시 메뉴 모음 추가

런타임 시 메뉴 모음을 응용 프로그램에 추가하려면 CommandBars 컬렉션에 Add 메서드를 사용하고 MenuBar 인수를 True로 지정합니다. 다음은 고정 메뉴 모음을 추가하는 예제로서 응용 프로그램 창의 오른쪽에 메뉴 모음을 고정시킵니다.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

런타임 시 메뉴 모음 수정

런타임 시 메뉴 모음과 메뉴 모음 컨트롤을 수정할 수 있습니다. 메뉴 모음을 변경하면 메뉴 모음의 모양과 위치가 달라지며 컨트롤은 종류에 따라 다르게 변경할 수 있습니다. 다음 표는 런타임 시 메뉴 모음을 수정할 때 가장 일반적으로 사용되는 속성과 메서드입니다.

속성 또는 메서드 | 설명
Add | CommandBars 컬렉션의 Add 메서드를 사용하고 MenuBar 인수를 True로 지정하여 메뉴 모음을 추가합니다.
Enabled | 이 속성을 True로 설정하면 Visual Basic 코드를 사용하여 지정된 메뉴 모음을 화면에 표시할 수 있습니다. 이 속성을 False로 설정하면 메뉴 모음이 나타나지 않지만 사용할 수 있는 명령 모음 목록에는 표시됩니다.
Protection | 사용자가 메뉴 모음을 변경하지 못하도록 보호합니다. 사용할 수 있는 MsoBarProtection 상수에는 msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize, msoBarNoVerticalDock이 있으며 이 중 하나를 사용하거나 여러 개를 함께 사용할 수 있습니다.
Position | 응용 프로그램 창에 새 메뉴 모음의 위치를 지정합니다. 사용할 수 있는 MsoBarPosition 상수에는 msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup(바로 가기 메뉴에 사용) msoBarMenuBar(Macintosh 전용)가 있습니다.
Visible | 해당 컨트롤의 화면 표시 여부를 지정합니다. 컨트롤이 사용자에게 숨겨질 경우에도 해당 메뉴 모음 이름이 사용할 수 있는 명령 모음 목록에 나타납니다.

다음은 활성 메뉴 모음을 숨기고 대신 응용 프로그램 창의 오른쪽에 고정되고 사용자가 수정할 수 없도록 보호된 임시 메뉴 모음으로 바꾸는 예제입니다.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

런타임 시 메뉴 모음 병합

응용 프로그램에 추가할 사용자 지정 메뉴 모음이 있으면 컨테이너 응용 프로그램에 컨트롤이 표시되는 방법을 지정할 수 있습니다. CommandBarPopup 개체의 OLEMenuGroup 속성을 사용하여 메뉴 모음이 병합되는 방법을 지정합니다.

런타임 시 메뉴 항목 수정

메뉴 항목을 수정할 수 있는 범위는 컨트롤 종류에 따라 다릅니다. 일반적으로 단추는 화면에 표시 또는 숨기기 둘 중 하나입니다. 입력란이나 드롭다운 목록 상자, 콤보 상자는 목록에 항목을 추가하거나 삭제할 수 있으며, 선택된 값을 보면 어떤 기능이 수행되었는지 알 수 있다는 점에서 보다 다양합니다. 모든 컨트롤의 기능을 기본 제공 함수나 사용자 지정 함수로 변경할 수 있습니다.

다음 표는 컨트롤의 상태, 기능, 내용을 변경할 때 가장 일반적으로 사용하는 속성과 메서드입니다.

속성 또는 메서드 | 설명
Add | 명령 모음에 메뉴 항목을 추가합니다. 기본 제공 컨트롤의 Type 인수로 사용할 수 있는 MsoControlType 상수에는 msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox가 있습니다.
AddItem | 콤보 상자나 드롭다운 목록 상자의 드롭다운 목록 부분에 항목을 추가합니다. 기존 목록에 새 항목의 인덱스 번호를 지정할 수 있지만 이 번호가 목록에 있는 항목 수 보다 크면 AddItem 메서드를 사용할 수 없습니다.
Style | 단추 모양에 아이콘과 캡션 중 어떤 것을 나타낼지 또는 두 가지를 모두 나타낼 것인지와 표시되는 방법을 지정합니다. 사용할 수 있는 MsoButtonStyle 상수에는 msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow, msoButtonWrapCaption이 있습니다.
OnAction | 사용자가 지정한 컨트롤의 값을 바꿀 때마다 실행될 프로시저를 지정합니다.
Visible | 컨트롤의 화면 표시 여부를 지정합니다.

다음은 현재 메뉴 모음의 끝에 Custom이라는 임시 팝업 컨트롤을 추가하고 사용자 지정 팝업 명령 모음에 Import라는 단추 컨트롤을 추가하는 예제입니다.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


바로 가기 메뉴 추가 및 표시

바로 가기 메뉴는 사용자가 마우스 오른쪽 단추를 클릭했을 때 표시되는 부동 명령 모음입니다. 여기에는 명령 모음과 동일한 종류의 컨트롤이 포함될 수 있으며 이런 컨트롤은 명령 모음과 같은 방식으로 작동합니다. 하지만 대부분의 응용 프로그램에서는 응용 프로그램의 인터페이스에서 바로 가기 메뉴를 만들거나 수정할 수 없으므로 런타임 시 바로 가기 메뉴를 만들고 수정해야 합니다.

런타임 시 바로 가기 메뉴 추가

바로 가기 메뉴와 다른 도구 모음의 유일한 차이는 Add 메서드로 바로 가기 메뉴를 만들 때 Position 인수로 msoBarPopUp을 지정해야 한다는 것입니다. 다음은 새 바로 가기 메뉴를 만들고 캡션이 있는 두 컨트롤을 추가한 다음 ShowPopup 메서드를 사용하여 새 메뉴를 표시하는 예제입니다.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

바로 가기 메뉴 표시

ShowPopup 메서드를 사용하여 위의 예제와 같이 바로 가기 메뉴를 표시합니다.

컨테이너 응용 프로그램에서 사용자 작업에 이벤트 프로시저를 지정할 수 있으면 마우스 오른쪽 단추를 클릭하는 이벤트에 응답하여 바로 가기 메뉴를 나타낼 수 있습니다. 그러나 이벤트 프로시저를 지원하지 않는 응용 프로그램도 있습니다. 사용 중인 컨테이너 응용 프로그램의 이벤트 프로시저 지원 여부는 해당 컨테이너 응용 프로그램의 설명서를 참고하십시오.

런타임 시 바로 가기 메뉴 수정

바로 가기 메뉴의 수정은 런타임 시에만 가능하며 일반적으로 메뉴에 있는 컨트롤의 모양이나 동작만 변경할 수 있습니다. 메뉴 항목 추가 및 관리에 대한 자세한 내용은 메뉴 모음과 메뉴 항목 추가 및 관리를 참고하십시오.


OLE 프로그램 식별자

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

OLE 프로그램 식별자(ProgID)를 사용하여 자동화 개체를 만들 수 있습니다. 다음 표는 ActiveX 컨트롤, Microsoft Office 응용 프로그램, Microsoft Office Web Components의 OLE 프로그램 식별자 목록입니다.

ActiveX 컨트롤

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web Components

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX 컨트롤

다음 표에 나열된 ActiveX 컨트롤을 만들려면 해당 OLE 프로그램 식별자를 사용합니다.

컨트롤 | 식별자
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

다음 표에 나열된 Microsoft Access 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Access 버전에서 개체가 만들어집니다.

개체 | 식별자
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

다음 표에 나열된 Microsoft Excel 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Excel 버전에서 개체가 만들어집니다.

개체 | 식별자 | 설명
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | 차트용 워크시트와 차트 데이터용 워크시트가 포함된 통합 문서를 반환합니다. 현재 워크시트는 차트 워크시트입니다.
Workbook | Excel.Sheet | 하나의 워크시트가 있는 통합 문서를 반환합니다.

Microsoft Graph

다음 표에 나열된 Microsoft Graph 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Graph 버전에서 개체가 만들어집니다.

개체 | 식별자
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web Components

다음 표에 나열된 Microsoft Office Web Components 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Microsoft Office Web Components 버전에서 개체가 만들어집니다.

개체 | 식별자
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

다음 표에 나열된 Microsoft Outlook 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Outlook 버전에서 개체가 만들어집니다.

개체 | 식별자
Application | Outlook.Application

Microsoft PowerPoint

다음 표에 나열된 Microsoft PowerPoint 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 PowerPoint 버전에서 개체가 만들어집니다.

개체 | 식별자
Application | PowerPoint.Application

Microsoft Word

다음 표에 나열된 Microsoft Word 개체를 만들려면 해당 OLE 프로그램 식별자를 사용합니다. 버전 번호 접미사 없이 식별자를 사용하면 매크로가 실행 중인 시스템에 설치된 최신 Word 버전에서 개체가 만들어집니다.

개체 | 식별자
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard 개체

AnswerWizard (AnswerWizardFiles)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Microsoft Office 응용 프로그램의 도움말 마법사를 나타냅니다. 각 응용 프로그램에는 도움말 마법사가 하나씩 있고 AnswerWizard나 AnswerWizardFiles 컬렉션의 모든 변경 내용은 즉시 현재 Office 응용 프로그램에 적용됩니다.

AnswerWizard 개체 사용

ClearFileList 메서드를 사용하여 현재 도움말 마법사로 사용할 수 있는 파일 목록에서 모든 항목을 제거합니다. 이 메서드를 사용하면 도움말 마법사 파일을 사용자 지정 .AW 파일로 바꿀 경우와 같이, 도움말 마법사를 통해 Office 호스트 응용 프로그램의 기본 파일을 사용할 수 없도록 만들 수 있습니다. 다음은 기본 도움말 마법사의 파일 목록을 지운 다음 사용자 지정 도움말 마법사에 파일 두 개를 추가하는 예제입니다.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

ResetFileList 메서드를 사용하여 현재 도움말 마법사의 파일 목록을 Office 호스트 응용 프로그램의 기본 파일 목록으로 복원합니다. 해당 레지스트리 키에 사용자 지정 파일 이름을 추가하여 Windows 레지스트리에 사용자 지정 기본 파일 목록을 설정할 수 있습니다. 해당 레지스트리 키에 지정된 파일은 ResetFileList가 호출될 때 복원됩니다. 다음은 현재 도움말 마법사의 파일 목록을 원래대로 설정하는 예제입니다.

customAnswerWizard.ResetFileList

Files 속성을 사용하여 도움말 마법사 파일의 참조 컬렉션을 가져옵니다. Files 속성은 .AW 파일을 참조하는 문자열 컬렉션을 반환합니다. 다음은 AnswerWizardFiles 컬렉션을 반환하고 메시지 상자에 파일 개수를 표시하는 예제입니다.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles 컬렉션 개체

AnswerWizard (AnswerWizardFiles)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

도움말 마법사 파일의 참조 컬렉션입니다. AnswerWizardFiles 컬렉션에는 현재 Microsoft Office 응용 프로그램에서 사용할 수 있는 모든 도움말 마법사 파일(확장명이 .AW인 파일)이 포함되어 있습니다.

AnswerWizardFiles 컬렉션 사용

Files 속성을 사용하여 도움말 마법사 파일의 참조 컬렉션을 가져옵니다. Files 속성은 .AW 파일을 참조하는 문자열 컬렉션을 반환합니다. 다음은 AnswerWizardFiles 컬렉션을 반환하고 메시지 상자에 파일 개수를 표시하는 예제입니다.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Add 메서드를 사용하여 추가 파일을 현재 도움말 마법사에서 사용할 수 있게 합니다. 다음은 활성 Office 응용 프로그램에서 도움말 마법사 파일 목록에 Custom_1.aw 파일을 추가하는 예제입니다.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Item 속성을 사용하여 기존 도움말 마법사 파일 참조의 이름을 가져옵니다. 다음은 Item(1)이 참조하는 파일 이름을 메시지 상자에 표시하는 예제입니다.

MsgBox customAnswerWizard.Files.Item(1)


Assistant 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Microsoft Office 길잡이를 나타냅니다.

Assistant 개체 사용

Assistant 속성을 사용하여 Assistant 개체를 반환합니다. Assistant 개체에는 컬렉션이 없으므로 한 번에 Assistant 개체 하나만 사용할 수 있습니다. Visible 속성을 사용하여 길잡이를 나타내고 On 속성을 사용하여 길잡이를 설정합니다.

주의

기본 길잡이는 재롱이입니다. 프로그램으로 다른 길잡이를 선택하려면 FileName 속성을 사용합니다.

다음은 길잡이를 나타내고 애니메이션을 지정하는 예제입니다.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이가 정보를 나타내는 풍선을 표시합니다. 풍선에는 확인란, 레이블 등의 컨트롤이 포함될 수 있습니다.

Balloon 개체 사용

NewBalloon 속성을 사용하여 Balloon 개체를 반환합니다. Balloon 개체에는 컬렉션이 없으므로 한 번에 풍선 하나만 화면에 나타납니다. 그러나 여러 풍선을 정의하여 필요할 때 해당 풍선을 나타낼 수 있습니다. 자세한 내용은 아래의 "풍선 정의 및 다시 사용"을 참고하십시오.

Show 메서드를 사용하여 지정한 풍선을 화면에 나타냅니다. Callback 속성을 사용하여 모덜리스 풍선에서 선택한 항목을 기초로 한 프로시저를 실행할 수 있습니다. 사용자가 응용 프로그램에서 작업하는 동안 풍선은 화면에 그대로 남아 있습니다. Close 메서드를 사용하여 모덜리스 풍선을 닫습니다.

다음은 입력한 데이터 저장에 관한 팁이 포함된 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

풍선 정의 및 다시 사용

개체를 변수에 지정해 두면 필요할 때 변수를 표시하여 이미 만들어 둔 Balloon 개체를 다시 사용할 수 있습니다. 다음은 다시 사용할 수 있도록 balloon1과 balloon2를 각각 정의하는 예제입니다.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

각각 다른 변수를 사용하는 대신 Balloon 개체를 배열에 둘 수 있습니다.


BalloonCheckbox 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에서 확인란을 나타냅니다. BalloonCheckbox 개체는 BalloonCheckboxes 컬렉션의 구성원입니다.

BalloonCheckbox 개체 사용

BalloonCheckbox 개체 하나를 반환하려면 CheckBoxes(index)를 사용합니다. index는 1부터 5까지의 수입니다. 풍선 하나에 최대 다섯 개의 확인란을 표시할 수 있습니다. 해당 Text 속성에 값이 지정되면 확인란이 나타납니다.

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만드는 예제입니다. 사용자가 하나 이상의 확인란을 선택한 다음 확인 단추를 클릭하면 해당 프로시저가 호출됩니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

주의

풍선 확인란은 사용자가 풍선을 닫을 때까지 선택한 내용을 보여 줍니다. 풍선 레이블을 사용하여 레이블 옆의 단추를 클릭할 때마다 Select 메서드에서 사용자가 선택한 내용에 해당하는 값이 반환되도록 만들 수 있습니다. 사용자의 선택에 따라 Select 메서드에 값을 전달하려면 풍선 유형을 msoBalloonTypeButtons로 설정해야 합니다.


BalloonCheckBoxes 컬렉션 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에서 모든 확인란을 표시하는 BalloonCheckBox 개체의 컬렉션입니다.

BalloonCheckBoxes 컬렉션 사용

CheckBoxes 속성을 사용하여 BalloonCheckBoxes 컬렉션을 반환합니다.

BalloonCheckBox 개체 하나를 반환하려면 CheckBoxes(index)를 사용합니다. index는 1부터 5까지의 수입니다. 풍선마다 최대 5개의 확인란과 5개의 레이블을 지정할 수 있는데 해당 Text 속성에 값이 지정되면 각 확인란이 나타납니다. 5개가 넘는 확인란을 지정하면 런타임 오류가 발생합니다.

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만드는 예제입니다. 사용자가 하나 이상의 확인란을 선택한 다음 확인을 클릭하면 지정한 프로시저가 호출됩니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

풍선을 표시하고 나면 BalloonCheckBoxes 컬렉션에서 확인란을 추가하거나 제거할 수 없습니다.

주의

풍선 확인란은 사용자가 풍선을 닫을 때까지 선택한 내용을 보여 줍니다. 레이블 옆 단추를 클릭할 때마다 사용자가 선택한 확인란에 해당하는 값을 반환하도록 풍선 레이블을 Select 메서드와 함께 사용할 수도 있습니다. 사용자의 선택에 따라 Select 메서드에 값을 전달하려면 풍선 유형을 msoBalloonTypeButtons로 설정해야 합니다.


BalloonLabel 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에 레이블을 표시합니다. BalloonLabel 개체는 BalloonLabels 컬렉션의 구성원입니다.

BalloonLabel 개체 사용

BalloonLabel 개체를 반환하려면 Labels(index)를 사용합니다. index는 1부터 5까지의 수입니다. 풍선 하나에 최대 5개의 레이블을 표시할 수 있습니다. 해당 Text 속성에 값이 지정되면 각 레이블이 나타납니다.

다음은 사용자의 나이에 따라 레이블을 선택하는 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

주의

풍선 확인란은 사용자가 풍선을 닫을 때까지 선택한 내용을 보여 줍니다. 풍선 레이블을 사용하여 레이블 옆의 단추를 클릭할 때마다 Select 메서드에서 사용자가 선택한 내용에 해당하는 값이 반환되도록 만들 수 있습니다. 사용자의 선택에 따라 Select 메서드에 값을 전달하려면 풍선 유형을 msoBalloonTypeButtons로 설정해야 합니다.


BalloonLabels 컬렉션 개체

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에 모든 레이블을 표시하는 BalloonLabel 개체의 컬렉션입니다.

BalloonLabels 컬렉션 사용

BalloonLabels 컬렉션을 반환하려면 Labels 속성을 사용합니다.

BalloonLabel 개체를 반환하려면 Labels(index)를 사용합니다. index는 1부터 5까지의 수입니다. 풍선마다 5개의 레이블과 5개의 확인란을 지정할 수 있습니다. 해당 Text 속성에 값이 지정되면 각 레이블이 나타납니다. 5개가 넘는 레이블을 지정하면 런타임 오류가 발생합니다.

다음은 세 가지 선택을 할 수 있는 풍선을 만드는 예제입니다. returnValue 변수는 사용자가 클릭하는 레이블에 해당하는 Show 메서드의 반환 값인 1, 2, 3으로 설정됩니다. 다음은 다른 프로시저로 전달하거나 Select Case 문에서 사용하는 returnValue 변수 값을 반환하는 예제입니다.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

주의

풍선 확인란은 사용자가 풍선을 닫을 때까지 선택한 내용을 보여 줍니다. 풍선 레이블을 사용하여 레이블 옆의 단추를 클릭할 때마다 Select 메서드에서 사용자가 선택한 내용에 해당하는 값이 반환되도록 만들 수 있습니다. 사용자의 선택에 따라 Select 메서드에 값을 전달하려면 풍선 유형을 msoBalloonTypeButtons로 설정해야 합니다.


COMAddIn 개체

COMAddIns (COMAddIn)

Microsoft Office 호스트 응용 프로그램에서 COM 추가 기능을 표시합니다. COMAddIn 개체는 COMAddIns 컬렉션의 구성원입니다.

COMAddIn 개체 사용

COMAddIns.Item(index)을 사용합니다. index는 COMAddIns 컬렉션의 해당 위치에서 COM 추가 기능을 반환하는 서수 값이나 지정된 COM 추가 기능의 ProgID를 나타내는 String 값입니다. 다음은 메시지 상자에 COM 추가 기능의 설명 텍스트를 표시하는 예제입니다.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

COMAddin 개체의 ProgID 속성을 사용하여 COM 추가 기능의 프로그램 식별자를 반환하고 Guid 속성을 사용하여 전역 고유 식별자(GUID)를 반환합니다. 다음은 메시지 상자에 첫 번째 COM 추가 기능의 ProgID와 GUID를 표시하는 예제입니다.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Connect 속성을 사용하여 지정된 COM 추가 기능에 연결 상태를 설정하거나 반환합니다. 다음은 COM 추가 기능이 등록되고 현재 연결되었는지를 나타내는 메시지 상자를 표시하는 예제입니다.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns 컬렉션 개체

COMAddIns (COMAddIn)

Windows 레지스트리에 등록된 COM 추가 기능에 대한 정보를 제공하는 COMAddIn 개체의 컬렉션입니다.

COMAddIns 컬렉션 사용

Application 개체의 COMAddIns 속성을 사용하여 Microsoft Office 호스트 응용 프로그램에 대해 COMAddIns 컬렉션을 반환합니다. 이 컬렉션은 특정 Office 호스트 응용 프로그램에서 사용 가능한 모든 COM 추가 기능을 포함하며 COMAddins 컬렉션의 Count 속성은 다음 예제와 같이 사용 가능한 COM 추가 기능의 개수를 반환합니다.

MsgBox Application.COMAddIns.Count

다음 예제와 같이 COMAddins 컬렉션의 Update 메서드를 사용하여 Windows 레지스트리에서 COM 추가 기능의 목록을 새로 고칩니다.

Application.COMAddIns.Update

COMAddIns.Item(index)을 사용합니다. index는 COMAddIns 컬렉션의 해당 위치에서 COM 추가 기능을 반환하는 서수 값이나 지정된 COM 추가 기능의 ProgID를 나타내는 String 값입니다. 다음은 메시지 상자에 COM 추가 기능의 설명 텍스트와 ProgID("msodraa9.ShapeSelect")를 표시하는 예제입니다.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

컨테이너 응용 프로그램에서 명령 모음을 표시합니다. CommandBar 개체는 CommandBars 컬렉션의 구성원입니다.

CommandBar 개체 사용

CommandBars(index)를 사용하여 CommandBar 개체 하나를 반환합니다. index는 명령 모음의 이름이나 인덱스 번호입니다. 다음은 명령 모음 컬렉션을 탐색하여 "Forms"라는 명령 모음을 찾는 예제입니다. 명령 모음을 찾으면 화면에 나타내고 고정 상태로 둡니다. 여기서 변수 cb는 CommandBar 개체를 나타냅니다.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

이름이나 인덱스 번호를 사용하여 컨테이너 응용 프로그램의 사용 가능한 메뉴 모음 및 도구 모음 목록에서 메뉴 모음이나 도구 모음을 지정할 수 있습니다. 그러나, CommandBar 개체에 의해 표시되는 메뉴나 바로 가기 메뉴, 하위 메뉴를 지정할 때는 이름을 사용해야 합니다. 다음은 도구 메뉴 아래쪽에 새 메뉴 항목을 추가하는 예제입니다. 새 메뉴 항목을 클릭하면 "qtrReport"라는 프로시저가 실행됩니다.

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

둘 이상의 사용자 지정 메뉴나 하위 메뉴의 이름이 같을 경우 CommandBars(index)는 첫째 메뉴를 반환합니다. 원하는 메뉴나 하위 메뉴를 반환하려면 해당 메뉴를 나타내는 팝업 컨트롤을 찾아 팝업 컨트롤에 CommandBar 속성을 적용하여 해당 메뉴를 나타내는 명령 모음을 반환합니다.

다음은 "Custom Tools"라는 도구 모음에서 세 번째 컨트롤이 팝업 컨트롤인 경우 메뉴 아래쪽에 저장 명령을 추가하는 예제입니다.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

명령 모음에 단추 컨트롤을 표시합니다.

CommandBarButton 개체 사용

Controls(index)를 사용하여 CommandBarButton 개체를 반환합니다. index는 컨트롤의 인덱스 번호입니다. 컨트롤의 Type 속성은 msoControlButton이어야 합니다.

다음은 "Custom"이라는 명령 모음에서 둘째 컨트롤이 단추인 경우 이 단추의 스타일을 변경하는 예제입니다.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

FindControl 메서드를 사용하여 CommandBarButton 개체를 반환할 수도 있습니다.


CommandBarComboBox 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

명령 모음에 콤보 상자 컨트롤을 표시합니다.

CommandBarComboBox 개체 사용

Controls(index)를 사용하여 CommandBarComboBox 개체를 반환합니다. index는 컨트롤의 인덱스 번호입니다. 컨트롤의 Type 속성은 msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo, msoControlGraphicDropdown 중 하나여야 합니다.

다음은 "Custom"이라는 명령 모음에서 둘째 컨트롤에 항목을 두 개 추가하고 컨트롤 크기를 조정하는 예제입니다.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

FindControl 메서드를 사용하여 CommandBarComboBox 개체를 반환할 수도 있습니다. 다음은 모든 명령 모음에서 화면에 표시된 CommandBarComboBox 개체 중 태그가 "sheet assignments"인 개체를 찾는 예제입니다.

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

명령 모음 컨트롤을 표시합니다. CommandBarControl 개체는 CommandBarControls 컬렉션의 구성원입니다. CommandBarControl 개체의 속성과 메서드는 CommandBarButton, CommandBarComboBox, CommandBarPopup 개체에서 모두 공유됩니다.

참고 사용자 지정 명령 모음 컨트롤을 사용하는 Visual Basic 코드를 작성할 때는 CommandBarButton, CommandBarComboBox, CommandBarPopup 개체를 사용합니다. 이 세 가지 개체로 나타낼 수 없는 컨테이너 응용 프로그램의 기본 제공 컨트롤을 사용하는 코드를 작성할 때는 CommandBarControl 개체를 사용합니다.

CommandBarControl 개체 사용

Controls(index)를 사용하여 CommandBarControl 개체를 반환합니다. index는 컨트롤의 인덱스 번호입니다. 컨트롤의 Type 속성은 msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid. msoControlGauge 중 하나여야 합니다.

참고 CommandBarControl로 선언된 변수에는 CommandBarButton, CommandBarComboBox, CommandBarPopup 값이 지정될 수 있습니다.

FindControl 메서드를 사용하여 CommandBarControl 개체를 반환할 수도 있습니다. 다음은 msoControlGauge 유형의 컨트롤을 찾아 해당 컨트롤의 인덱스 번호와 컨트롤이 있는 명령 모음의 이름을 표시하는 예제입니다. 여기서 변수 lbl은 CommandBarControl 개체를 나타냅니다.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls 컬렉션 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

명령 모음에 명령 모음 컨트롤을 표시하는 CommandBarControl 개체의 컬렉션입니다.

CommandBarControls 컬렉션 사용

Controls 속성을 사용하여 CommandBarControls 컬렉션을 반환합니다. 다음은 "Standard"라는 도구 모음에 있는 모든 컨트롤의 캡션을 해당 컨트롤의 현재 Id 속성 값으로 변경하는 예제입니다.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Add 메서드를 사용하여 CommandBarControls 컬렉션에 새 명령 모음 컨트롤을 추가합니다. 다음은 비어 있는 새 단추를 "Custom"이라는 명령 모음에 추가하는 예제입니다.

Set myBlankBtn = CommandBars("Custom").Controls.Add

Controls(index)를 사용하여 CommandBarControl, CommandBarButton, CommandBarComboBox, CommandBarPopup 개체를 반환합니다. index는 컨트롤의 캡션이나 인덱스 번호입니다. 다음은 "Standard"라는 명령 모음의 첫째 컨트롤을 "Custom"이라는 명령 모음에 복사하는 예제입니다.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

명령 모음에 팝업 컨트롤을 표시합니다.

CommandBarPopup 개체 사용

Controls(index)를 사용하여 CommandBarPopup 개체를 반환합니다. index는 컨트롤 번호입니다. 컨트롤의 Type 속성은 msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup, msoControlSplitButtonMRUPopup 중 하나여야 합니다.

FindControl 메서드를 사용하여 CommandBarPopup 개체를 반환할 수도 있습니다. 다음은 모든 명령 모음에서 태그가 "Graphics"인 CommandBarPopup 개체를 찾는 예제입니다.

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

주의

모든 팝업 컨트롤은 CommandBar 개체를 포함합니다. 팝업 컨트롤에서 명령 모음을 반환하려면 CommandBarPopup 개체에 CommandBar 속성을 적용합니다.


CommandBars 컬렉션 개체

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

컨테이너 응용 프로그램에서 명령 모음을 표시하는 CommandBar 개체의 컬렉션입니다.

CommandBars 컬렉션 사용

CommandBars 속성을 사용하여 CommandBars 컬렉션을 반환합니다. 다음은 직접 실행 창에 메뉴 모음 및 도구 모음의 이름과 로컬 이름을 표시하고 메뉴 모음이나 도구 모음의 화면 표시 여부를 나타내는 값을 표시하는 예제입니다.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Add 메서드를 사용하여 컬렉션에 새 명령 모음을 추가합니다. 다음은 "Custom1"이라는 사용자 지정 도구 모음을 만들어 부동 도구 모음으로 나타내는 예제입니다.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

CommandBars(index)를 사용하여 CommandBar 개체 하나를 반환합니다. index는 명령 모음의 이름이나 인덱스 번호입니다. 다음은 "Custom1" 도구 모음을 응용 프로그램 창 아래쪽에 고정시키는 예제입니다.

CommandBars("Custom1").Position = msoBarBottom

참고 이름이나 인덱스 번호를 사용하여 컨테이너 응용 프로그램의 사용 가능한 메뉴 모음 및 도구 모음 목록에서 메뉴 모음이나 도구 모음을 지정할 수 있습니다. 그러나 CommandBar 개체에 의해 표시되는 메뉴나 바로 가기 메뉴, 하위 메뉴를 지정할 때는 이름을 사용해야 합니다.

둘 이상의 사용자 지정 메뉴나 하위 메뉴의 이름이 같을 경우 CommandBars(index)는 첫째 메뉴를 반환합니다. 원하는 메뉴나 하위 메뉴를 반환하려면 해당 메뉴를 나타내는 팝업 컨트롤을 찾아 팝업 컨트롤에 CommandBar 속성을 적용하여 해당 메뉴를 나타내는 명령 모음을 반환합니다.


DocumentProperties 컬렉션 개체

DocumentProperty 개체의 컬렉션입니다. 각 DocumentProperty 개체는 컨테이너 문서의 기본 제공 등록 정보나 사용자 지정 등록 정보를 나타냅니다.

DocumentProperties 컬렉션 사용

Add 메서드를 사용하여 새 사용자 지정 등록 정보를 만들고 DocumentProperties 컬렉션에 추가합니다. Add 메서드를 사용하여 기본 제공 등록 정보를 만들 수는 없습니다.

BuiltinDocumentProperties(index)를 사용하여 기본 제공 문서 등록 정보를 나타내는 DocumentProperty 개체를 반환합니다. index는 기본 제공 문서 등록 정보의 인덱스 번호입니다. CustomDocumentProperties(index)를 사용하여 사용자 지정 문서 등록 정보를 나타내는 DocumentProperty 개체를 반환합니다. index는 사용자 지정 문서 등록 정보의 번호입니다.


DocumentProperty 개체

컨테이너 문서의 사용자 지정 문서 등록 정보나 기본 제공 문서 등록 정보를 나타냅니다. DocumentProperty 개체는 DocumentProperties 컬렉션의 구성원입니다.

DocumentProperty 개체 사용

BuiltinDocumentProperties(index)를 사용하여 기본 제공 문서 등록 정보를 나타내는 DocumentProperty 개체를 반환합니다. index는 기본 제공 문서 등록 정보의 이름이나 인덱스 번호입니다. CustomDocumentProperties(index)를 사용하여 사용자 지정 문서 등록 정보를 나타내는 DocumentProperty 개체를 반환합니다. index는 사용자 지정 문서 등록 정보의 이름이나 인덱스 번호입니다.

다음 목록은 사용 가능한 기본으로 제공되는 문서 등록 정보의 이름입니다.

제목

주제

만든 이

키워드

설명

서식 파일

마지막 저장한 사람

수정 횟수

응용 프로그램 이름

인쇄한 날짜

만든 날짜

마지막 저장한 시간

총 편집 시간

페이지 수

 단어 수

글자 수

보안

범주

형식

관리자

회사

바이트 수

줄 수

단락 수

슬라이드 수

메모 수

숨겨진 슬라이드 수

멀티미디어 클립 수

컨테이너 응용 프로그램은 모든 기본 제공 문서의 등록 정보에 대한 값을 반드시 정의하지는 않습니다. 특정 응용 프로그램에서 기본 제공 문서의 등록 정보에 대한 값을 정의하지 않은 경우 해당 문서 등록 정보에 Value 속성을 반환하면 오류가 발생합니다.


FileDialog 개체

FileDialog
여러 개체

Microsoft Office 응용 프로그램에 있는 표준 열기 대화 상자 및 저장 대화 상자와 기능적으로 유사한 파일 대화 상자 기능을 제공합니다. 이 대화 상자로 솔루션 사용자는 솔루션을 사용해야 하는 파일과 폴더를 쉽게 지정할 수 있습니다.

FileDialog 개체 사용

FileDialog 개체를 반환하는 FileDialog 속성을 사용합니다. FileDialog 속성은 각 Office 응용 프로그램의 Application 개체에 있습니다. 속성을 반환하는 FileDialog 개체 종류를 지정하는 단일 인수인 DialogType를 적용합니다. 네 가지 종류의 FileDialog 개체가 있습니다.

  • 대화 상자 열기 - Execute 메서드를 사용하여 주 응용 프로그램에서 열 수 있는 한 개 이상의 파일을 선택합니다.
  • 다른 이름으로 저장 대화 상자 - Execute 메서드를 사용하여 현재 파일을 저장할 수 있는 단일 파일을 선택합니다.
  • 대화 상자 파일 선택 - 한 개 이상의 파일을 선택합니다. FileDialogSelectedItems 컬렉션에 사용자가 선택한 파일 경로를 캡처합니다.
  • 대화 상자 폴더 선택 - 경로를 선택합니다. FileDialogSelectedItems 컬렉션에 사용자가 선택한 경로를 캡처합니다.

각각의 주 응용 프로그램은 FileDialog 개체의 단일 인스턴스를 생성할 수만 있습니다. 따라서 여러 개의 FileDialog 개체를 만들 때에만 FileDialog 개체의 여러 속성을 지속할 수 있으므로 대화 상자를 나타내기 전에 목적에 맞는 속성이 모두 적절하게 설정되어 있는지 확인해야 합니다.

FileDialog 개체를 사용하여 파일 대화 상자를 나타내려면 Show 메서드를 사용해야 합니다. 일단 대화 상자가 나타나면 사용자가 해제할 때까지 어떤 코드도 실행되지 않을 것입니다. 다음은 파일 선택 대화 상자를 만들어 나타낸 다음 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter 개체

FileDialogFilters
FileDialogFilter

FileDialog 개체를 통해 표시하는 파일 대화 상자에 파일 필터를 나타냅니다. 각 파일 필터는 파일 대화 상자에 표시하는 파일을 지정합니다.

FileDialogFilter 개체 사용

FileDialogFilters 개체를 반환하는 FileDialogFilter 컬렉션으로 Item 메서드를 사용합니다. FileDialogFilter 컬렉션에 FileDialogFilters 개체를 추가하는 Add 메서드를 사용합니다. Extensions 속성으로 필터 파일에 FileDialogFilter 속성을 사용하는 확장명을 반환할 수 있고 Description 속성으로 필터 설명을 반환할 수 있습니다. 두 가지 속성 모두 읽기 전용입니다. 확장명이나 설명을 설정하려면 Add 메서드를 사용해야 합니다.

다음은 다른 이름으로 저장 대화 상자의 기본 필터를 반복하고 Microsoft Excel 파일을 포함하는 각 필터의 설명을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters 컬렉션

FileDialog
FileDialogFilters
FileDialogFilter

FileDialog 개체를 사용하여 표시하는 파일 대화 상자에 선택할 수 있는 파일 형식을 나타내는 FileDialogFilter 개체 컬렉션입니다.

FileDialogFilters 컬렉션 사용

FileDialogFilters 컬렉션을 반환하는 FileDialog 개체의 Filters 속성을 사용합니다. 다음은 파일 열기 대화 상자에 대한 FileDialogFilters 컬렉션을 반환하는 코드입니다.

Application.FileDialog(msoFileDialogOpen).Filters

FileDialogFilters 컬렉션에 FileDialogFilter 개체를 추가할 Add 메서드를 사용합니다. 다음은 컬렉션을 지우는 Clear 메서드를 사용한 다음 컬렉션에 필터를 추가하는 예제입니다. Clear 메서드는 컬렉션을 완전히 비웁니다. 그러나 컬렉션을 비운 후 필터를 추가하지 않으면 "모든 파일 (*.*)" 필터는 자동으로 추가됩니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

FileDialogFilters 컬렉션을 변경할 때 각 응용 프로그램은 단일 FileDialog 개체 인스턴스만을 생성할 수 있다는 점을 참고하십시오. 따라서, 새 대화 상자 형식으로 FileDialog 메서드를 호출할 때마다 FileDialogFilters 컬렉션은 기본 필터로 다시 설정됩니다.

다음은 다른 이름으로 저장 대화 상자의 기본 필터를 반복하고 Microsoft Excel 파일을 포함하는 각 필터의 설명을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

참고 Filters 속성을 다른 이름으로 저장 FileDialog 개체에 적용할 경우, Clear, Add, Delete 메서드와 함께 사용하면 런타임 오류가 발생합니다. 예를 들어, Application.FileDialog(msoFileDialogSaveAs).Filters.Clear는 런타임 오류가 발생합니다.


FileDialogSelectedItems 컬렉션

FileDialog
FileDialogSelectedItems

FileDialog 개체를 통해 나타나는 파일 대화 상자에서 사용자가 선택한 파일이나 폴더의 경로에 대응하는 String 값의 컬렉션입니다.

FileDialogSelectedItems 컬렉션 사용

FileDialogSelectedItems 컬렉션을 반환하는 FileDialog 개체와 함께 SelectedItems 속성을 사용합니다. 다음은 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch 개체

FileSearch
여러 개체

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

파일 메뉴의 열기 대화 상자의 기능을 나타냅니다.

FileSearch 개체 사용

FileSearch 속성을 사용하여 FileSearch 개체를 반환합니다. 다음은 파일을 검색한 후 검색된 파일의 개수와 각 파일의 이름을 표시하는 예제입니다.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

NewSearch 메서드를 사용하여 검색 조건을 기본값으로 다시 설정합니다. 검색이 끝나도 모든 속성 값은 그대로 유지되므로 NewSearch 메서드를 사용하면 이전 속성 값을 직접 다시 설정할 필요 없이 다음 파일 검색에 필요한 속성을 선택적으로 설정할 수 있습니다. 다음은 새로 검색을 실행하기 전에 검색 조건을 기본값으로 다시 설정하는 예제입니다.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes 컬렉션

FileSearch
FileTypes

FileSearch 개체의 Execute 메서드에 의해 반환하는 파일 형식을 지정하는 msoFileType 형식 값의 컬렉션입니다.

FileTypes 컬렉션 사용

FileTypes 컬렉션을 반환하기 위해 FileSearch 개체와 함께 FileTypes 속성을 사용합니다. 예를 들면 다음과 같습니다.

Set ft = Application.FileSearch.FileTypes

참고 FileSearch 개체의 FileType 속성은 FileTypes 컬렉션을 지우고 컬렉션의 첫째 항목을 FileType 속성에 의해 정의된 파일 형식으로 설정합니다.

모든 검색에 FileTypes 컬렉션은 한 개만 있으므로 이전 검색에서 파일 형식에 대한 검색을 하고 싶지 않다면 검색을 실행하기 전에 FileTypes 컬렉션을 지우는 것이 중요합니다. 컬렉션을 지우는 가장 쉬운 방법은 검색하려는 첫 번째 파일 형식에 FileType 속성을 설정하는 것입니다. 또한, Remove 메서드를 사용하여 각 형식을 제거할 수도 있습니다. 컬렉션에서 각 항목의 파일 형식을 지정하려면 msoFileType 값을 반환하는 Item 메서드를 사용합니다.

다음은 C:\ 드라이브에 있는 모든 HTML과 Microsoft Excel 파일을 검색하는 예제입니다.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

다음은 FileTypes 컬렉션을 통해 반복하고 Microsoft Word나 Microsoft Excel 파일에 없는 파일 형식을 제거하는 예제입니다. 일반적으로 FileTypes 컬렉션을 지우고 처음부터 시작하는 것이 더 간단합니다.

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles 개체

FileSearch
PropertyTests (PropertyTest)
FoundFiles

파일 검색에서 반환된 파일 목록을 나타냅니다.

FoundFiles 개체 사용

FoundFiles 속성을 사용하여 FoundFiles 개체를 반환합니다. 다음은 검색된 파일 목록에서 각 파일의 경로와 이름을 표시하는 예제입니다. 검색된 특정 파일의 경로와 이름을 반환하려면 FoundFiles(index)를 사용합니다. index는 인덱스 번호입니다.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Execute 메서드를 사용하여 파일 검색을 시작하고 FoundFiles 개체를 업데이트합니다. 다음은 My Documents 폴더에서 이름이 "Cmd"로 시작하는 파일을 모두 검색 하여 검색된 파일의 이름과 위치를 표시하는 예제입니다. 또한 반환된 파일 이름을 알파벳 오름차순으로 정렬합니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject 개체

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Microsoft Script Editor의 프로젝트 탐색기에서처럼 최상위 수준의 프로젝트 분기를 나타냅니다.

HTMLProject 개체 사용

HTMLProject 개체의 Open 메서드를 사용하여 Microsoft Script Editor에서 HTML 프로젝트를 엽니다. 프로젝트는 활성 Microsoft Word 문서나 Excel 통합 문서, PowerPoint 프레젠테이션의 소스 보기나 텍스트 보기로 열립니다. 다음은 활성 Word 문서의 소스 보기로 HTML 프로젝트를 여는 예제입니다.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

HTMLProjectItems 속성을 사용하여 HTML 프로젝트에서 HTMLProjectItem 개체의 컬렉션을 반환합니다. RefreshDocument 메서드를 사용하여 호스트 응용 프로그램에서 HTML 문서를 새로 고칩니다. RefreshProject 메서드를 사용하여 Micorsoft Script Editor에서 프로젝트를 새로 고칩니다. State 메서드를 사용하여 HTML 프로젝트를 새로 고칠 필요가 있는지 확인합니다.


HTMLProjectItem 개체

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Microsoft Script Editor의 프로젝트 탐색기에서 프로젝트 항목 분기인 각 프로젝트 항목을 나타냅니다. HTMLProjectItem 개체는 HTMLProjectItems 컬렉션의 구성원입니다.

HTMLProjectItem 개체 사용

HTMLProjectItems(index)를 사용하여 HTMLProjectItem 개체 하나를 반환합니다. index는 프로젝트 항목의 이름이나 인덱스 번호입니다. 프로젝트 항목의 표시 이름을 반환하려면 Name 속성을 사용합니다. 다음은 활성 문서의 HTMLProjectItems 컬렉션에서 첫 번째 프로젝트 항목 이름을 반환하는 예제입니다.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Open 메서드를 사용하여 소스 보기나 텍스트 보기에서 프로젝트 항목을 열고, IsOpen 속성을 사용하여 프로젝트 항목이 현재 열려 있는지를 확인합니다. 다음은 활성 문서의 기본 보기에서 "ItemOne"이라는 프로젝트 항목을 열고 항목이 제대로 열렸는지를 메시지 상자에 표시하는 예제입니다.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

SaveCopyAs 메서드를 사용하여 프로젝트 항목을 새 파일 이름으로 저장합니다. 다음은 "NewItem.txt"라는 이름으로 ItemOne의 복사본을 저장하는 예제입니다.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

다음은 C:\NewText.txt 파일이 존재할 경우 LoadFromFile 속성을 사용하여 ItemOne의 텍스트를 파일에 포함된 텍스트로 설정하고, Text 속성을 사용하여 메시지 상자에 새 텍스트를 표시하는 예제입니다.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems 컬렉션 개체

HTMLProject
HTMLProjectItems (HTMLProjectItem)

HTMLProject 개체에 포함된 HTML 프로젝트 항목을 나타내는 HTMLProjectItem 개체의 컬렉션입니다.

HTMLProjectItems 컬렉션 사용

HTMLProject 개체의 HTMLProjectItems 속성을 사용하여 HTMLProjectItems 컬렉션을 반환합니다. HTMLProjectItems 컬렉션의 Count 속성을 사용하여 지정된 문서의 HTML 프로젝트에서 프로젝트 항목의 개수를 반환합니다. HTMLProjectItems 컬렉션의 Item 메서드를 사용하여 각 프로젝트 항목을 반환합니다. 다음은 활성 문서의 HTMLProjectItems 컬렉션에서 첫 번째 프로젝트 항목의 이름을 반환하는 예제입니다.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings 개체

LanguageSettings

Microsoft Office 응용 프로그램의 언어 설정에 관한 정보를 반환합니다.

LanguageSettings 개체 사용

Application.LanguageSettings.LanguageID(MsoAppLanguageID)를 사용합니다. MsoAppLanguageID는 지정된 응용 프로그램에 로케일 식별자(LCID) 정보를 반환할 때 사용되는 상수입니다.

MsoAppLanguageID는 다음 MsoAppLanguageID 상수 중 하나가 될 수 있습니다.
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

다음은 메시지 상자에 설치 언어와 사용자 인터페이스 언어, 도움말 언어 LCID를 반환하는 예제입니다.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

다음 예제에서와 같이 Application.LanguageSettings.LanguagePreferredForEditing을 사용하여 응용 프로그램의 기본 편집 언어로 등록된 LCID를 확인합니다.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope 개체

MsoEnvelope
CommandBars

Microsoft Office 응용 프로그램에서 직접 문서를 전자 메일로 보낼 수 있는 기능에 액세스할 수 있습니다.

MsoEnvelope 개체 사용

사용하는 응용 프로그램에 따라 MsoEnvelope 개체를 반환하는 Document 개체, Chart 개체 또는 Worksheet 개체의 MailEnvelope 속성을 사용합니다.

다음은 서브루틴을 통과하는 전자 메일 주소에 전자 메일로 활성화된 Microsoft Word 문서를 보내는 예제입니다.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile 개체

NewFile

여러 개의 Microsoft Office 응용 프로그램에 사용하는 New Item 작업창에 나열하는 항목을 나타내는 NewFile 개체입니다. 다음 표는 각 응용 프로그램에 NewFile 개체를 액세스할 때 사용하는 속성을 나타냅니다.

응용 프로그램 | 속성
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

참고 다음 아래는 Word에 대한 예제입니다. 그러나, 위에 나열된 등록 정보에 대해 NewDocument 속성을 변경할 수 있고 응용 프로그램에 대응하는 코드를 사용할 수 있습니다.

NewFile 개체 사용

New Item 작업창에 새로운 항목을 추가하는 Add 메서드를 사용합니다. 다음은 Word의 새로 만들기 작업창에 항목을 추가하는 예제입니다.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

New Item 작업창에서 항목을 제거하는 Remove 메서드를 사용합니다. 다음은 Word의 새로 만들기 작업창에서 위의 예제에 추가된 문서를 제거하는 예제입니다.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn 개체

ODSOColumns
ODSOColumn

데이터 원본의 필드를 나타냅니다. ODSOColumn 개체는 ODSOColumns 컬렉션의 구성원입니다. ODSOColumns 컬렉션은 이름, 주소, 도시 등의 메일 병합 데이터 원본에 있는 모든 데이터 필드를 포함합니다.

ODSOColumn 개체 사용

단일 ODSOColumn 개체를 반환하는 데이터 필드 이름이나 인덱스 번호가 있는 Columns(index)를 사용합니다. 인덱스 번호는 메일 병합 데이터 원본에 있는 데이터 필드의 위치를 나타냅니다. 다음은 활성화된 게시에 첨부된 데이터 원본에서 첫 번째 레코드의 첫 필드 이름과 값을 검색하는 예제입니다.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

주의

ODSOColumns 컬렉션에 필드를 추가할 수 없습니다. 데이터 원본에 있는 모든 데이터 필드는 자동으로 ODSOColumns 컬렉션에 포함됩니다.


ODSOColumns 개체

OfficeDataSourceObject
ODSOColumns
ODSOColumn

메일 병합 데이터 원본에 데이터 필드를 나타내는 ODSOColumn 개체 컬렉션입니다.

ODSOColumns 개체 사용

ODSOColumns 컬렉션을 반환하는 Columns 속성을 사용합니다. 다음은 활성화된 게시에 첨부된 데이터 원본에 필드 이름을 나타내는 예제입니다.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

단일 ODSOColumn 개체를 반환하는 데이터 필드 이름이나 인덱스 번호가 있는 Columns(index)을 사용합니다. 인덱스 번호는 메일 병합 원본에 데이터 필드의 위치를 나타냅니다. 다음은 활성화된 게시에 첨부된 데이터 원본에서 FileName의 첫 필드 이름과 첫 레코드 값을 검색하는 예제입니다.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter 개체

ODSOFilters
ODSOFilter

첨부한 편지 병합 데이터 원본에 적용되는 필터를 나타냅니다. ODSOFilter 개체는 ODSOFilters 개체의 구성원입니다.

ODSOFilter 개체 사용

쿼리 문자열에 있는 한 개의 줄이 각 필터입니다. 데이터 원본 쿼리 기준을 반환하거나 설정하려면 Column, Comparison, CompareTo, 그리고 Conjunction 속성을 사용합니다. 다음은 편지 병합에서 Region 필드 값이 "WA"가 아닌 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

ODSOFilters 개체의 Add 메서드를 사용하여 쿼리에 새 필터 기준을 추가합니다. 다음은 쿼리 문자열에 새로 한 줄을 추가한 다음 결합된 필터를 데이터 원본에 적용하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters 개체

OfficeDataSourceObject
ODSOFilters
ODSOFilter

메일 병합 게시에 첨부된 데이터 원본에 적용하는 모든 필터를 나타냅니다. ODSOFilters 개체는 ODSOFilter 개체를 포함합니다.

ODSOFilters 개체 사용

쿼리에 새 필터 기준을 추가하는 ODSOFilters 개체의 Add 메서드를 사용합니다. 다음은 쿼리 문자열에 새 줄을 추가한 다음 데이터 원본에 결합한 필터를 적용하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

각 필터 기준에 액세스하는 Item 메서드를 사용합니다. 다음은 모든 필터 기준을 통해 반복되고 "Region" 값으로 하나가 발견되면 메일 병합에서 "WA"에 일치하지 않는 모든 레코드를 제거하여 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject 개체

OfficeDataSourceObject
여러 개체

메일 병합 연산에 메일 병합 데이터 원본을 나타냅니다.

OfficeDataSourceObject 개체 사용

OfficeDataSourceObject 개체로 작업하려면 OfficeDataSourceObject 개체로 변수 차원에서 작업합니다. 그런 다음 개체와 관련된 다른 속성과 메서드로 작업할 수 있습니다. 데이터 원본에 레코드를 정렬하는 방법을 지정하는 SetSortOrder 메서드를 사용합니다. 다음은 ZIP 코드에 따라 먼저 내림차순으로 정렬한 다음 성과 이름에 의해 오름차순으로 정렬하는 예제입니다.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

데이터 원본 쿼리 기준을 반환하거나 설정하는 Column, Comparison, CompareTo, Conjunction 속성을 사용합니다. 다음은 메일 병합에서 "WA"에 일치하는 Region 필드를 갖고 있지 않은 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest 개체

FileSearch
PropertyTests (PropertyTest)
FoundFiles

단일 파일 검색 조건을 나타냅니다. 검색 조건은 파일 메뉴에서 열기를 선택하고 상세하게 찾기 단추를 클릭할 때 나타나는 상세하게 찾기 대화 상자에 표시됩니다. PropertyTest 개체는 PropertyTests 컬렉션의 구성원입니다.

PropertyTest 개체 사용

PropertyTests(index)를 사용하여 PropertyTest 개체 하나를 반환합니다. index는 인덱스 번호입니다. 다음은 PropertyTests 컬렉션에서 첫째 속성 테스트의 모든 검색 조건을 표시하는 예제입니다.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests 컬렉션 개체

FileSearch
PropertyTests (PropertyTest)
FoundFiles

파일 검색의 모든 검색 조건을 표시하는 PropertyTest 개체의 컬렉션입니다. 검색 조건은 상세하게 찾기 대화 상자에 표시됩니다. 이 대화 상자는 파일 메뉴에서 열기 명령을 선택하고는 상세하게 찾기 단추를 클릭하면 나타납니다.

PropertyTests 컬렉션 사용

PropertyTests 속성을 사용하여 PropertyTests 컬렉션을 반환합니다. 다음은 파일 검색을 한 번 실행할 때 사용될 상세하게 찾기 검색 조건의 개수를 표시하는 예제입니다.

Application.FileSearch.PropertyTests.Count

Add 메서드를 사용하여 PropertyTests 컬렉션에 PropertyTest 개체를 새로 추가합니다. 다음은 검색 조건에 속성 테스트 두 개를 추가하는 예제입니다. 첫째 조건은 모든 형식의 파일을 찾는 것이고 둘째 조건은 1996년 1월 1일에서 1996년 6월 30일 사이에 수정된 파일을 찾는 것입니다. 또한 검색된 파일의 개수와 이름을 메시지 상자에 표시합니다.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

PropertyTests(index)를 사용하여 PropertyTest 개체 하나를 반환합니다. index는 인덱스 번호입니다. 다음은 PropertyTests 컬렉션에서 첫째 속성 테스트의 모든 검색 조건을 표시하는 예제입니다.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder 개체

여러 개체
ScopeFolder
ScopeFolders

검색할 수 있는 폴더에 대응합니다. ScopeFolder 개체는 SearchFolders 컬렉션으로 사용하기 위한 것입니다. SearchFolders 컬렉션은 FileSearch 개체를 사용하여 검색할 폴더를 정의합니다. 지정한 폴더를 검색하려면 ScopeFolder 개체를 검색하는 SearchScope 개체와 ScopeFolder 컬렉션의 메서드와 속성을 사용하여 SearchFolders 컬렉션에 추가할 수 있습니다.

ScopeFolder 개체 사용

예를 들어 검색 범위의 ScopeFolder 루트 개체를 반환하려면 SearchScope 개체의 ScopeFolder 속성을 사용합니다.

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

예를 들어 ScopeFolder 루트 개체의 하위 폴더를 반환하는 ScopeFolders 컬렉션의 Item 메서드를 사용합니다.

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

예를 들어 FileSearch 개체로 호출되는 Execute 메서드를 다음에 검색할 폴더를 반환하는 SearchFolders 컬렉션의 Item 메서드를 사용합니다.

Set sf = Application.FileSearch.SearchFolders.Item(1)

각각의 ScopeFolder 개체에는 상위 ScopeFolder 개체의 하위 폴더를 포함하는 ScopeFolders 컬렉션이 있습니다. ScopeFolders 컬렉션을 반복하고 하위 수준의 모든 ScopeFolder 개체를 반환하여 검색 범위의 전체 폴더 구조(예: 모든 로컬 드라이브)를 검사할 수 있습니다. 하위 폴더가 없는 ScopeFolder 개체는 빈 ScopeFolders 컬렉션을 포함합니다.

검색 범위에서 모든 ScopeFolder 개체를 통해 반복하는 방법을 보려면 SearchFolders 컬렉션 항목을 참고하십시오.

SearchFolders 컬렉션에 ScopeFolder 개체를 추가하는 SearchFolders 컬렉션의 Add 메서드를 사용할 수 있습니다. 그러나 모든 검색에는 하나의 SearchFolders 컬렉션만 있기 때문에, 추가하려는 ScopeFolder의 AddToSearchFolders 메서드를 사용하는 것이 일반적으로 더 간단합니다.

SearchFolders 컬렉션에 ScopeFolder를 추가하는 방법을 보려면 SearchFolders 컬렉션을 참고하십시오.

다음은 내 컴퓨터의 각 디렉터리의 루트 경로를 나타내는 예제입니다. 이 정보를 검색하려면 먼저 내 컴퓨터의 루트에 ScopeFolder 개체 예제가 있어야 합니다. ScopeFolder 개체 경로는 항상 "*" 입니다. 모든 ScopeFolder 개체로 루트 개체는 ScopeFolders 컬렉션을 포함합니다. 다음은 ScopeFolders 컬렉션을 통해 반복하고 그 곳에 각 ScopeFolder 개체의 경로를 나타내는 예제입니다. 이러한 ScopeFolder 개체의 경로는 "A:\", "C" 드라이브에 있습니다.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders 컬렉션

ScopeFolder
ScopeFolders
ScopeFolder

ScopeFolder 개체의 컬렉션입니다. ScopeFolder 개체만이 ScopeFolders 컬렉션을 포함합니다. 각 ScopeFolders 컬렉션은 상위 ScopeFolder 개체의 하위 폴더에 대응하는 ScopeFolder 개체를 포함합니다.

ScopeFolders 컬렉션 사용

ScopeFolder 개체의 ScopeFolders 속성을 사용하여 ScopeFolders 컬렉션을 반환합니다.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

ScopeFolders 컬렉션에서 ScopeFolder 개체를 추가하거나 제거할 수 없습니다.


Script 개체

Scripts (Script)

Microsoft Word 문서나 Microsoft Excel 스프레드시트, Microsoft PowerPoint 슬라이드에서 HTML 스크립트 블록을 나타냅니다. Script 개체는 Scripts 컬렉션의 구성원입니다.

Script 개체 사용

Scripts.Item(index)을 사용하여 Script 개체 하나를 반환합니다. index는 스크립트의 이름이나 ID, 인덱스 번호입니다. 각 Script 개체는 스크립트를 액세스할 때 사용할 수 있는 편리한 이름을 제공하는 Id 속성에 의해 식별됩니다. 다음은 활성 문서의 Scripts 컬렉션에 스크립트 하나를 추가하고 인덱스 값 1에 해당 스크립트의 ID를 표시하는 예제입니다.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Language 속성을 변경하여 스크립트에 사용되는 스크립트 언어를 지정할 수 있습니다. 다음은 "ScriptOne"의 스크립트 언어를 Active Server Pages(ASP)로 변경하는 예제입니다.

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Location 속성을 사용하여 HTML 문서 내의 스크립트 앵커 모양의 위치를 확인할 수 있습니다. 다음은 활성 HTML 문서의 본문에 "ScriptOne"이 있는지를 확인하는 예제입니다.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Extended 속성을 사용하여 <SCRIPT> 태그(LANGUAGE 및 ID 특성 제외)에 추가된 특성을 확인하거나 설정할 수 있습니다. 다음은 활성 문서에서 "ScriptOne"의 추가 특성을 확인하는 예제입니다.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

ScriptText 속성을 사용하여 특정 스크립트와 연결된 스크립트 텍스트를 확인하거나 설정할 수 있습니다. 다음은 활성 문서에서 "ScriptOne"과 연결된 스크립트 텍스트가 포함된 메시지 상자를 표시하는 예제입니다.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts 컬렉션 개체

Scripts (Script)

지정된 문서에서 HTML 스크립트의 컬렉션을 나타내는 Script 개체의 컬렉션입니다.

Scripts 컬렉션 사용

Scripts 컬렉션은 특정 문서의 모든 Script 개체를 원본 순서(원본 파일에 Script 개체가 추가된 순서)대로 포함합니다. 원본 순서는 문서 내 스크립트 위치(머리글 또는 본문 텍스트)에 의해 영향을 받지 않습니다. Script 개체를 사용하면 스크립트를 액세스하거나 Microsoft Word 문서, Microsoft Excel 워크시트, Microsoft PowerPoint 슬라이드에 스크립트를 추가할 수 있습니다. HTML 페이지나 Microsoft Office 응용 프로그램에서 열리는 스크립트를 액세스할 때도 Scripts 컬렉션을 사용할 수 있습니다.

참고 Microsoft Access에서는 이와 같은 공유 Office 구성 요소를 사용할 수 없습니다.

Script 추가

Scripts 컬렉션에 Script 개체를 추가하면 msoScriptAnchor 형식의 Shape 개체가 자동으로 문서에 추가됩니다. Excel 워크시트나 PowerPoint 슬라이드에서는 도형이 Shapes 컬렉션에 추가되고, Word 문서에서는 InlineShapes 컬렉션에 추가됩니다. Add 메서드를 사용하여 문서에 Script를 추가합니다. 다음은 활성 Word 문서에 간단한 스크립트를 추가하는 예제입니다.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Scripts 컬렉션의 특정 항목을 액세스하려면 Item 메서드를 사용하고 <SCRIPT> 태그의 ID 특성이나 컬렉션에서 스크립트 위치를 나타내는 인덱스 번호를 제공합니다. ID는 문서 내에서 고유해야 합니다. ID 특성이 중복될 경우, 해당 ID를 가진 스크립트 중 첫 번째로 검색된 스크립트가 반환됩니다. 다음은 "ScriptOne"의 ID를 가진 스크립트 중 첫 번째로 검색된 스크립트의 언어를 메시지 상자에 표시하는 예제입니다.

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Count 속성을 사용하여 지정된 문서에서 Script 개체의 개수를 확인합니다. 다음은 활성 문서에서 스크립트의 개수를 표시하는 예제입니다.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

다음 예제와 같이 Delete 메서드를 사용하여 Scripts 컬렉션에서 스크립트를 제거합니다.

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders 컬렉션

FileSearch
SearchFolders
ScopeFolder

FileSearch 개체의 Execute 메서드를 호출할 때 검색되는 폴더를 지정하는 ScopeFolder 개체의 컬렉션입니다.

SearchFolders 컬렉션 사용

예를 들어 FileSearch 개체로 SearchFolders 속성을 사용하여 SearchFolders 컬렉션을 반환합니다.

Set sfs = Application.FileSearch.SearchFolders

각 응용 프로그램에는 단일 SearchFolders 컬렉션만 있습니다. 컬렉션의 내용은 실행이 완료되어 호출된 코드 뒤에 남게 됩니다. 따라서 이전에 검색한 내용에서 폴더를 포함하지 않으려면 컬렉션을 지워야 합니다.

SearchFolders 컬렉션에 ScopeFolder 개체를 추가하려면 SearchFolders 컬렉션의 Add 메서드를 사용합니다. 그러나 모든 검색에는 하나의 SearchFolders 컬렉션만 있으므로, 추가하려는 ScopeFolder의 AddToSearchFolders 메서드를 사용하는 것이 일반적으로 더 간단합니다.

SearchFolders 컬렉션은 FileSearch 개체의 LookIn 속성에 맺음말로서 나타납니다. 검색한 폴더와 검색을 실행했을 때 사용되는 폴더 두개를 모두 지정합니다. 그러나 LookIn 속성만을 사용하기 원한다면 SearchFolders 컬렉션은 비어 있어야 합니다. 반대로 SearchFolders 컬렉션만을 사용하기 원한다면 Execute 메서드를 호출하기 전에 SearchFolders의 첫 번째 구성원의 경로에 LookIn 속성을 설정합니다.

다음은 로컬 컴퓨터의 "1033"이라는 모든 폴더에서 HTML 및 Microsoft Excel 파일을 검색하는 예제입니다. 이 예제에서는 SearchFolders 컬렉션, SearchScopes 컬렉션, ScopeFolders 컬렉션을 사용합니다.

이 예제는 두 개의 루틴으로 구성되어 있는데, SearchEveryFolder 루틴은 실행시켜야 하는 루틴이고 OutputPaths 루틴은 로컬 컴퓨터의 전체 디렉터리 구조를 검사하기 위해 루틴을 반복하여 호출하기 때문에 주 루틴에서 분리된 루틴입니다.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope 개체

SearchScopes
SearchScope
ScopeFolder

FileSearch 개체를 사용하여 검색되는 폴더 트리 형식에 대응합니다. 예를 들어 이 컴퓨터의 로컬 드라이브는 단일 검색 범위를 나타냅니다. 또한 네트워크 폴더와 Microsoft Outlook 폴더는 사용 가능한 검색 범위로 분리됩니다. 각 SearchScope 개체는 검색 범위의 루트 폴더에 대응하는 단일 ScopeFolder 개체를 포함합니다.

SearchScope 개체 사용

예를 들어 SearchScopes 컬렉션의 Item 메서드를 사용하여 SearchScope 개체를 반환합니다.

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

SearchScope 개체는 결국 SearchFolders 컬렉션에 추가되는 ScopeFolder 개체에 액세스를 제공하게 됩니다. 수행하는 방법을 보려면 SearchFolders 컬렉션 항목을 참고하십시오.

SearchScope 개체에서 ScopeFolder 개체를 반환하는 방법을 보려면 ScopeFolder 개체 항목을 참고하십시오.

다음은 현재 사용 가능한 모든 SearchScope 개체를 나타내는 예제입니다.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes 컬렉션

FileSearch
SearchScopes
SearchScope

SearchScope 개체의 컬렉션입니다.

SearchScopes 컬렉션 사용

예를 들어 FileSearch 개체의 SearchScopes 속성을 사용하여 SearchScopes 컬렉션을 반환합니다.

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

SearchScopes 컬렉션에서 SearchScope 개체를 추가하거나 제거할 수 없습니다.


Signature 개체

SignatureSet
Signature

문서에 첨부한 디지털 서명에 대응합니다. Signature 개체는 Document 개체의 SignatureSet 컬렉션에 포함됩니다.

Signature 개체 사용

Add 메서드를 사용하여 SignatureSet 컬렉션에 Signature 개체를 추가하고 Item 메서드를 사용하여 기존 구성원을 반환할 수 있습니다. SignatureSet 컬렉션에서 Signature를 제거하려면 Signature 개체의 Delete 메서드를 사용합니다.

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 디지털 인증서의 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 서명이 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet 컬렉션

SignatureSet
Signature

문서에 첨부한 디지털 서명에 해당하는 Signature 개체 컬렉션입니다.

SignatureSet 컬렉션 사용

예를 들어 Document 개체의 Signatures 속성을 사용하여 SignatureSet 컬렉션을 반환합니다.

Set sigs = ActiveDocument.Signatures

참고 Commit 메서드를 호출하지 않으면 문서의 SignatureSet 컬렉션에 대한 변경 내용은 지속되지 않습니다.

Add 메서드를 사용하여 SignatureSet 컬렉션에 Signature 개체를 추가하고 Item 메서드를 사용하여 기존 구성원을 반환할 수 있습니다. SignatureSet 컬렉션에서 Signature를 제거하려면 Signature 개체의 Delete 메서드를 사용합니다.

다음은 Microsoft Word 현재 문서에 서명할 디지털 서명을 선택하라는 메시지를 사용자에게 표시하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 디지털 인증서 대화 상자에 있는 디지털 인증서의 발급자 필드와 발급 대상 필드와 일치하는 인증서 서명자 이름과 발급자 이름에 이 함수를 전달합니다. 이 예제에서는 새 서명을 디스크에 커밋하기 전에 사용자가 선택한 디지털 서명이 만료되지 않았는지 확인합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont 개체

WebPageFonts (WebPageFont)

특정 문자 집합에 대해 문서를 웹 페이지로 저장할 때 사용되는 기본 글꼴을 나타냅니다.

WebPageFont 개체 사용

WebPageFont 개체를 사용하여 사용 가능한 문자 집합의 가변 폭 글꼴, 가변 폭 글꼴 크기, 고정 폭 글꼴, 고정 폭 글꼴 크기를 설명합니다.

다음 문자 집합을 지원합니다.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

다음은 WebPageFont 개체인 myFont에 대해 가변 폭 글꼴과 가변 폭 글꼴 크기를 설정하는 예제입니다.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts 컬렉션 개체

WebPageFonts (WebPageFont)

문서를 웹 페이지로 저장할 때 사용되는 가변 폭 글꼴, 가변 폭 글꼴 크기, 고정 폭 글꼴, 고정 폭 글꼴 크기를 설명하는 WebPageFont 개체의 컬렉션입니다. 사용 가능한 각 문자 집합에 대해 웹 페이지 글꼴 속성의 설정을 다르게 지정할 수 있습니다.

WebPageFonts 컬렉션 사용

WebPageFonts 컬렉션은 각 문자 집합에 대해 WebPageFont 개체를 하나씩 포함합니다.

다음 문자 집합을 지원합니다.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

다음은 Item 속성을 사용하여 현재 응용 프로그램에서 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 myFont를 WebPageFont 개체로 설정하는 예제입니다.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

사용자 지정 마법사 실행 시 Office 길잡이 도움말을 다시 시작하거나 일시 정지합니다.

참고 이 메서드는 StartWizard 메서드와만 사용할 수 있습니다.

expression.ActivateWizard(WizardID, Act, Animation)

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

WizardID 필수 요소로서 Long 형식입니다. StartWizard 메서드에서 반환되는 값입니다.

Act 필수 요소로서 MsoWizardActType 형식입니다. Office 길잡이 도움말 세션의 변경 내용을 지정합니다.

MsoWizardActType은 다음 MsoWizardActType 상수 중 하나가 될 수 있습니다.
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation 선택 요소로서 Variant 형식입니다. Office 길잡이가 마법사 세션을 다시 시작하거나 일시 정지할 때 수행할 애니메이션입니다.

예제

다음은 StartWizard 메서드로 시작한 마법사 세션을 일시 정지하는 예제입니다. IHelpForWiz 변수는 StartWizard 메서드의 반환 값으로 설정됩니다.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add 메서드

NewFile 개체에 Add 메서드를 적용할 경우

New Item 작업창에 새 항목을 추가하며 Boolean 형식을 반환합니다. True 이면 항목이 제대로 추가됩니다.

expression.Add(FileName, Section, DisplayName, Action)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

FileName 필수 요소로서 String 형식입니다. 작업창에 파일 목록을 추가하는 파일 이름입니다.

Section 선택 요소로서 Variant 형식입니다. 파일을 추가하는 구역이며 msoFileNewSection 상수를 사용할 수 있습니다.

DisplayName ; 선택 요소로서 Variant 형식입니다. 작업창에 나타내는 텍스트입니다.

Action 선택 요소로서 Variant 형식입니다. 사용자가 클릭할 때 항목에 적용되는 작업이며 msoFileNewAction 상수를 사용할 수 있습니다.

CommandBars 개체에 Add 메서드를 적용할 경우

새 명령 모음을 만들어 명령 모음의 컬렉션에 추가하며 CommandBar 개체를 반환합니다.

expression.Add(Name, Position, MenuBar,Temporary)

expression 필수 요소로서 CommandBars 개체를 반환하는 식입니다.

Name 선택 요소로서 Variant 형식이며 새 명령 모음의 이름입니다. 이 인수가 생략되면 기본값이 명령 모음에 지정됩니다(예: Custom 1).

Position 선택 요소로서 Variant 형식이며 새 명령 모음의 위치 또는 종류입니다. 사용할 수 있는 MsoBarPosition 상수는 다음 표에 나와 있습니다.

상수 | 설명
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | 새 명령 모음의 왼쪽, 위쪽, 오른쪽, 아래쪽 좌표를 나타냅니다.
msoBarFloating | 새 명령 모음을 이동할 수 있다는 것을 나타냅니다.
msoBarPopup | 새 명령 모음이 바로 가기 메뉴가 되도록 합니다.
msoBarMenuBar | Macintosh 전용입니다.

MenuBar 선택 요소로서 Variant 형식입니다. True이면 활성 메뉴 모음이 새 명령 모음으로 바뀝니다. 기본값은 False입니다.

Temporary 선택 요소로서 Variant 형식입니다. True이면 임시로 새 명령 모음을 만듭니다. 임시로 만들어진 명령 모음은 컨테이너 응용 프로그램이 닫히면 삭제됩니다. 기본값은 False입니다.

CommandBarControls 개체에 Add 메서드를 적용할 경우

새 CommandBarControl 개체를 만들어 지정한 명령 모음의 컨트롤 컬렉션에 추가합니다.

expression.Add(Type, Id, Parameter, Before, Temporary)

expression 필수 요소로서 CommandBarControls 개체를 반환하는 식입니다.

Type 선택 요소로서 Variant 형식입니다. 지정한 명령 모음에 추가될 컨트롤 종류입니다. 사용할 수 있는 MsoControlType 상수에는 msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlPopup 등이 있습니다.

Id 선택 요소로서 Variant 형식입니다. 기본 제공된 컨트롤을 지정하는 정수입니다. 인수 값이 1이거나 생략되어 있으면 지정한 형식의 비어 있는 사용자 지정 컨트롤이 명령 모음에 추가됩니다.

Parameter 선택 요소로서 Variant 형식입니다. 기본 제공된 컨트롤의 경우 이 인수는 명령을 실행하는 컨테이너 응용 프로그램에서 사용됩니다. 사용자 지정 컨트롤에서는 이 인수를 사용하여 Visual Basic 프로시저에 정보를 보내거나 컨트롤에 대한 정보를 저장할 수 있습니다(두 번째 Tag 속성값과 같음).

Before 선택 요소로서 Variant 형식입니다. 명령 모음에서 새 컨트롤의 위치를 가리키는 번호입니다. 새 컨트롤은 이 위치에 있는 컨트롤 앞에 삽입됩니다. 이 인수를 생략하면 지정한 명령 모음 끝에 컨트롤이 추가됩니다.

Temporary 선택 요소로서 Variant 형식입니다. True이면 임시로 새 컨트롤을 만듭니다. 임시로 만들어진 컨트롤은 컨테이너 응용 프로그램이 닫히면 자동으로 삭제됩니다. 기본값은 False입니다.

DocumentProperties 개체에 Add 메서드를 적용할 경우

사용자 지정 문서 속성을 새로 만듭니다. 새 문서 속성은 사용자 지정 DocumentProperties 컬렉션에 추가할 수만 있습니다.

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression 필수 요소로서 사용자 지정 DocumentProperties 개체입니다.

Name 필수 요소로서 String 형식이며 속성의 이름입니다.

LinkToContent 필수 요소로서 Boolean 형식입니다. 속성을 컨테이너 문서 내용에 연결할 것인지를 지정합니다. True이면 LinkSource 인수가 필요하며 False이면 값 인수가 필요합니다.

Type 선택 요소로서 Variant 형식입니다. 속성의 데이터 형식입니다. 사용할 수 있는 MsoDocProperties 상수에는 msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber, msoPropertyTypeString 등이 있습니다.

Value 선택 요소로서 Variant 형식입니다. 컨테이너 문서의 내용에 연결되지 않을 때의 속성 값입니다. 값은 유형 인수에 의해 지정되는 데이터 형식과 일치하도록 변환됩니다. 그렇지 않으면 오류가 발생합니다. LinkToContent가 True이면 Value 인수가 무시되고 컨테이너 응용 프로그램에 의해 업데이트된 속성 값이 연결될 때(주로 문서를 저장할 때)까지 새 문서 속성은 기본값을 가집니다.

LinkSource 선택 요소로서 Variant 형식입니다. LinkToContent 값이 False이면 무시됩니다. 연결된 속성의 원본이며 컨테이너 응용 프로그램은 사용할 수 있는 원본 연결 유형을 지정합니다.

주의

Microsoft Office 문서에 제공되어 있는 값에 연결된 DocumentProperties 컬렉션에 사용자 지정 문서 속성을 추가할 때에는 문서를 저장해야 DocumentProperty 개체에서 변경된 내용을 볼 수 있습니다.

FileDialogFilters 개체에 Add 메서드를 적용할 경우

파일 대화 상자에 있는 파일 형식 드롭다운 목록 상자의 필터 목록에 새 파일 필터를 추가합니다. 새로 추가된 파일 필터를 나타내는 FileDialogFilter 개체를 반환합니다.

expression.Add(Description, Extensions, Position)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Description 필수 요소로서 String 형식입니다. 필터 목록에 추가하려는 파일 확장명의 설명을 나타내는 텍스트입니다.

Extensions 필수 요소로서 String 형식입니다. 필터 목록에 추가하려는 파일 확장명을 나타내는 텍스트입니다. 확장명은 두 개 이상이 지정되고 각각은 세미콜론(;)에 의해 구분되어야 합니다. 예를 들어 Extensions 인수는 "*.txt; *.htm" 등에 문자열로 지정될 수 있습니다. 확장명 주위에 괄호를 추가할 필요가 없다는 점에 주의하십시오. 설명과 확장명 문자열이 파일 필터 항목에 하나라도 연결되면 Office는 자동으로 확장명 문자열 주위에 괄호를 추가합니다.

Position 선택 요소로서 Variant 형식입니다. 필터 목록에 새로운 컨트롤 위치를 지정하는 번호입니다. 새 필터는 현재 위치의 필터 앞에 삽입되고, 인수가 생략되면 목록 끝에 추가됩니다.

주의

목록의 각 필터는 파일 확장명(예: .txt)과 파일 확장명의 텍스트 설명(예: 텍스트 파일)의 두 부분으로 구성되어 있습니다. 또한 텍스트 파일(*.txt)과 같은 파일 형식 드롭다운 목록 상자에도 파일 필터가 나타납니다.

목록에 필터가 추가될 때 기본 필터는 제거되지 않는다는 점에 주의하십시오.

필터는 Windows 옵션의 확인란이 표시될 때만 나타납니다.

Position이 잘못되면 범위를 벗어난 런타임 오류가 나타납니다. Description and Extensions 값이 잘못되면 구문 분석 런타임 오류가 나타납니다.

폴더 선택 대화 상자에 필터가 없으면 필터 메서드는 폴더 선택을 지원하지 않습니다.

Scripts 개체에 Add 메서드를 추가할 경우

다음 개체 중 하나의 Scripts 컬렉션에 Script 개체를 추가합니다. Microsoft Word에는 Document 또는 Range 개체, Microsoft Excel에는 Worksheet 또는 Chart 개체, Microsoft PowerPoint에는 Slide, SlideRange, 슬라이드 Master 또는 타이틀 Master 개체이며 Script 개체를 반환합니다.

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression 필수 요소로서 Scripts 컬렉션입니다.

Anchor 선택 요소로서 Microsoft Excel 전용인 Range입니다. Anchor 인수는 Excel Worksheet에 스크립트 앵커 배치를 지정하는 Excel Range 개체를 적용합니다. Excel 차트에 스크립트 앵커를 삽입할 수 없습니다.

Location 선택 요소로서 MsoScriptLocation 형식입니다. 문서에 스크립트 앵커 위치를 지정합니다. Anchor 인수가 지정되면 Location 인수는 사용되지 않습니다. Anchor 인수의 위치는 스크립트 앵커의 위치를 지정합니다.

MsoScriptLocation은 MsoScriptLocation 상수 중 하나가 될 수 있습니다.
msoScriptLocationInBody default
msoScriptLocationInHead

Language 선택 요소로서 MsoScriptLanguage 형식이며 스크립트 언어를 지정합니다.

MsoScriptLanguage는 MsoScriptLanguage 상수 중 하나가 될 수 있습니다.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic default

Id 선택 요소로서 String 형식입니다. HTML에서 <SCRIPT> 태그의 ID입니다. Id 인수는 명명 요소에 사용되는 SGML 식별자를 지정합니다. 올바른 식별자는 문자로 시작하며 영숫자 문자와 밑줄 문자(_)로 구성된 문자열을 포함합니다. ID는 HTML 문서 내에서 고유해야 합니다. 이 매개 변수는 <SCRIPT> 태그의 ID 속성으로 내보냅니다.

Extended 선택 요소로서 String 형식입니다. <SCRIPT> 태그에 추가할 특성을 지정합니다. LANGUAGE와 ID 특성은 Language와 Id 매개 변수를 통해 내보내고 Extended 매개 변수를 통해 내보내지 않습니다. 기본값은 빈 문자열입니다. 같은 HTML에서 특성은 공백으로 구분합니다. Microsoft Office 주 응용 프로그램은 전달된 특성의 구문 확인 방법을 제공하지 않습니다.

ScriptText 선택 요소로서 String 형식입니다. 스크립트 블록에 포함되어 있는 텍스트를 지정합니다. 기본값은 빈 문자열입니다. Microsoft Office 주 응용 프로그램은 스크립트의 구문을 확인할 수 없습니다.

주의

스크립트 블록과 연결된 도형은 HTML에 도형으로 내보내거나 인쇄할 수 없습니다. 스크립트 블록만 내보낼 수 있습니다.

슬라이드를 두 개 이상 포함한 PowerPoint 슬라이드 범위에 스크립트 앵커를 추가하기 위해 Add 메서드를 사용할 수 없습니다.

SignatureSet 개체에 Add 메서드를 적용할 경우

새로운 전자 메일 서명을 나타내는 Signature 개체를 반환합니다.

expression.Add

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

ODSOFilters 개체에 Add 메서드를 적용할 경우

ODSOFilters 컬렉션에 새 필터를 추가합니다.

expression.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Column 필수 요소로서 String 형식입니다. 데이터 원본에 있는 표 이름입니다.

Comparison 필수 요소로서 MsoFilterComparison 형식입니다. 표에서 데이터가 필터링되는 방법을 나타냅니다.

MsoFilterComparison은 MsoFilterComparison 상수 중 하나가 될 수 있습니다.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction 필수 요소로서 MsoFilterConjunction 형식입니다. ODSOFilters 개체에서 현재 필터가 다른 필터와 관계 맺는 방법을 지정합니다.

MsoFilterConjunction은 MsoFilterConjunction 상수 중 하나가 될 수 있습니다.
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo 선택 요소로서 String 형식입니다. Comparison 인수가 msoFilterComparisonIsBlank나 msoFilterComparisonIsNotBlank 외 다른 인수이면 표에 있는 데이터에 문자열이 비교됩니다.

DeferUpdate 선택 요소로서 Boolean 형식이며 기본값은 False입니다.

AnswerWizardFiles 개체에 Add 메서드를 적용할 경우

도움말 마법사 파일에 String 값으로 된 참조를 새로 만들어 AnswerWizardFiles 컬렉션에 추가합니다.

expression.Add (FileName)

expression 필수 요소로서 AnswerWizardFiles 컬렉션을 반환하는 식입니다.

Filename 필수 요소로서 String 형식이며 지정한 도움말 마법사 파일에 정식 경로입니다.

FileTypes 개체에 Add 메서드를 적용할 경우

파일 검색에 새 파일 형식을 추가합니다.

expression.Add(FileType)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

FileType 필수 요소로서 MsoFileType 형식이며 검색하려는 파일 형식을 지정합니다.

MsoFileType은 MsoFileType 상수 중 하나가 될 수 있습니다.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

PropertyTests 개체에 Add 메서드를 적용할 경우

PropertyTests 컬렉션에 PropertyTest 개체를 추가합니다.

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression 필수 요소로서 PropertyTests 개체를 반환하는 식입니다.

Name 필수 요소로서 String 형식입니다. 속성 조건의 이름입니다. 이름은 찾기 대화 상자의 속성 상자에 있는 값과 같습니다. 이 대화 상자는 파일 메뉴의 열기 대화 상자에 있는 도구 메뉴에서 열면 됩니다.

Condition 필수 요소로서 MsoCondition 형식이며 검색 기준의 조건입니다.

MsoCondition은 MsoCondition 상수 중 하나가 될 수 있습니다.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value 선택 요소로서 Variant 형식이며 검색 조건의 값입니다.

SecondValue 선택 요소로서 Variant 형식입니다. 검색 범위의 상위 값입니다. Condition이 msoConditionAnyTimeBetween이나 msoConditionAnyNumberBetween일 때만 이 인수를 사용합니다.

Connector 선택 요소로서 MsoConnector 형식이며 두 개의 검색 조건이 결합하는 방법을 지정합니다.

MsoConnector는 MsoConnector 상수 중 하나가 될 수 있습니다.
msoConnectorAnd default
msoConnectorOr

SearchFolders 개체에 Add 메서드를 적용할 경우

파일 검색에 검색 폴더를 추가합니다.

expression.Add(ScopeFolder)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

ScopeFolder 필수 요소로서 ScopeFolder 개체이며 검색에 추가할 폴더입니다.

예제

AnswerWizardFiles 개체에 적용할 경우

다음은 사용자 지정 파일 목록에 적용할 도움말 마법사를 준비한 다음 사용자 지정 도움말 마법사 파일 두 개를 추가하는 예제입니다. 먼저 파일 목록을 지운 다음 사용자 지정 도움말 마법사 파일 두 개를 추가하고 파일이 제대로 추가되었는지 확인하기 위해 파일 개수와 파일 이름을 확인합니다.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

CommandBarControls 개체에 적용할 경우

다음은 잘라내기, 복사, 붙여넣기 단추(컨트롤)가 들어 있는 사용자 지정 편집 도구 모음을 만드는 예제입니다.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

DocumentProperties 개체에 적용할 경우

다음은 DocumentProperties 컬렉션에 사용자 지정 문서 속성 세 개를 추가하고 Microsoft Word에서 실행하도록 지정하는 예제입니다.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

PropertyTests 개체에 적용할 경우

다음은 검색 조건에 속성 테스트 두 개를 추가하는 예제입니다. 첫 번째 테스트는 Microsoft Word 문서인 파일을 찾는 것이고 두 번째 테스트는 이 파일 중 1998년 1월 1일에서 1998년 6월 30일 사이에 수정된 파일을 찾는 것입니다. 또한 찾은 파일의 총 수와 각 파일의 이름을 보여 줍니다.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Scripts 개체에 적용할 경우

다음은 활성 통합 문서에서 워크시트 1의 지정된 범위에 새 Script를 추가하는 예제입니다.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem 메서드

목록 항목을 명령 모음 콤보 상자 컨트롤에 추가합니다. 콤보 상자 컨트롤은 사용자 지정 컨트롤로서 드롭다운 목록 상자나 콤보 상자여야 합니다.

참고 입력란이나 기본으로 제공되는 콤보 상자 컨트롤에는 이 메서드를 적용할 수 없습니다.

expression.AddItem(Text, Index)

expression 필수 요소로서 CommandBarComboBox 개체를 반환하는 식입니다.

Text 필수 요소로서 String 형식입니다. 컨트롤에 추가할 텍스트입니다.

Index 선택 요소로서 Variant 형식입니다. 목록에서 해당 항목의 위치를 나타냅니다. 이 인수를 생략하면 항목이 목록 끝에 추가됩니다.

예제

다음은 콤보 상자 컨트롤을 명령 모음에 추가하는 예제입니다. 컨트롤에 두 항목을 추가하고 줄 항목 수와 콤보 상자 너비를 설정합니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders 메서드

ScopeFolder 개체를 SearchFolders 컬렉션에 추가합니다.

expression.AddToSearchFolders

expression 필수 요소로서 ScopeFolder 개체를 반환하는 식입니다.

주의

SearchFolders 컬렉션에 ScopeFolder 개체를 추가하려면 ScopeFolders 컬렉션의 Add 메서드를 사용할 수 있지만 모든 검색에서 오직 하나의 SearchFolders 컬렉션만 있기 때문에 추가할 ScopeFolder 개체의 AddToSearchFolders 메서드를 사용하는 것이 일반적으로 더 간단합니다.

예제

다음은 ScopeFolders 컬렉션에 SearchFolder 루트 개체를 추가하는 예제입니다. AddToSearchFolders 메서드 사용에 대한 자세한 내용은 SearchFolders 컬렉션 항목을 참고하십시오.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter 메서드

지정한 기준에 부합하는 지정 레코드를 필터링하려면 메일 병합 데이터 원본에 필터를 적용합니다.

expression.ApplyFilter

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 비어 있는 Region 필드로 모든 레코드를 제거하는 새 필터를 추가한 다음 활성화된 게시에 필터를 적용하는 예제입니다.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear 메서드

명령 모음 콤보 상자 컨트롤(드롭다운 목록 상자나 콤보 상자)에서 목록 항목을 모두 제거하고 텍스트 상자(입력란이나 콤보 상자)를 지웁니다.

참고 기본으로 제공되는 명령 모음 컨트롤에는 이 메서드를 적용할 수 없습니다.

expression.Clear

expression 필수 요소로서 CommandBarComboBox 개체를 반환하는 식입니다.

예제

다음은 "Custom Bar"라는 명령 모음에서 콤보 상자 컨트롤에 있는 항목 수를 확인하는 예제입니다. 콤보 상자 목록의 항목 수가 두 개 이하이면 목록을 지우고 새로운 첫째 항목을 목록에 추가한 다음 이 항목을 콤보 상자 컨트롤의 기본 항목으로 표시합니다.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList 메서드

Microsoft Office 주 응용 프로그램의 기본 파일 목록을 포함하여 현재 도움말 마법사의 파일 목록을 지웁니다.

expression.ClearFileList

expression AnswerWizard 개체를 반환하는 식입니다.

주의

이 메서드를 사용하여 지정한 응용 프로그램의 현재 파일 목록에서 모든 항목을 제거합니다. 또한 이 메서드를 사용하여 주 응용 프로그램에 대한 기본 도움말 마법사 파일을 사용할 수 없음을 확인할 수 있습니다. 그런 다음 AnswerWizardFiles 컬렉션의 Add 메서드를 사용하여 파일의 사용자 지정 목록을 만듭니다.

주 응용 프로그램에 설정된 기본 도움말 마법사 파일을 복원하려면 ResetFileList 메서드를 사용합니다.

예제

다음은 사용자 지정 파일 목록을 적용할 도움말 마법사를 준비한 다음 사용자 지정 도움말 마법사 파일 두 개를 추가하는 예제입니다. 먼저 파일 목록을 지운 다음 사용자 지정 도움말 마법사 파일 두 개를 추가하고 파일이 제대로 추가되었는지 확인하기 위해 파일 개수와 파일 이름을 확인합니다.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close 메서드

활성 모덜리스 풍선을 닫습니다. 콜백 프로시저에서만 이 메서드를 사용하십시오.

expression.Close

expression 필수 요소로서 Balloon 개체를 반환하는 식입니다.

예제

다음은 세 개의 프린터마다 단추가 하나씩 들어 있는 풍선을 표시하는 예제입니다. 사용자가 이 단추 중 하나를 클릭할 때마다 ProcessPrinter 콜백 프로시저가 실행되고 풍선이 닫힙니다.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit 메서드

지정한 SignatureSet 컬렉션의 모든 변경 내용을 디스크에 커밋합니다. Commit 메서드가 실행될 때까지 SignatureSet 컬렉션에 저장된 사항은 변경되지 않습니다.

expression.Commit

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 현재 함수를 호출합니다. 함수는 사용자가 선택한 디지털 서명이 12개월 내에 만료되지 않을 것이라는 사실을 확인하는 테스트를 합니다. 12개월 내에 만료가 되는 경우에는 인증서가 첨부되지 않습니다.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy 메서드

기존의 명령 모음에 지정된 명령 모음 컨트롤을 복사합니다.

expression.Copy(Bar, Before)

expression 필수 요소로서 CommandBarControl, CommandBarButton, CommandBarPopup, CommandBarComboBox 등의 개체를 반환하는 식입니다.

Bar 선택 요소로서 Variant 형식입니다. 대상 명령 모음을 나타내는 CommandBar 개체입니다. 이 인수를 생략하면 컨트롤은 컨트롤이 이미 있는 명령 모음에 복사됩니다.

Before 선택 요소로서 Variant 형식입니다. 지정된 명령 모음에서 새 컨트롤의 위치를 가리키는 번호입니다. 새 컨트롤은 이 위치의 컨트롤 앞에 삽입됩니다. 이 인수를 생략하면 컨트롤이 명령 모음 끝에 복사됩니다.

예제

다음은 "Standard"라는 명령 모음의 첫째 컨트롤을 "Custom"이라는 명령 모음의 첫째 컨트롤에 복사하는 예제입니다.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace 메서드

지정한 명령 모음 단추 컨트롤의 모양을 클립보드로 복사합니다.

expression.CopyFace

expression 필수 요소로서 CommandBarButton 개체를 반환하는 식입니다.

주의

클립보드의 내용을 단추 모양에 붙여넣으려면 PasteFace 메서드를 사용합니다.

예제

다음은 기본으로 제공되는 열기 단추를 찾아 단추 모양을 클립보드에 복사한 다음 맞춤법 및 문법 검사 단추에 붙여넣는 예제입니다.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete 메서드

DocumentProperty 개체에 Delete 메서드를 적용할 경우

사용자 지정 문서 속성을 제거합니다.

expression.Delete

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

주의

기본 제공되는 문서 속성은 삭제할 수 없습니다.

AnswerWizardFiles 개체에 Delete 메서드를 적용할 경우

컬렉션에서 지정한 개체를 삭제합니다.

expression.Delete(FileName)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

FileName 필수 요소로서 String 형식입니다. 정식 경로, 파일 이름, 확장명을 포함한 파일 이름이 삭제됩니다.

FileDialogFilters 개체에 Delete 메서드를 적용할 경우

파일 대화 상자 필터를 제거합니다.

expression.Delete(filter)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

filter 선택 요소로서 Variant 형식이며 제거될 필터입니다.

ODSOFilters 개체에 Delete 메서드를 적용할 경우

ODSOFilters 컬렉션에서 필터 개체를 삭제합니다.

expression.Delete(Index, DeferUpdate)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Index 필수 요소로서 Long 형식이며 삭제할 필터 번호입니다.

DeferUpdate 선택 요소로서 Boolean 형식입니다.

CommandBar, Script, Scripts 및 Signature 개체에 Delete 메서드를 적용할 경우

컬렉션에서 지정한 개체를 삭제합니다.

expression.Delete

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

주의

Scripts 컬렉션에서 Delete 메서드를 사용하면 지정한 Word 문서, Excel 워크시트 또는 PowerPoint 슬라이드에서 모든 스크립트를 제거할 수 있습니다. 스크립트 앵커는 주 응용 프로그램 모양에 의해 나타나므로 msoScriptAnchor 종류의 각 스크립트 앵커와 관련된 Shape 개체는 Excel과 PowerPoint의 Shapes 컬렉션 및 Word의 InlineShapes와 Shapes 컬렉션에서 삭제됩니다.

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 Delete 메서드를 적용할 경우

컬렉션에서 지정한 개체를 삭제합니다.

expression.Delete(Temporary)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Temporary 선택 요소로서 Variant 형식입니다. True이면 현재 세션 컨트롤을 삭제합니다. 응용 프로그램에서 다음 세션에 컨트롤을 다시 표시합니다.

예제

CommandBar 개체에 적용할 경우

다음은 화면에 표시되지 않는 사용자 지정 명령 모음을 모두 삭제하는 예제입니다.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

DocumentProperty 개체에 적용할 경우

다음은 사용자 지정 문서 속성을 삭제하는 예제입니다. 이 예제를 제대로 실행하려면 "CustomNumber"라는 사용자 지정 DocumentProperty 개체가 있어야 합니다.

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert 메서드

경고를 나타내고 사용자가 누른 단추를 지정하는 Long 형식을 반환합니다. Microsoft Office 길잡이나 일반 메시지 상자를 통해 경고 표시를 선택할 수 있습니다.

expression.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

bstrAlertTitle 필수 요소로서 String 형식이며 경고 제목을 설정합니다.

bstrAlertText 필수 요소로서 String 형식이며 경고 텍스트를 설정합니다.

alb 필수 요소로서 MsoAlertButtonType 형식이며 경고에 어떤 단추를 나타낼 것인지 지정합니다.

MsoAlertButtonType은 MsoAlertButtonType 상수 중 하나가 될 수 있습니다.
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel은 varfSysAlert 인수가 False로 설정될 때 사용할 수만 있습니다.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc 필수 요소로서 MsoAlertIconType 형식이며 경고에 표시되는 아이콘을 지정합니다.

MsoAlertIconType은 MsoAlertIconType 상수 중 하나가 될 수 있습니다.
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald 필수 요소로서 MsoAlertDefaultType 형식이며 경고에 사용될 기본 단추를 지정합니다. 인수가 단추 수보다 큰 값이 설정되면 오류를 반환합니다.

MsoAlertDefaultType은 MsoAlertDefaultType 상수 중 하나가 될 수 있습니다.
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq 필수 요소로서 MsoAlertCancelType 형식이며 항상 msoAlertCancelDefault로 설정합니다. 그 외의 다른 설정은 오류를 반환합니다.

MsoAlertCancelType은 MsoAlertCancelType 상수 중 하나가 될 수 있습니다.
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert 필수 요소로서 Boolean 형식입니다. True이면 경고가 메시지 상자에 나타나고 False이면 Office 길잡이를 통해 나타납니다.

주의

DoAlert 메서드의 반환 값은 열거된 vbMsgBoxResult 종류 값에 대응합니다(예: vbYes, vbNo, vbCancel 등). 이와 함께 다음 값도 반환됩니다.

  • "모두 예" = 8
  • "다시 시도" = 10
  • "계속" = 11

예제

다음은 Office 길잡이를 통해 경고와 사용자가 누른 단추를 지정하는 메시지 상자를 나타내는 예제입니다. 길잡이를 사용할 수 없으면 경고는 일반 메시지 상자에 나타납니다.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

StartWizard 메서드에서 반환된 변수를 해제합니다.

참고 이 메서드는 StartWizard 메서드와만 사용할 수 있습니다.

expression.EndWizard(WizardID, varfSuccess, Animation)

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

WizardID 필수 요소로서 Long 형식입니다. StartWizard 메서드에서 반환하는 값입니다.

varfSuccess 필수 요소로서 Boolean 형식입니다. True이면 마법사가 성공적으로 완료된 것입니다.

Animation 선택 요소로서 Variant 형식입니다. varfSuccess가 True로 설정되었을 때 Office 길잡이가 수행하는 애니메이션입니다. 기본값은 msoAnimationCharacterSuccessMajor입니다.

예제

다음은 마법사 세션을 성공적으로 종료했을 때 Office 길잡이를 닫는 예제입니다. lHelpForWiz 변수에는 StartWizard 메서드의 반환 값이 지정됩니다.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute 메서드

FileSearch 개체에 Execute 메서드를 적용할 경우

지정한 파일에 대한 검색을 시작합니다. Long 형식을 반환하며 파일이 발견되지 않으면 0이고 한 개 이상의 파일이 발견되면 양수입니다.

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression 필수 요소로서 FileSearch 개체를 반환하는 식입니다.

SortBy 선택 요소로서 MsoSortBy 형식이며 반환하는 파일을 정렬하는 메서드를 사용합니다.

MsoSortBy는 MsoSortBy 상수 중 하나가 될 수 있습니다.
msoSortByFileName default
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder 선택 요소로서 MsoSortOrder 형식이며 반환하는 파일에 순서를 정렬합니다.

MsoSortOrder는 MsoSortOrder 상수 중 하나가 될 수 있습니다.
msoSortOrderAscending default
msoSortOrderDescending

AlwaysAccurate 선택 요소로서 Boolean 형식입니다. True이면 파일 인덱스 기능이 마지막으로 업데이트되었으므로 파일 검색은 추가, 수정, 삭제된 파일을 포함합니다. 기본값은 True입니다.

CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopup 및 FileDialog 개체에 Execute 메서드를 적용할 경우

명령 모음 개체에 대해 지정한 명령 모음 컨트롤에 프로시저나 기본 제공된 명령을 실행합니다. 사용자 지정 컨트롤에 대해서는 OnAction 속성을 사용하여 실행할 프로시저를 지정합니다.

msoFileDialogOpen이나 msoFileDialogSaveAs 종류의 FileDialog 개체에 대해서는 Show 메서드를 실행한 후 바로 사용자 작업을 실행합니다.

expression.Execute

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

예제

FileSearch 개체에 적용할 경우

다음은 My Documents 폴더에서 ".doc" 확장명을 지닌 파일을 모두 검색한 다음 검색한 각 파일의 위치와 이름을 표시하는 예제입니다. 또한 반환한 파일 이름 목록을 알파벳 오름차순으로 정렬합니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 적용할 경우

다음은 명령 모음을 작성하고 기본 명령 모음 단추 컨트롤을 추가하는 Microsoft Excel 예제입니다. 단추를 클릭하면 Excel의 AutoSum 함수를 수행합니다. 여기서는 명령 모음이 나타날 때 Execute 메서드를 사용하여 선택한 셀 범위의 총계를 냅니다.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl 메서드

지정한 조건에 맞는 CommandBarControl 개체를 반환합니다.

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression 필수 요소로서 CommandBars 개체를 반환하는 식입니다.

Type 선택 요소로서 MsoControlType 형식입니다. 찾을 컨트롤 종류를 나타냅니다.

MsoControlType 형식은 다음 MsoControlType 상수 중 하나가 될 수 있습니다.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id 선택 요소로서 Variant 형식입니다. 찾을 컨트롤의 식별자를 나타냅니다.

Tag 선택 요소로서 Variant 형식입니다. 찾을 컨트롤의 태그 값을 나타냅니다.

Visible 선택 요소로서 Variant 형식입니다. True이면 화면에 보이는 명령 모음 컨트롤만 찾습니다. 기본값은 False입니다. 화면에 보이는 명령 모음은 FindControl 메서드를 실행할 때 열리는 메뉴와 도구 모음입니다.

Recursive 선택 요소로서 Boolean 형식입니다. True이면 명령 모음과 해당 팝업 하위 도구 모음을 모두 찾습니다. 현재 인수는 CommandBar 개체에만 적용됩니다. 기본값은 False입니다.

주의

CommandBars 컬렉션에 찾을 조건에 맞는 두 개 이상의 컨트롤이 있을 때 FindControl에서는 첫째 컨트롤을 검색 결과로 반환합니다. 조건에 맞는 컨트롤이 없으면 FindControl은 Nothing을 반환합니다.

예제

다음은 "Custom"이라는 명령 모음에서 첫째 컨트롤을 찾는 예제입니다. 컨트롤이 단추일 경우 FindControl 메서드를 사용하여 표준 도구 모음의 복사 단추를 찾은 다음 복사 단추의 모양을 복사하여 컨트롤에 붙여넣습니다.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls 메서드

지정한 조건에 맞는 CommandBarsControls 컬렉션을 반환합니다.

expression.FindControls(Type, Id, Tag, Visible)

expression 필수 요소로서 CommandBarControls 컬렉션을 반환하는 식입니다.

Type 선택 요소로서 MsoControlType 형식입니다. 찾을 컨트롤 종류를 나타냅니다.

MsoControlType 형식은 다음 MsoControlType 상수 중 하나가 될 수 있습니다.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id 선택 요소로서 Variant 형식입니다. 컨트롤의 식별자입니다.

Tag 선택 요소로서 Variant 형식입니다. 컨트롤의 태그 값입니다.

Visible 선택 요소로서 Variant 형식입니다. True이면 화면에 보이는 명령 모음 컨트롤만 찾습니다. 기본값은 False입니다.

주의

조건에 맞는 컨트롤이 없으면 FindControls 메서드는 Nothing을 반환합니다.

예제

다음은 FindControls 메서드를 사용하여 CommandBars 컬렉션에서 ID가 18인 요소를 모두 반환하고 검색 조건에 맞는 컨트롤 수를 메시지 상자에 표시하는 예제입니다.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이와 표준 온라인 도움말에서 기본으로 제공되는 "무엇을 도와드릴까요?" 길잡이 풍선을 표시합니다.

expression.Help

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

예제

다음은 사용자가 "I need more information" 확인란을 선택하면 기본으로 제공되는 "무엇을 도와드릴까요?" 길잡이 풍선을 표시하는 예제입니다.

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item 메서드

COMAddIns 개체에 Item 메서드를 적용할 경우

지정한 COMAddIns 컬렉션의 구성원을 반환합니다.

expression.Item(Index)

expression 필수 요소로서 지정한 COMAddIns 컬렉션입니다.

Index 필수 요소로서 Variant 형식입니다. COMAddIns 컬렉션에서 COM 추가 기능 위치를 반환한 서수 값이나 지정된 COM 추가 기능의 ProgID를 나타내는 String 값입니다.

FileDialogFilters 개체에 Item 메서드를 적용할 경우

지정한 FileDialogFilters 컬렉션의 구성원인 FileDialogFilter 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Index 필수 요소로서 Long 형식이며 반환하는 FileDialogFilter 개체의 인덱스 번호를 나타냅니다.

HTMLProjectItems 개체에 Item 메서드를 적용할 경우

Microsoft Script Editor에서 특정 프로젝트를 나타내는 HTMLProjectItem 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 HTMLProjectItems 컬렉션입니다.

Index 필수 요소로서 Variant 형식입니다. 반환할 HTML 프로젝트 항목의 이름이나 인덱스 번호를 나타냅니다.

Scripts 개체에 Item 메서드를 적용할 경우

Scripts 컬렉션의 구성원을 반환합니다. Microsoft Office 응용 프로그램이 반환할 스크립트의 인덱스 번호나 ID를 적용합니다. Item 메서드는 Scripts 컬렉션에 저장된 스크립트 위치를 반환할 서수(인덱스 값)나 스크립트의 이름이나 ID를 나타내는 문자열 값을 적용할 수 있는 String 값을 적용하는 Variant 값입니다.

expression.Item(Index)

expression 필수 요소로서 Scripts 개체를 반환하는 식입니다.

Index 필수 요소로서 Variant 형식입니다. 반환할 스크립트의 ID나 인덱스 번호를 나타냅니다.

주의

Scripts 컬렉션은 주어진 문서와 원본 순서(원본 파일에 나타나는 Script 개체의 순서)에 모든 스크립트를 포함합니다. 스크립트는 문서의 위치와 상관 없이 원본 순서 즉 스크립트가 머리글에 있느냐 본문 텍스트에 있느냐에 의해 유지됩니다.

<SCRIPT> 태그의 ID를 사용하여 Scripts 컬렉션에서 스크립트에 액세스하려면 Item 메서드를 사용할 수 있습니다. <SCRIPT> 태그의 ID 특성은 Script 개체의 Id 속성과 같습니다. 문서에 복제 ID나 여러 ID가 있는 경우와 Item 메서드를 사용하여 스크립트에 액세스하기 위해 Script 개체의 Id 속성을 사용하는 경우, Office는 ID와 일치하는 첫 번째 스크립트를 반환하며 같은 ID를 가진 그 외 스크립트는 무시합니다.

컬렉션에 추가된 새 스크립트 앵커는 문서에 추가된 순서로 Scripts 컬렉션의 끝에 추가합니다. 스크립트 앵커는 주 응용 프로그램에서 문서가 HTML로 저장되고 닫은 후 다시 열 때까지 순서에 남아 있습니다. 다음 단계에서 문서에 추가된 순서와는 다른 문서에 나타나는 스크립트 앵커의 순서로 인덱스할 Scripts 컬렉션이 발생합니다. 따라서, 스크립트의 양수 식별자를 확인할 컬렉션에서 스크립트의 위치보다 Script 개체의 Id 속성을 사용하여 정보를 얻습니다.

FileDialogSelectedItems 개체에 Item 메서드를 적용할 경우

FileDialog 개체의 Show 메서드를 사용하여 나타내는 파일 대화 상자에서 사용자가 선택한 파일의 경로에 대응하는 String 형식을 반환합니다. FileDialogSelectedItems 컬렉션은 문자열의 컬렉션입니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

index 필수 요소로서 Long 형식입니다. 반환하는 문자열의 인덱스 번호를 나타냅니다.


LoadFromFile 메서드

Microsoft Script Editor의 텍스트를 디스크에서 지정한 파일의 텍스트로 업데이트합니다.

expression.LoadFromFile(Filename)

expression HTMLProjectItem 개체입니다.

Filename 필수 요소로서 String 형식입니다. 로드할 텍스트가 포함된 텍스트 파일의 정식 경로입니다.

예제

다음은 지정한 HTML 프로젝트 항목이 열려 있는지 확인한 다음 열려 있을 경우 지정한 파일에서 스크립트를 로드하는 예제입니다.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 Move 메서드를 적용할 경우

지정된 명령 모음 컨트롤을 기존 명령 모음으로 이동합니다.

expression.Move(Bar, Before)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Bar 선택 요소로서 Variant 형식입니다. 컨트롤에 대해 대상 명령 모음을 나타내는 CommandBar 개체입니다. 이 인수를 생략하면 컨트롤은 현재 컨트롤이 있는 명령 모음의 끝으로 이동합니다.

Before 선택 요소로서 Variant 형식입니다. 컨트롤의 위치를 나타내는 번호입니다. 컨트롤은 현재 위치에 있는 컨트롤 앞에 삽입됩니다. 이 인수를 생략하면 컨트롤은 같은 명령 모음에 삽입됩니다.

Assistant 개체에 Move 메서드를 적용할 경우

Office 길잡이를 지정한 위치로 이동합니다.

expression.Move(xLeft, yTop)

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

xLeft 필수 요소로서 Integer 형식입니다. Office 길잡이 창의 왼쪽 위치를 포인트 단위로 나타냅니다.

yTop 필수 요소로서 Integer 형식입니다. Office 길잡이 창의 위쪽 위치를 포인트 단위로 나타냅니다.

예제

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 적용할 경우

다음은 Custom이라는 명령 모음에서 첫 번째 콤보 상자 컨트롤을 일곱 번째 컨트롤 앞으로 옮기는 예제입니다. 태그를 "Selection box"로 설정하고 모든 컨트롤을 한 줄로 표시할 수 없으면 명령 모음에서 삭제되도록 컨트롤의 우선 순위를 낮게 지정합니다.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Assistant 개체에 적용할 경우

다음은 지정한 위치에 Office 길잡이를 나타내고 화면에 표시되기 전에 몇 가지 옵션을 설정하는 예제입니다.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

모든 검색 조건 설정을 기본 설정으로 다시 설정합니다.

expression.NewSearch

expression 필수 요소로서 FileSearch 개체를 반환하는 식입니다.

주의

검색 조건 설정은 응용 프로그램 세션이 끝날 때까지 적용됩니다. 검색 조건을 바꿀 때마다 이 메서드를 사용합니다. 이 메서드는 LookIn 속성 값을 다시 설정하지는 않습니다.

예제

다음은 NewSearch 메서드를 사용하여 검색을 새로 시작하기 전에 검색 조건을 다시 설정하는 예제입니다.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open 메서드

아래 나열된 선택 요소인 MsoHTMLProjectOpen 상수에 의해 지정된 보기 중 하나인 Microsoft Script Editor에서 지정된 HTML 프로젝트나 HTML 프로젝트 항목을 엽니다. 상수를 지정하지 않으면, 프로젝트 항목은 기본 보기에서 열립니다.

expression.Open(OpenKind)

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

OpenKind 선택 요소로서 MsoHTMLProjectOpen 형식입니다. 지정된 프로젝트나 프로젝트 항목이 열리는 보기입니다.

MsoHTMLProjectOpen은 MsoHTMLProjectOpen 상수 중 하나가 될 수 있습니다.
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

주의

Open 메서드를 실행할 때 Microsoft Script Editor가 열려 있는지 여부에 따라 기본 보기가 결정됩니다. Script Editor가 열려 있지 않으면 Open 메서드는 원본 보기에서 Script Editor를 시작하고 Script Editor가 이미 열려 있으면 Script Editor를 활성화한 다음 현재 보기에 스크립트를 표시합니다.

예제

다음은 원본 보기에서 활성 통합 문서의 HTML 프로젝트를 여는 예제입니다.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

다음은 텍스트 보기에서 활성 통합 문서의 첫 번째 HTML 프로젝트 항목을 여는 예제입니다.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace 메서드

클립보드의 내용을 명령 모음의 단추 컨트롤에 붙여넣습니다.

expression.PasteFace

expression 필수 요소로서 CommandBarButton 개체를 반환하는 식입니다.

예제

다음은 기본으로 제공되는 FileOpen 단추를 찾아 클립보드에서 맞춤법 및 문법 검사 단추 모양을 붙여넣는 예제입니다.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument 메서드

Microsoft Office 주 응용 프로그램에서 지정된 HTML 프로젝트를 새로 고칩니다.

expression.RefreshDocument(Refresh)

expression HTMLProject 개체를 반환하는 식입니다.

Refresh 필수 요소로서 Boolean 형식입니다. True이면 모든 변경 내용을 저장하고 False이면 모든 변경 내용을 무시합니다.

주의

RefreshDocument 메서드를 사용하는 것은 Office 주 응용 프로그램에서 새로 고침 도구 모음의 새로 고침 단추를 클릭하는 것과 같습니다. RefreshDocument 메서드를 True로 설정하여 문서를 새로 고치면 Microsoft Script Editor에서 변경한 HTML 원본의 모든 변경 내용이 Office 주 응용 프로그램에 저장됩니다. RefreshDocument 메서드를 False로 설정하면 HTML 원본의 모든 변경 내용이 무시됩니다. State 메서드의 반환 값은 RefreshDocument 메서드의 영향을 받습니다. 새로 고침 작업 후에 RefreshDocument (True)를 호출하면 State 메서드는 msoHTMLProjectStateDocumentProjectUnlocked를 반환합니다.

예제

다음은 주 응용 프로그램에서 활성 통합 문서의 HTML 프로젝트를 새로 고치는 예제입니다.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject 메서드

Microsoft Script Editor에서 지정된 HTML 프로젝트를 새로 고칩니다.

expression.RefreshProject

expression HTMLProject 개체를 반환하는 식입니다.

주의

RefreshProject 메서드를 사용하는 것은 Micorsoft Script Editor에서 새로 고침 도구 모음의 새로 고침 단추를 클릭하는 것과 같습니다. RefreshDocument 메서드를 True로 설정하여 문서를 새로 고치면 Office 주 응용 프로그램에서 변경한 HTML 원본의 모든 변경 내용이 Microsoft Script Editor의 HTML 프로젝트에 저장됩니다. RefreshDocument 메서드를 False로 설정하면 HTML 원본의 모든 변경 내용이 무시됩니다.

예제

다음은 Microsoft Script Editor에서 HTML 프로젝트를 새로 고치는 예제입니다.

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes 메서드

현재 사용 가능한 ScopeFolder 개체 목록을 새로 고칩니다.

expression.RefreshScopes

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 현재 사용 가능한 ScopeFolder 개체를 내 컴퓨터의 C:\ 드라이브에 표시하는 예제입니다.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus 메서드

모든 명령 모음에서 사용자 인터페이스 포커스를 해제합니다.

expression.ReleaseFocus

expression 필수 요소로서 CommandBars 개체를 반환하는 식입니다.

예제

다음은 "Custom"이라는 명령 모음에 빈 단추 세 개를 추가하고 가운데 단추에 포커스를 두는 예제입니다. 그런 다음 모든 명령 모음에서 사용자 인터페이스 포커스를 해제할 때까지 5초 동안 대기합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove 메서드

NewFile 개체에 Remove 메서드를 적용할 경우

New Item 작업창에서 항목을 제거하며 Boolean 형식을 반환합니다.

expression.Remove(FileName, Section, DisplayName, Action)

expression 필수 요소로서 NewFile 개체를 반환하는 식입니다.

FileName 필수 요소로서 String 형식이며 파일 참조 이름을 나타냅니다.

Section 선택 요소로서 Variant 형식입니다. 파일 참조가 있는 작업창의 구역을 나타내며 msoFileNewSection 상수를 사용할 수 있습니다.

DisplayName 선택 요소로서 Variant 형식이며 파일 참조 텍스트를 나타냅니다.

Action 선택 요소로서 Variant 형식입니다. 사용자가 클릭할 때 항목에 적용되는 작업이며 msoFileNewAction 상수를 사용할 수 있습니다.

FileTypes, PropertyTests 및 SearchFolders 개체에 Remove 메서드를 적용할 경우

컬렉션에서 지정한 개체를 제거합니다.

expression.Remove(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

lndex 필수 요소로서 Long 형식입니다. 제거할 속성 테스트의 인덱스 번호를 나타냅니다.

예제

FileTypes, PropertyTests 및 SearchFolders 개체에 적용할 경우

다음은 컬렉션에서 첫 번째 검색 조건을 제거하는 예제입니다.

Application.FileSearch.PropertyTests.Remove(1)

NewFile 개체에 적용할 경우

다음은 Word의 NewDocument 작업창에서 지정한 항목을 제거하는 예제입니다.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem 메서드

명령 모음의 콤보 상자 컨트롤에서 항목을 제거합니다.

참고 목록 컨트롤 이외의 컨트롤에는 적용되지 않습니다.

expression.RemoveItem(Index)

expression 필수 요소로서 CommandBarComboBox 개체를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 목록에서 제거될 항목을 나타냅니다.

예제

다음은 지정된 콤보 상자에 세 개 이상의 항목이 있는지 확인하는 예제입니다. 항목이 세 개 이상이면 둘째 항목을 제거하고 스타일을 변경하며 새로운 값을 설정합니다. 또한 상위 개체(CommandBarControl 개체)의 Tag 속성을 설정하여 변경된 목록을 표시합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset 메서드

기본으로 제공되는 명령 모음을 기본 구성으로 다시 설정하거나 기본 명령 모음 컨트롤을 원래 기능과 모양으로 다시 설정합니다.

expression.Reset

expression 필수 요소로서 CommandBar, CommandBarControl, CommandBarButton, CommandBarPopup, CommandBarComboBox 개체를 반환하는 식입니다.

주의

기본으로 제공되는 컨트롤을 다시 설정하면 컨트롤의 원래 작업이 복원되고 컨트롤의 속성도 모두 원래 상태로 돌아갑니다. 기본으로 제공되는 명령 모음을 다시 설정하면 사용자 지정 컨트롤이 제거되고 기본 제공 컨트롤이 복원됩니다.

예제

다음은 user 값을 사용하여 명령 모음을 사용자 수준에 따라 조정하는 예제입니다. user가 "Level 1"이면 "Custom"이라는 명령 모음이 나타납니다. user가 다른 값이면 기본으로 제공되는 Visual Basic 명령 모음은 기본 상태로 다시 설정되며 명령 모음 "Custom"은 사용할 수 없게 됩니다.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList 메서드

현재 도움말 마법사의 파일 목록을 Microsoft Office 주 응용 프로그램의 기본 파일 목록으로 다시 설정합니다.

expression.ResetFileList

expression AnswerWizard 개체를 반환하는 식입니다.

주의

이 메서드를 사용하여 현재 도움말 마법사 파일 목록의 모든 항목을 주 응용 프로그램의 Windows 레지스트리의 목록에 복원합니다. 해당 레지스트리 키에 사용자 지정 파일의 이름을 추가하면 레지스트리에 사용자 지정 기본 파일 목록을 설정할 수도 있습니다.

예제

다음은 현재 도움말 마법사의 파일 목록을 다시 설정한 다음 메시지 상자에 파일 개수와 파일 이름을 표시하는 예제입니다.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에 나타나는 응용 프로그램 팁을 원래대로 설정합니다.

expression.ResetTips

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

주의

ResetTips 메서드를 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에 있는 팁 원래대로 단추를 사용하는 것과 같습니다.

예제

다음은 Office 길잡이를 화면에 표시하기 전에 응용 프로그램 팁을 원래대로 설정하는 예제입니다. 응용 프로그램 팁이 원래대로 설정되었는지를 알려주는 확인 풍선이 나타납니다.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs 메서드

새 파일 이름을 사용하여 지정된 HTML 프로젝트 항목을 저장합니다.

expression.SaveCopyAs(Filename)

expression HTMLProjectItem 개체입니다.

Filename 필수 요소로서 String 형식입니다. HTML 프로젝트 항목을 저장하려는 파일의 정식 경로입니다.

예제

다음은 현재 HTML 프로젝트 항목의 텍스트 복사본을 NewScript.txt 파일에 저장하는 예제입니다.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선이 화면의 특정 영역에 나타나지 않도록 합니다.

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

Left, Top, Right, Bottom 필수 요소로서 Long 형식입니다. Office 길잡이 풍선이 화면에 나타날 때 피해야 할 화면 영역의 좌표(포인트 단위이고 화면에 상대적인 좌표)를 나타냅니다.

주의

이 속성으로 Office 길잡이 풍선이 사용자 지정 대화 상자나 마법사와 겹치지 않도록 할 수 있습니다.

예제

다음은 myBalloon 변수가 나타내는 Office 길잡이 풍선이 지정한 좌표의 화면 영역에 표시되지 않도록 하는 예제입니다.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus 메서드

키보드 포커스를 지정한 명령 모음 컨트롤로 옮깁니다. 컨트롤이 활성화되어 있지 않거나 화면에 표시되지 않으면 이 메서드를 사용할 수 없습니다.

주의

컨트롤의 포커스는 민감합니다. 이 메서드를 사용한 후 컨트롤은 3차원으로 강조됩니다. 화살표 키를 누르면 키보드 컨트롤만 눌러 컨트롤을 이동하는 것처럼 도구 모음에서 이동할 수 있습니다.

expression.SetFocus

expression 필수 요소로서 CommandBarControl, CommandBarButton, CommandBarPopup, CommandBarComboBox 개체를 반환하는 식입니다.

예제

다음은 "Custom"이라는 명령 모음을 만들고 ComboBox 컨트롤과 Button 컨트롤을 추가하는 예제입니다. 그런 다음 SetFocus 메서드를 사용하여 ComboBox 컨트롤에 포커스를 설정합니다.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder 메서드

메일 병합 데이터에 대한 정렬 순서를 설정합니다.

expression.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

SortField1 필수 요소로서 String 형식이며 메일 병합 데이터를 정렬하는 첫 번째 필드입니다.

SortAscending1 선택 요소로서 Boolean 형식입니다. True(기본값)이면 SortField1에 오름차순 정렬을 수행하고 False이면 내림차순 정렬을 수행합니다.

SortField2 선택 요소로서 String 형식입니다. 메일 병합 데이터를 정렬하는 두 번째 필드이며 기본값은 빈 문자열입니다.

SortAscending2 선택 요소로서 Boolean 형식입니다. True(기본값)이면 SortField2에 오름차순 정렬을 수행하고 False이면 내림차순 정렬을 수행합니다.

SortField3 선택 요소로서 String 형식입니다. 메일 병합 데이터를 정렬하는 세 번째 필드이며 기본값은 빈 문자열입니다.

SortAscending3 선택 요소로서 Boolean 형식입니다. True(기본값)이면 SortField3에 오름차순 정렬을 수행하고 False이면 내림차순 정렬을 수행합니다.

예제

다음은 ZIP 코드에 따라 내림차순으로 데이터 원본을 정렬하고 오름차순으로 성과 이름을 정렬하는 예제입니다.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show 메서드

Balloon 개체에 Show 메서드를 적용할 경우

지정한 ballon 개체를 표시하고 사용자가 클릭한 단추나 레이블을 지정하는 MsoBalloonButtonType 상수를 반환합니다. 읽기 전용입니다.

MsoBalloonButtonType은 MsoBalloonButtonType 상수 중 하나가 될 수 있습니다.
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expression.Show

expression 필수 요소로서 Balloon 개체를 반환하는 식입니다.

FileDialog 개체에 Show 메서드를 적용할 경우

파일 대화 상자를 표시하고 사용자가 누르는 동작(-1) 단추나 취소(0) 단추를 지정하는 Long 형식을 반환합니다. Show 메서드를 호출하면 사용자가 파일 대화 상자를 해제할 때까지 코드가 실행되지 않습니다. 다른 이름으로 저장과 대화 상자 열기의 경우, Execute 메서드는 사용자의 작업을 수행하는 Show 메서드 다음에 사용합니다.

expression.Show

expression 필수 요소로서 FileDialog 개체를 반환하는 식입니다.

예제

Balloon 개체를 적용할 경우

다음은 프린터 방향을 설정하기 위해 Portrait와 Landscape 두 개의 풍선 레이블 선택 항목을 포함하는 풍선을 만드는 예제입니다. Select Case 문에서 Show 메서드를 사용하면 사용자가 선택한 방향을 지정할 수 있습니다.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

다음은 Yes, No, Cancel의 세 명령 단추를 포함하는 풍선을 만드는 예제입니다. Select Case 문의 Show 메서드를 사용하면 사용자가 클릭한 단추의 반환 값을 지정할 수 있습니다.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

FileDialog 개체에 적용할 경우

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup 메서드

지정한 명령 모음을 특정 좌표나 현재 포인터 좌표에 바로 가기 메뉴로 나타냅니다.

참고 명령 모음의 Position 속성을 msoBarPopup으로 설정하지 않으면 이 메서드를 사용할 수 없습니다.

expression.ShowPopup(x, y)

expression 필수 요소로서 CommandBar 개체를 반환하는 식입니다.

x 선택 요소로서 Variant 형식입니다. 바로 가기 메뉴의 x 좌표 위치를 나타냅니다. 이 인수를 생략하면 포인터의 현재 x 좌표가 사용됩니다.

y 선택 요소로서 Variant 형식입니다. 바로 가기 메뉴의 y 좌표 위치를 나타냅니다. 이 인수를 생략하면 포인터의 현재 y 좌표가 사용됩니다.

예제

다음은 두 개의 컨트롤이 있는 바로 가기 메뉴를 만드는 예제입니다. ShowPopup 메서드는 바로 가기 메뉴를 화면에 나타내는 데 사용됩니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard 메서드

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이를 시작하고 세션을 구별하는 Long 값을 반환합니다. 사용자 지정 마법사에서 Office 길잡이를 실행할 때만 이 메서드를 사용하도록 합니다.

참고 StartWizard 메서드에서 반환된 값은 ActivateWizard 및 EndWizard 메서드에서 사용됩니다.

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression 필수 요소로서 Assistant 개체를 반환하는 식입니다.

On 필수 요소로서 Boolean 형식입니다. Office 판단 풍선을 나타내려면 True 값을 지정합니다. Office 판단 풍선은 사용자에게 현재 사용자 지정 마법사에 대한 도움말이 필요한지 묻습니다. 이 인수에 True 값을 지정하면 Office 길잡이를 나타내기 위해 Visible 속성을 사용할 필요가 없습니다.

Callback 필수 요소로서 String 형식입니다. Office 판단 풍선과 분기 풍선에서 실행되는 콜백 프로시저의 이름입니다. 분기 풍선을 사용하면 사용자가 마법사에 지정한 도움말과 표준 Office 도움말 중에서 선택할 수 있습니다.

PrivateX 필수 요소로서 Long 형식입니다. 콜백 프로시저를 시작한 풍선을 구별하는 값입니다.

Animation 선택 요소로서 Variant 형식입니다. 이 메서드를 사용할 때 Office 길잡이가 수행하는 애니메이션이며, 기본값은 msoAnimationGetWizardy입니다.

CustomTeaser 선택 요소로서 Variant 형식입니다. Office 판단 풍선을 표시하려면 False 값을 지정합니다.

Top, Left, Bottom, Right 선택 요소로서 Variant 형식입니다. Office 길잡이가 화면에 표시될 때 피해야 할 사용자 지정 마법사 폼의 모서리 위치(포인트 단위로 화면에 상대적임)입니다.

주의

표준 모덜리스 풍선에서 사용하는 콜백 프로시저와 달리 모덜리스 판단에서 호출된 콜백 프로시저와 Office 길잡이 마법사 세션에서 표시되는 분기 풍선은 두 인수만 취합니다. 이것은 MsoWizardMsgType 상수와 StartWizard 메서드의 PrivateX 인수에 지정된 고유 값입니다.

사용자가 판단 풍선이나 분기 풍선의 왼쪽 단추를 클릭하면 msoWizardMsgShowHelp 상수가 콜백 프로시저의 첫 인수로 전달됩니다. 오른쪽 단추를 클릭하면 msoWizardLocalStateOff 상수가 전달됩니다. Act 인수에 msoWizardActResume 또는 msoWizardActSuspend를 지정했으면 ActivateWizard 메서드에서 다른 MsoWizardMsgType 상수를 전달합니다. msoWizardMsgShowHelp의 경우에는 사용자 지정 마법사의 현재 패널에 적절한 풍선이 나타나고, msoWizardLocalStateOff의 경우에는 화면에 나타난 풍선이 숨겨집니다.

예제

다음은 사용자 지정 마법사가 실행되는 동안 정보를 제공하는 과정으로 Office 길잡이를 시작하는 예제입니다. lHelpForWiz 변수는 Long 형식인 StartWizard 메서드의 반환 값을 설정합니다.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update 메서드

Windows 레지스트리에 저장된 추가 기능의 목록에서 COMAddIns 컬렉션의 내용을 업데이트합니다.

expression.Update

expression COMAddIns 컬렉션

주의

Microsoft Office 응용 프로그램에서 COM 추가 기능을 사용하려면 추가 기능을 해당 구성 요소 범주 ID를 가진 COM 구성 요소로 Windows 레지스트리에 등록해야 합니다.

예제

다음은 Windows 레지스트리에 저장된 추가 기능 목록으로부터 COMAddIns 컬렉션의 내용을 업데이트하는 예제입니다.

Application.COMAddIns.Update


ActionControl 속성

OnAction 속성이 실행 프로시저로 설정된 CommandBarControl 개체를 반환합니다. 실행 프로시저가 명령 모음 컨트롤에 의해 초기화되지 않으면 이 속성은 Nothing을 반환합니다. 읽기 전용입니다.

예제

다음은 "Custom"이라는 명령 모음을 만들고 세 개의 단추를 추가한 다음 ActionControl 속성과 Tag 속성을 사용하여 마지막으로 클릭한 명령 모음 단추를 확인하는 예제입니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

whichButton 서브루틴이 OnAction 메서드에 응답하여 마지막으로 클릭한 명령 모음 단추를 확인합니다.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar 속성

컨테이너 응용 프로그램의 활성 메뉴 모음을 나타내는 CommandBar 개체를 반환합니다. 읽기 전용입니다.

예제

다음은 "Custom"이라는 임시 팝업 컨트롤을 활성 메뉴 모음 끝에 추가하고 "Import"라는 컨트롤을 팝업 컨트롤에 추가하는 예제입니다.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu 속성

True이면 즐겨쓰는 메뉴를 사용할 수 있습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 사용 중인 Microsoft Office 응용 프로그램에서 파일 메뉴의 AdaptiveMenu 속성을 False로 설정하는 예제입니다.

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus 속성

True이면 즐겨쓰는 메뉴를 사용할 수 있습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 사용자 지정 명령 모음 및 컨트롤을 포함한 Microsoft Office의 모든 명령 모음에 세 가지 옵션을 설정하는 예제입니다.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect 속성

True이면 파일 대화 상자에서 여러 파일을 선택하도록 허용합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

expression.AllowMultiSelect

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

해당 속성은 파일 대화 상자의 종류에서 여러 파일을 선택할 수 없기 때문에 폴더 선택 대화 상자나 다른 이름으로 저장 대화 상자에 영향을 주지 않습니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이의 애니메이션 동작을 반환하거나 설정합니다. 이 속성을 Assistant 개체에 적용하고 길잡이가 지정된 애니메이션을 지원할 경우 길잡이가 즉시 움직입니다(길잡이를 화면에 표시하고 설정해야 함). 이 속성을 Balloon 개체에 적용하면 길잡이는 풍선이 나타나 있을 때만 움직입니다. 읽기/쓰기가 가능한 MsoAnimationType입니다.

MsoAnimationType은 다음 MsoAnimationType 상수 중 하나가 될 수 있습니다.
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

주의

"클립"은 기본 길잡이고 msoAnimationIdle은 길잡이의 기본 애니메이션입니다.

길잡이에 따라 Animation 속성을 설정할 때 애니메이션이 명확하게 나타나지 않을 수도 있습니다. 그러나 MsoAnimationType 상수는 모든 길잡이에서 사용할 수 있습니다. 다른 상수를 지정해도 동일한 애니메이션이 나타납니다.

다음 MsoAnimationType 상수는 길잡이를 숨기거나 Animation 속성을 다른 애니메이션으로 설정할 때까지 지정된 움직임을 반복하는 애니메이션을 나타냅니다.

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

예제

다음은 Office 길잡이를 사용하기 전에 특정 위치에 Office 길잡이를 표시하고 몇 가지 옵션을 설정하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application 속성

개체에 대한 컨테이너 응용 프로그램을 나타내는 Application 개체를 반환합니다. 개체의 컨테이너 응용 프로그램을 반환하려면 이 속성을 Automation 개체와 함께 사용합니다.

expression.Application

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Standard라는 명령 모음이 만들어진 응용 프로그램의 이름을 반환하고 메시지 상자에 그 결과를 나타내는 예제입니다.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 나타날 때마다 Office 길잡이 풍선에 응용 프로그램 경고가 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

AssistWithAlerts 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 Office 길잡이 사용에 있는 경고 표시 옵션을 사용하는 것과 같습니다.

이 속성을 False로 설정하면 응용 프로그램은 대화 상자에 경고를 표시합니다.

예제

다음은 응용 프로그램 경고가 발생할 때마다 Office 길잡이를 표시하도록 설정하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 사용자가 F1 키를 눌러 도움말을 표시할 때마다 Office 길잡이가 나타납니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

AssistWithHelp 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 Office 길잡이 사용에 있는 F1 키에 호출 기능 설정 옵션을 사용하는 것과 같습니다.

이 속성을 False로 설정하면 Office 길잡이 대신 도움말 항목 대화 상자가 표시됩니다.

예제

다음은 사용자가 F1 키를 눌러 도움말을 표시할 때마다 Office 길잡이를 표시하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 마법사에 대한 온라인 도움말을 제공합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

AssistWithWizards 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 Office 길잡이 사용 아래에 있는 마법사 포함 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이가 마법사에 대한 도움말 정보를 제공하도록 설정하는 예제입니다.

Assistant.AssistWithWizards = True


AttachCertificate 속성

True이면 지정한 Signature 개체에 대응하는 디지털 인증서를 문서에 첨부합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

expression.AttachCertificate

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 현재 함수를 호출합니다. 함수는 사용자가 선택한 디지털 서명이 12개월 내에 만료되지 않을 것이라는 사실을 확인하는 테스트를 합니다. 12개월 내에 만료가 되는 경우에는 인증서가 첨부되지 않습니다.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError 속성

가장 최근에 기록된 풍선 오류를 나타내는 값을 반환합니다. 읽기 전용인 MsoBalloonErrorType 형식입니다.

MsoBalloonErrorType은 다음 MsoBalloonErrorType 상수 중 하나가 될 수 있습니다.
msoBalloonErrorBadCharacter 풍선에 32보다 작고 CR 또는 LF와 다른 ASCII 컨트롤 문자가 포함되어 있습니다.
msoBalloonErrorBadPictureRef 풍선에 해당 파일이 없거나 유효하지 않은 .BMP 또는 .WMF 파일이라 표시할 수 없는 그래픽이 포함되어 있습니다.
msoBalloonErrorBadReference 풍선에 인식할 수 없거나 지원되지 않는 참조가 포함되어 있습니다.
msoBalloonErrorButtonlessModal 표시하려는 풍선 모양에 단추가 없습니다. 풍선을 닫을 수 없으므로 나타낼 수도 없습니다.
msoBalloonErrorButtonModeless 표시하려는 모덜리스 풍선에 단추가 있지만 Callback 속성에 지정된 프로시저가 없습니다. 모덜리스 풍선에는 콜백 프로시저가 필요하므로 풍선이 나타나지 않습니다.
msoBalloonErrorCharNotTopmostForModal 사용 중이 아닌 응용 프로그램에서 풍선 모양을 요청했습니다. Microsoft Office는 사용 중인 응용 프로그램에만 풍선을 표시합니다.
msoBalloonErrorCOMFailure COM 오류 때문에 풍선을 나타낼 수 없습니다.
msoBalloonErrorNone 발생한 오류가 없습니다.
msoBalloonErrorOther 다른 오류(예: 다른 풍선 모양이 이미 활성화되어 있음)가 발생하여 풍선을 나타낼 수 없습니다.
msoBalloonErrorOutOfMemory 메모리가 부족하여 풍선을 나타낼 수 없습니다.
msoBalloonErrorTooBig 풍선이 너무 커서 화면에 나타낼 수 없습니다.
msoBalloonErrorTooManyControls 풍선에 12개가 넘는 컨트롤(확인란 또는 레이블)이 포함되어 있습니다.

예제

다음은 오류가 발생하는 풍선을 만드는 예제입니다. 즉, 풍선을 닫을 수 없으므로 오류가 발생합니다. 단추 종류를 msoButtonSetNone으로 설정하고 기본 풍선 모드는 msoModeModal로 설정하여 단추 없는 풍선 모양을 만듭니다. 단추가 없는 풍선 모양을 닫을 방법이 없습니다.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이가 사용하는 풍선 유형을 반환하거나 설정합니다. Balloon 개체를 만들면 이 속성은 처음 msoBalloonTypeButtons로 설정됩니다. 읽기/쓰기가 가능한 MsoBalloonType 형식입니다.

MsoBalloonType은 다음 MsoBalloonType 상수 중 하나가 될 수 있습니다.
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

예제

다음은 프린터 선택 방법을 설명하는 풍선을 만드는 예제입니다. 풍선이 모덜리스 모드로 설정되었으므로 사용자는 작업 중에도 풍선을 보면서 설명대로 따라 할 수 있습니다.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup 속성

True이면 지정된 명령 모음 컨트롤이 명령 모음에서 컨트롤 그룹의 맨 앞에 나타납니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 새 그룹을 현재 메뉴 모음의 마지막 컨트롤에서 시작하도록 설정하는 예제입니다.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn 속성

True이면 지정한 명령 모음이나 명령 모음 컨트롤이 컨테이너 응용 프로그램에서 기본 제공된 명령 모음이나 컨트롤입니다. False이면 사용자 지정 명령 모음 또는 컨트롤이거나 OnAction 속성이 설정된 기본 제공 컨트롤입니다. 읽기 전용인 Boolean 형식입니다.

예제

다음은 화면에 표시되지 않는 사용자 지정 명령 모음을 모두 삭제하는 예제입니다.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace 속성

True이면 명령 모음 단추 컨트롤의 모양이 기본 제공된 모양입니다. 이 속성은 True로만 설정할 수 있으며 모양을 기본 제공 모양으로 설정합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 "My Custom Bar"라는 명령 모음에서 첫째 컨트롤의 모양이 기본 제공된 단추 모양인지 확인하는 예제입니다. 기본 제공된 모양이면 단추 모양을 클립보드로 복사합니다.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선 아래쪽에 나타나는 단추의 종류를 반환하거나 설정합니다. Balloon 개체를 만들면 이 속성은 처음 msoButtonSetOK로 설정됩니다. 읽기/쓰기가 가능한 MsoButtonSetType 형식입니다.

MsoButtonSetType은 다음 MsoButtonSetType 상수 중 하나가 될 수 있습니다.
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

예제

다음은 제목과 텍스트, 선택 지역 세 개, 명령 단추 두 개(확인 및 취소)가 있는 풍선을 표시하는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName 속성

파일 대화 상자의 작업 단추에 표시되는 텍스트를 나타내는 String 형식을 설정하거나 반환합니다. 이 속성은 기본적으로 파일 대화 상자의 종류에 대한 표준 텍스트로 설정됩니다. 예를 들어 열기 대화 상자의 경우 속성은 "Open"으로 기본 설정됩니다. 읽기/쓰기가 가능합니다.

expression.ButtonName

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback 속성

모덜리스 풍선에서 실행할 프로시저의 이름을 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

Callback 속성에 지정할 프로시저는 함께 사용할 대상에 따라 두 개 또는 세 개의 인수를 취하도록 작성해야 합니다. Callback 속성을 마법사와 함께 사용할 경우 클릭한 단추의 msoBalloonButtonType 값을 나타내는 정수(Long)와 풍선을 고유하게 식별하는 정수(Long)의 두 인수를 취하도록 프로시저를 작성합니다. Callback 속성을 모덜리스 풍선과 함께 사용할 경우 프로시저를 호출한 Balloon 개체, 클릭한 단추의 msoBalloonButtonType 값을 나타내는 정수(Long), 풍선의 Private 속성에 지정된 대로 프로시저를 호출한 풍선을 고유하게 식별하는 정수(Long)의 세 인수를 취하도록 프로시저를 작성합니다.

콜백 프로시저에는 전달된 Balloon 개체에 Close 메서드가 적용될 조건이 하나 이상 있어야 합니다. 그렇지 않으면 모덜리스 풍선을 닫을 수 없습니다.

별도의 클래스 모듈에 저장된 프로시저를 지정할 경우에는 Callback 속성에 할당된 값에 모듈 이름을 포함시켜야 합니다(예: "Sheet1.MyCallback).

예제

다음은 세 개의 프린터마다 단추가 하나씩 포함된 풍선을 표시하는 예제입니다. 사용자가 이 단추를 클릭할 때마다 ProcessPrinter 콜백 프로시저가 실행되고 풍선이 닫힙니다.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption 속성

명령 모음 컨트롤의 캡션 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

참고 컨트롤의 캡션도 기본 스크린 팁으로 표시됩니다.

예제

다음은 맞춤법 검사 단추 모양을 가진 명령 모음 컨트롤을 명령 모음에 추가한 다음 캡션을 "Spelling checker"로 설정하는 예제입니다.

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes 속성

지정한 풍선에 포함된 모든 확인란을 나타내는 BalloonCheckboxes 컬렉션을 반환합니다. 읽기 전용입니다.

컬렉션의 단일 요소 반환에 대한 자세한 내용은 컬렉션에서 개체 반환을 참고하십시오.

예제

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만드는 예제입니다. 풍선에서 확인을 클릭하면 선택한 지역의 데이터가 인쇄됩니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이 풍선에서 지정한 확인란이 선택됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만드는 예제입니다. 풍선에서 확인을 클릭하면 선택한 지역의 데이터가 인쇄됩니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column 속성

필터에 사용하는 메일 병합 데이터 원본에 필드 이름을 나타내는 String 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.Column

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 메일 병합에서 "WA"에 일치하는 Region 필드를 갖고 있지 않은 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns 속성

데이터 원본에 필드를 나타내는 ODSOColumns 개체를 반환합니다.

expression.Columns

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 활성화된 게시에 첨부하는 데이터 원본에 필드 이름을 나타내는 예제입니다.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar 속성

지정된 팝업 컨트롤로 표시되는 메뉴를 나타내는 CommandBar 개체를 반환합니다. 읽기 전용입니다.

예제

다음은 "Drawing"이라는 명령 모음에서 fourthLevel 변수를 넷째 컨트롤로 설정하는 예제입니다.

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars 속성

CommandBars 컬렉션을 반환합니다.

expression.CommandBars

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word MsoEnvelope 개체에서 CommandBars 컬렉션을 반환하는 예제입니다.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo 속성

쿼리 필터 기준에 비교할 텍스트를 나타내는 String 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.CompareTo

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 메일 병합에서 "WA"에 일치하는 Region 필드를 갖고 있지 않은 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison 속성

Column과 CompareTo 속성을 비교하는 방법을 나타내는 MsoFilterComparison 상수를 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

MsoFilterComparison은 MsoFilterComparison 상수 중 하나가 될 수 있습니다.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expression.Comparison

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 메일 병합에서 "WA"에 일치하는 Region 필드를 갖고 있지 않은 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

지정된 검색 조건의 조건을 반환합니다. 읽기 전용으로 MsoCondition 형식입니다.

MsoCondition은 다음 MsoCondition 상수 중 하나가 될 수 있습니다.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

예제

다음은 첫 번째 속성 테스트에서 검색 조건의 조건 값을 반환하는 예제입니다.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction 속성

ODSOFilters 개체의 다른 필터 기준과 관련 있는 필터 기준 방법을 나타내는 MsoFilterConjunction 상수를 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

MsoFilterConjunction은 MsoFilterConjunction 상수 중 하나가 될 수 있습니다.
msoFilterConjunctionAnd
msoFilterConjunctionOr

expression.Conjunction

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 메일 병합에서 "WA"에 일치하는 Region 필드를 갖고 있지 않은 모든 레코드를 제거하여 기존 필터를 변경하는 예제입니다.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect 속성

지정된 COMAddIn 개체에 대해 연결 상태를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

Connect 속성은 추가 기능이 활성화되면 True를 반환하고 추가 기능이 비활성화되면 False를 반환합니다. 활성 추가 기능은 등록 및 연결되고 비활성 추가 기능은 등록되지만 현재 연결되지는 않습니다.

예제

다음은 COM 추가 기능이 등록되고 현재 연결되었는지를 나타내는 메시지 상자를 표시하는 예제입니다.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector 속성

두 개의 유사한 속성 테스트 값 사이의 연결자를 반환합니다. 기본값은 msoConnectorAnd입니다. 읽기 전용으로 MsoConnector 형식입니다.

MsoConnector는 다음 MsoConnector 상수 중 하나가 될 수 있습니다.
msoConnectorAnd
msoConnectorOr

주의

연결자는 유사한 두 검색 조건을 하나의 속성 테스트로 결합할지(예: msoConnectorAnd) 아니면 별도로 처리할지(예: msoConnectorOr)를 지정합니다.

예제

다음은 파일 검색 시 검색 조건을 평가하는 방법을 설명하는 메시지를 표시하는 예제입니다.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString 속성

지정한 메일 병합 데이터 원본에 연결을 나타내는 String 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.ConnectString

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 연결 문자열이 ODSOOutlook 문자를 포함하고 이 문자에 의해 메시지가 표시되는지 확인하는 예제입니다.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context 속성

명령 모음이 저장될 위치를 지정하는 문자열을 반환하거나 설정합니다. 문자열은 응용 프로그램에서 정의되고 해석됩니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

Context 속성은 사용자 지정 명령 모음에만 설정할 수 있습니다. 응용 프로그램에서 컨텍스트 문자열을 인식하지 못하거나 컨텍스트 문자열을 프로그램 방식으로 변경할 수 없으면 이 속성을 사용할 수 없습니다.

예제

다음은 "Custom"이라는 명령 모음의 컨텍스트 문자열이 포함된 메시지 상자를 표시하는 예제입니다. 이 예제는 Context 속성을 지원하는 Microsoft Word 및 기타 응용 프로그램에서 실행할 수 있습니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls 속성

명령 모음이나 팝업 컨트롤에서 모든 컨트롤을 나타내는 CommandBarControls 개체를 반환합니다. 읽기 전용입니다.

컬렉션의 단일 요소 반환에 대한 자세한 내용은 컬렉션에서 개체 반환을 참고하십시오.

예제

다음은 "Custom"이라는 명령 모음에 콤보 상자 컨트롤을 추가하고 콤보 상자 목록에 항목 두 개를 추가하는 예제입니다. 줄 항목 수와 콤보 상자 너비를 설정하고 콤보 상자의 기본 항목으로 빈 항목을 설정합니다.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

지정한 컬렉션에 항목 수를 지정하는 Long 형식을 반환하거나 설정합니다. BalloomCheckboxes와 BalloonLabels 개체에 대해서는 읽기/쓰기가 가능한 Long 형식이고, 적용 목록의 다른 개체에 대해서는 읽기 전용인 Long 형식입니다.

expression.Count

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

주의

CommandBars 컬렉션에 대해 수에는 메뉴 모음, 도구 모음, 바로 가기 메뉴만 포함됩니다.

Scripts 컬렉션의 경우 반환된 수는 선택한 문서에 있는 스크립트 블록의 수입니다. Microsoft Word에서 Scripts.Count는 인라인과 부동 스크립트 앵커를 합한 전체 개수를 반환합니다.

예제

다음은 Count 속성을 사용하여 CommandBars 컬렉션에서 명령 모음의 수를 표시하는 예제입니다.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

다음은 Count 속성을 사용하여 Office 길잡이 풍선에서 확인란의 수를 표시하는 예제입니다.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

다음은 활성 문서에서 사용자 지정 문서 속성의 수를 표시하는 예제입니다.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator 속성

지정한 개체가 만들어진 응용 프로그램에서 4개의 문자 코드를 반환하며 Macintosh 전용입니다. 읽기 전용인 Long 형식입니다. Macintosh용 Office 2000의 한글 버전은 없습니다.

expression.Creator

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.


DataSource 속성

첨부한 데이터 원본의 이름을 나타내는 String 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.DataSource

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 이름이 비어 있을 경우 데이터 원본 이름을 설정하는 예제입니다.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description 속성

COMAddIn 개체에 Description 속성을 적용할 경우

지정한 COMAddIn 개체에 설명이 포함된 String 값을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.Description

expression 필수 요소로서 COMAddIn 개체를 반환하는 식입니다.

FileDialogFilter 개체에 Description 속성을 적용할 경우

String 값인 각 Filter 개체의 설명을 반환합니다. 설명은 파일 대화 상자에 나타나는 텍스트이며 읽기 전용입니다.

expression.Description

expression 필수 요소로서 FileDialogFilter 개체를 반환하는 식입니다.

예제

COMAddIn 개체를 적용할 경우

다음은 그리기 개체에 대해 Microsoft Accessibility COM 추가 기능의 설명 텍스트를 표시하는 예제입니다.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

FileDialogFilter 개체를 적용할 경우

다음은 다른 이름으로 저장 대화 상자의 기본 필터를 통해 반복하고 Microsoft Excel 파일을 포함하는 각 필터의 설명을 나타내는 예제입니다. Extensions 속성은 적합한 필터 개체를 찾는 데 사용됩니다.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText 속성

명령 모음 컨트롤에 대한 설명을 반환하거나 설정합니다. 사용자는 설명을 볼 수 없지만 다른 개발자를 위해 컨트롤의 동작을 기록할 때 유용합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

이 속성은 Machintosh의 풍선 도움말에 사용됩니다. 현재 나와 있는 Macintosh용 Office XP의 한국어 버전은 없습니다.

예제

다음은 컨트롤 및 컨트롤의 동작에 대한 설명을 사용자 지정 명령 모음에 추가하는 예제입니다.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType 속성

FileDialog 개체 표시를 설정한 파일 대화 상자의 종류를 나타내는 MsoFileDialogType 상수를 반환합니다. 읽기 전용입니다.

MsoFileDialogType은 다음과 같은 MsoFileDialogType 상수 중 하나가 될 수 있습니다.
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expression.DialogType

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 알 수 없는 종류의 FileDialog 개체를 선택한 다음 이 개체가 다른 이름으로 저장 대화 상자나 열기 대화 상자이면 Execute 메서드를 실행하는 예제입니다.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown 속성

True이면 도움말 마법사 드롭다운 메뉴를 사용할 수 있습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

expression.DisableAskAQuestionDropdown

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 DisableAskAQuestionDropdown 속성을 토글하는 예제입니다.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize 속성

True이면 도구 모음 사용자 지정을 할 수 없습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

expression.DisableCustomize

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 DisableCustomize 속성을 토글하는 예제입니다.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts 속성

True이면 글꼴 상자의 글꼴이 실제 글꼴로 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 사용자 지정 명령 모음 및 컨트롤을 포함하여 Microsoft Office의 모든 명령 모음에 세 가지 옵션을 설정하는 예제입니다.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips 속성

True이면 모든 명령 모음 컨트롤의 도구 설명에 바로 가기 키가 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

도구 설명에 바로 가기 키를 표시하려면 DisplayTooltips 속성을 True로 설정해야 합니다.

예제

다음은 Microsoft Office의 모든 명령 모음에 대해 옵션을 설정하는 예제입니다.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips 속성

True이면 사용자가 마우스 포인터를 명령 모음 컨트롤 위에 놓을 때마다 스크린 팁이 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

컨테이너 응용 프로그램에서 DisplayTooltips 속성을 설정하면 실행 중인 모든 Microsoft Office 응용 프로그램과 해당 속성을 설정한 후 실행된 Office 응용 프로그램의 명령 모음이 모두 변경됩니다.

예제

다음은 모든 명령 모음에 크기가 큰 컨트롤과 도구 설명을 표시하는 예제입니다.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines 속성

명령 모음의 콤보 상자 컨트롤에 있는 줄 수를 반환하거나 설정합니다. 콤보 상자 컨트롤은 사용자 지정 컨트롤로서 드롭다운 목록 상자나 콤보 상자여야 합니다. 읽기/쓰기가 가능한 Long 형식입니다.

참고 이 속성을 입력란인 콤보 상자 컨트롤이나 기본 제공된 콤보 상자 컨트롤에 설정하면 오류가 발생합니다.

주의

이 속성을 0으로 설정하면 컨트롤의 줄 수는 목록에 있는 항목 수에 따라 달라집니다.

예제

다음은 "Custom"이라는 명령 모음에 두 항목이 포함된 콤보 상자 컨트롤을 추가하는 예제입니다. 또한 줄 항목 수와 콤보 상자 너비를 설정하고 콤보 상자의 기본 항목으로 빈 항목을 설정합니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth 속성

지정한 명령 모음의 콤보 상자 컨트롤에 대해 픽셀 단위로 목록의 너비를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

참고 이 속성을 기본 제공된 컨트롤에 설정하면 오류가 발생합니다.

주의

이 속성을 -1로 설정하면 목록의 너비는 콤보 상자 목록에서 가장 긴 항목의 길이에 따라 지정되고 0으로 설정하면 컨트롤의 너비에 따라 지정됩니다.

예제

다음은 "Custom"이라는 명령 모음에 두 항목이 포함된 콤보 상자 컨트롤을 추가하는 예제입니다. 또한 줄 항목 수와 콤보 상자의 너비를 설정하고 콤보 상자의 기본 항목으로 빈 항목을 설정합니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled 속성

True이면 지정한 명령 모음이나 명령 모음 컨트롤을 사용할 수 있습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

명령 모음의 경우 이 속성을 True로 설정하면 사용할 수 있는 명령 모음 목록에 해당 명령 모음 이름이 나타납니다.

기본 제공된 컨트롤의 경우 Enabled 속성을 True로 설정하면 응용 프로그램에서 상태를 지정할 수 있지만 False로 설정하면 해제됩니다.

예제

다음은 user에 지정된 사용자 수준에 따라 명령 모음을 조정하는 예제입니다. user가 "Level 1"이면 "VB Custom Bar"라는 명령 모음이 표시됩니다. user가 다른 값이면 기본 제공된 Visual Basic 명령 모음이 기본 상태로 다시 설정되고 "VB Custom Bar" 명령 모음이 해제됩니다.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

다음은 "Custom"이라는 명령 모음에 명령 모음 단추 두 개를 추가하는 예제입니다. 기본적으로 첫째 컨트롤은 사용할 수 없고 둘째 컨트롤만 사용할 수 있습니다.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate 속성

만료될 Signature 개체에 대응하는 디지털 서명에 날짜를 나타내는 Variant 형식을 반환하며 읽기 전용입니다.

expression.ExpireDate

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 현재 함수를 호출합니다. 함수는 사용자가 선택한 디지털 서명이 12개월 내에 만료되지 않을 것이라는 사실을 확인하는 테스트를 합니다. 12개월 내에 만료가 되는 경우에는 인증서가 첨부되지 않습니다.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended 속성

LANGUAGE 및 ID 특성을 제외하고 <SCRIPT> 태그에 추가된 특성을 설정하거나 반환합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

HTML에서와 같이 특성은 공백으로 구분됩니다. Extended 속성을 사용하여 LANGUAGE 특성이나 ID 특성을 전달할 수 없습니다.

Microsoft Office 주 응용 프로그램에는 전달된 특성의 구문을 확인할 수 있는 방법이 없습니다.

Extended 속성에서 LANGUAGE 특성을 전달하면 <SCRIPT> 태그가 두 개의 언어 설정 받게 되어 충돌이 발생합니다.

Extended 속성에서 ID 특성을 전달하고 Add 메서드의 ID 매개 변수나 Script 개체의 Id 속성을 통해 설정된 ID가 없으면 ID가 제대로 내보내집니다.

예제

다음은 활성 통합 문서에서 첫 번째 워크시트의 첫 번째 스크립트에 추가된 특성이 없는지 Extended 속성을 확인하는 예제입니다.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions 속성

각 Filter 개체에 대해 파일 대화 상자에 나타나는 파일을 지정하는 확장명을 포함한 String 값을 반환하며 읽기 전용입니다.

expression.Extensions

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 다른 이름으로 저장 대화 상자의 기본 필터를 통해 반복하고 Microsoft Excel 파일을 포함하는 각 필터 설명을 나타내는 예제입니다. Extensions 속성은 적합한 필터 개체를 찾는 데 사용됩니다.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId 속성

명령 모음 단추 컨트롤에 지정된 모양의 ID 번호를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

주의

FaceId 속성은 명령 모음 단추의 기능이 아니라 모양을 지정하는 것입니다. CommandBarControl 개체의 Id 속성이 단추의 기능을 지정합니다.

사용자 지정 모양을 가진 명령 모음 단추의 FaceId 속성 값은 0입니다.

예제

다음은 사용자 지정 명령 모음에 명령 모음 단추를 추가하는 예제입니다. 단추의 모양은 기본 제공된 차트 단추와 같지만 ID 번호는 23이므로 이 단추를 클릭하는 것은 파일 메뉴에서 열기 명령을 선택하는 것과 같습니다.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 응용 프로그램 기능을 보다 효과적으로 사용할 수 있는 방법을 보여 줍니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

FeatureTips 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 기능을 더 효과적으로 사용 확인란을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이에서 응용 프로그램 기능을 효과적으로 사용하는 방법을 제공하도록 설정하는 예제입니다.

Assistant.FeatureTips = True


FileName 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Assistant 개체: 현재 Office 길잡이의 경로와 파일 이름을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

FileSearch 개체: 파일 검색 시 찾을 파일의 이름을 반환하거나 설정합니다. 파일 이름에는 *(별표) 또는 ?(물음표) 와일드카드 문자가 포함될 수 있습니다. 임의의 단일 문자를 나타내려면 물음표를 와일드카드 문자로 사용합니다. 예를 들어, gr?y를 입력하면 "gray"와 "grey"를 모두 검색합니다. 문자 수에 관계 없이 임의의 문자를 나타내려면 별표를 와일드카드 문자로 사용합니다. 예를 들어, *.txt를 입력하면 .txt 확장명을 가진 모든 파일을 검색합니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.FileName

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 My Documents 폴더에 있는 파일 중 "cmd"로 시작하고 확장명을 가진 파일을 모두 검색한 후 검색된 파일의 이름과 위치를 표시하는 예제입니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files 속성

현재 도움말 마법사에서 사용 가능한 파일의 목록을 나타내는 AnswerWizardFiles 컬렉션을 반환합니다. 읽기 전용입니다.

컬렉션의 단일 요소 반환에 대한 자세한 내용은 컬렉션에서 개체 반환을 참고하십시오.

예제

다음은 현재 도움말 마법사의 파일 목록을 원래대로 설정한 다음 메시지 상자에 파일 개수와 이름을 표시하는 예제입니다.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType 속성

파일 검색 중 검색할 파일 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoFileType 형식입니다.

MsoFileType은 다음 MsoFileType 상수 중 하나가 될 수 있습니다.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.FileType

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

msoFileTypeOfficeFiles 상수에는 *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm, *.html 확장명을 가진 모든 파일이 포함됩니다.

예제

다음은 My Documents 폴더에 있는 바인더 파일을 모두 검색하는 예제입니다. 검색된 파일의 이름과 위치가 메시지 대화 상자에 표시됩니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes 속성

FileTypes 컬렉션을 반환합니다.

expression.FileTypes

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 C:\ 드라이브에서 HTML과 Microsoft Excel 파일을 모두 검색하는 예제입니다.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex 속성

파일 대화 상자의 기본 파일 필터를 지정하는 Long 형식을 반환하거나 설정합니다. 기본 필터는 파일 대화 상자가 처음 열릴 때 나타나는 파일 형식을 지정합니다. 읽기/쓰기가 가능합니다.

expression.FilterIndex

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

필터 번호보다 큰 번호에 속성을 지정하려고 한다면 마지막으로 사용 가능한 필터가 선택됩니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다. 또한 이 예제는 새 파일 필터를 추가하는 방법과 새로 추가한 필터를 기본 필터를 만드는 방법을 보여줍니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters 속성

FileDialogFilters 컬렉션을 반환합니다.

expression.Filters

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다. 또한 이 예제는 "Images"라는 새 파일 필터를 추가합니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont 속성

주 응용 프로그램에서 고정 폭 글꼴 설정을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

FixedWidthFont 속성을 설정할 때 주 응용 프로그램은 유효성 값을 검사하지 않습니다.

예제

다음은 활성 응용 프로그램의 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 고정 폭 글꼴과 고정 폭 글꼴 크기를 설정하는 예제입니다.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize 속성

주 응용 프로그램에서 고정 폭 글꼴 크기 설정을 포인트 단위로 반환하거나 설정합니다. 읽기/쓰기가 가능한 Single 형식입니다.

주의

FixedWidthFontSize 속성을 설정할 때 주 응용 프로그램은 유효성 값을 검사하지 않습니다. 숫자가 아닌 값처럼 유효하지 않은 값을 입력하면 주 응용 프로그램은 크기를 0포인트로 설정합니다. 1/2포인트 크기를 입력할 수 있으며 소수를 입력할 경우 1/2포인트로 올림하거나 내림할 수 있습니다.

예제

다음은 활성 응용 프로그램의 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 고정 폭 글꼴과 고정 폭 글꼴 크기를 설정하는 예제입니다.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles 속성

검색 시 발견된 모든 파일의 이름이 포함되어 있는 FoundFiles 개체를 반환합니다. 읽기 전용입니다.

예제

다음은 검색된 파일의 목록을 검토하고 각 파일의 경로를 표시하는 예제입니다.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 길잡이 창을 클릭하거나 F1 키를 누르기 전에 Office 길잡이에서 사용자가 선택한 키워드에 따라 관련 도움말 항목 목록을 보여 줍니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

GuessHelp 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 Office 길잡이 사용 아래에 있는 도움말 항목 찾기 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이가 도움말 항목을 찾도록 지정하는 예제입니다.

Assistant.GuessHelp = True


Guid 속성

지정된 COMAddIn 개체의 전역 고유 클래스 식별자(GUID)를 반환합니다. 읽기 전용으로 String 형식입니다.

예제

다음은 메시지 상자에 첫 번째 COM 추가 기능의 ProgID와 GUID를 표시하는 예제입니다.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에 나타나는 제목을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

{type location sizing_factor} 구문을 사용하여 풍선 제목에 그래픽이 표시되도록 지정할 수 있습니다. type은 bmp(비트맵) 또는 wmf(Windows 메타 파일)이고, location은 리소스 ID나 경로, 파일 이름입니다. sizing_factor는 wmf 파일의 너비를 지정합니다(bmp에는 생략됨).

풍선 제목은 밑줄 그어진 텍스트와 16 시스템 색상표의 색이 적용된 텍스트를 지원합니다. 제목에 밑줄 그어진 텍스트를 표시하려면 {ul} 또는 {ul 1} 구문을 사용하고 밑줄을 해제하려면 {ul 0}을 사용합니다. 제목 텍스트 색을 변경하려면 문자 일련 번호 {cf number}가 있는 텍스트 문자열을 먼저 변경합니다. 여기서 number는 다음 표에 있는 시스템 색 번호입니다.

시스템 색 번호 | 색
0 | 검정
1 | 진한 빨강
2 | 진한 녹색
3 | 진한 노랑
4 | 진한 파랑
5 | 진한 자홍
6 | 진한 녹청
7 | 연한 회색
248 | 중간 회색
249 | 빨강
250 | 녹색
251 | 노랑
252 | 파랑
253 | 자홍
254 | 녹청
255 | 흰색

위의 시스템 색 번호와 다른 번호를 지정하면 제목 텍스트는 검정색이 됩니다.

예제

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 표시하는 예제입니다.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height 속성

명령 모음 컨트롤이나 명령 모음의 높이를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

expression.Height

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

예제

다음은 Custom이라는 명령 모음에 사용자 지정 컨트롤을 추가하는 예제입니다. 사용자 지정 컨트롤의 높이를 명령 모음 높이의 두 배로 하고 너비를 50픽셀로 설정합니다. 명령 모음이 컨트롤에 맞게 자동으로 크기가 조절됩니다.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId 속성

명령 모음 컨트롤에 연결된 도움말 항목의 도움말 컨텍스트 ID 번호를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

주의

이 속성을 사용하려면 HelpFile 속성도 설정해야 합니다. Shift+F1을 누르면 도움말 항목이 나타납니다.

예제

다음은 주식 데이터를 찾아볼 수 있는 콤보 상자와 함께 사용자 지정 명령 모음을 추가하는 예제입니다. 사용자가 Shift+F1을 누를 때 콤보 상자에 표시되는 도움말 항목도 지정합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile 속성

명령 모음 컨트롤에 연결된 도움말 항목의 파일 이름을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

이 속성을 사용하려면 HelpContextID 속성도 설정해야 합니다. Shift+F1을 누르면 도움말 항목이 표시됩니다.

예제

다음은 주식 데이터를 찾아볼 수 있는 콤보 상자와 함께 사용자 지정 명령 모음을 추가하는 예제입니다. 사용자가 Shift+F1을 누를 때 콤보 상자에 표시되는 도움말 항목도 지정합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 우선 순위가 높은 팁을 보여 줍니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

HighPriorityTips 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 팁 표시 아래에 있는 우선 순위가 높은 팁만 표시 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이가 우선 순위가 높은 팁을 보여 주도록 설정하는 예제입니다.

Assistant.HighPriorityTips = True


HTMLProjectItems 속성

지정된 HTML 프로젝트에 포함된 HTMLProjectItems 컬렉션을 반환합니다. 읽기 전용으로 HTMLProjectItems 형식입니다.

예제

다음은 활성 통합 문서에서 HTML 프로젝트의 HTMLProjectItems 컬렉션에 있는 항목의 개수를 반환하는 예제입니다.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType 속성

지정된 명령 모음 단추와 연결된 하이퍼링크의 종류를 설정하거나 반환합니다. 읽기/쓰기가 가능한 MsoCommandBarButtonHyperlinkType 형식입니다.

MsoCommandBarButtonHyperlinkType은 다음 MsoCommandBarButtonHyperlinkType 상수 중 하나가 될 수 있습니다.
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

예제

다음은 "Custom"이라는 명령 모음에서 지정된 명령 모음 단추의 HyperlinkType 속성을 확인하는 예제입니다. HyperlinkType이 msoCommandBarButtonHyperlinkNone일 경우 이 속성을 msoCommandBarButtonHyperlinkOpen으로 설정하고 URL을 www.microsoft.com으로 설정합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선의 왼쪽 위에 나타나는 아이콘 종류를 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoIconType 형식입니다.

MsoIconType은 다음 MsoIconType 상수 중 하나가 될 수 있습니다.
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

예제

다음은 사용자에게 프린터를 선택하라는 메시지를 표시하는 "경고" 아이콘이 있는 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id 속성

CommandBarButton, CommandBarComboBox 및 CommandBarControl 개체에 Id 속성을 적용할 경우

기본 제공된 명령 모음 컨트롤의 ID를 반환합니다. 읽기 전용인 Long 형식입니다.

expression.Id

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

주의

컨트롤의 ID로 해당 컨트롤의 기본 제공 동작을 알 수 있습니다. 모든 사용자 지정 컨트롤의 Id 속성 값은 1입니다.

Script 개체에 Id 속성을 적용할 경우

Script 개체의 ID를 설정하거나 반환합니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.Id

expression 필수 요소로서 Script 개체를 반환하는 식입니다.

주의

반환된 ID는 HTML에서 <SCRIPT> 태그의 ID 특성입니다. <SCRIPT> 태그에 지정된 ID 특성이 없으면 Id 속성은 빈 문자열을 반환합니다.

Id는 이름 지정 요소에 사용되는 SGML 식별자를 지정합니다. 유효한 식별자는 문자로 시작하고 영숫자 문자와 밑줄 문자( _ )로 구성된 문자열을 포함합니다.

ID는 HTML 문서 내에서 고유해야 합니다.

예제

CommandBarButton, CommandBarComboBox 및 CommandBarControl 개체에 적용할 경우

다음은 단추 ID 값이 25보다 작을 경우 "Custom"이라는 명령 모음에서 첫째 컨트롤의 단추 모양을 바꾸는 예제입니다.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

다음은 "Standard" 도구 모음의 모든 컨트롤 캡션을 해당 컨트롤의 현재 Id 속성 값으로 바꾸는 예제입니다.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Script 개체에 적용할 경우

다음은 현재 통합 문서의 첫째 워크시트에서 첫째 스크립트의 Id 속성을 새 값으로 설정하는 예제입니다.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index 속성

컬렉션에서 개체의 인덱스 번호를 나타내는 Long을 반환합니다. 읽기 전용입니다.

expression.Index

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

첫째 명령 모음 컨트롤의 위치는 1입니다. CommandBarControls 컬렉션의 구분자는 계산에 포함되지 않습니다.

예제

다음은 "Custom2"라는 명령 모음에서 ID 값이 23인 컨트롤을 검색하는 예제입니다. 검색된 컨트롤의 인덱스 번호가 5보다 크면 해당 컨트롤을 명령 모음의 맨 앞에 놓습니다.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName 속성

파일 대화 상자에 처음 표시되는 경로 및 파일 이름을 나타내는 String 형식을 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

expression.InitialFileName

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

경로가 아니라 파일 이름을 지정할 때 '*' 및 '?' 등의 와일드카드 문자를 사용할 수 있습니다. '*' 표시는 연속된 문자의 번호를 나타내고 '?' 표시는 단일 문자를 나타냅니다. 예를 들어 .InitialFileName = "c:\c*s.txt"는 "charts.txt"와 "checkregister.txt." 모두를 반환합니다.

경로를 지정하고 파일 이름은 지정하지 않으면, 파일 필터에 의해 걸러지고 남은 모든 파일은 대화 상자에 나타납니다.

시작 폴더에 있는 파일을 지정하면, 그 파일만 대화 상자에 나타납니다.

시작 폴더에 없는 파일 이름을 지정하면, 대화 상자에는 어떤 파일도 포함되지 않습니다. InitialFileName 속성에 지정한 파일 형식은 파일 필터 설정을 무시합니다.

유효하지 않은 경로를 지정하면, 마지막으로 사용된 경로가 사용되고 경고 메시지가 나타납니다.

256자 보다 긴 문자열에 현재 속성을 적용하면 런타임 오류가 발생합니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView 속성

파일 대화 상자의 파일과 폴더에 처음 나타나는 MsoFileDialogView 상수를 반환하거나 설정합니다. 읽기/쓰기가 가능합니다.

MsoFileDialogView는 MsoFileDialogView 상수 중 하나가 될 수 있습니다.
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail 상수는 Microsoft Windows 2000, Microsoft Windows Millennium Edition 또는 이후 버전과 연결하여 사용할 때만 사용 가능합니다.
msoFileDialogViewWebView 상수는 사용 가능하지 않고 이 상수를 선택하면 기본 보기가 사용됩니다.

expression.InitialView

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 FileDialog 개체를 사용하여 기본 보기로 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction 속성

MsoEnvelope 개체를 사용하여 보내는 문서를 포함하는 소개 텍스트를 설정하거나 반환합니다. 소개 텍스트는 전자 메일의 문서 맨 위에 포함되어 있습니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.Introduction

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 서브루틴에 전달된 전자 메일 주소로 Microsoft Word 현재 문서를 메일로 보내는 예제입니다.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired 속성

True이면 만료된 Signature 개체에 대응하는 디지털 인증서입니다. 읽기 전용인 Boolean 형식입니다.

expression.IsCertificateExpired

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 디지털 인증서의 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked 속성

True이면 Signature 개체에 대응하는 디지털 인증서가 인증서 발급자에 의해 취소됩니다. 읽기 전용인 Boolean 형식입니다.

expression.IsCertificateRevoked

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen 속성

True이면 지정된 HTML 프로젝트 항목이 Microsoft Script Editor에 열립니다. 읽기 전용으로 Boolean 형식입니다.

예제

다음은 지정된 HTML 프로젝트 항목이 열려 있는지를 확인한 다음 열려 있을 경우 지정된 파일에서 스크립트를 로드하는 예제입니다.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped 속성

True이면 컨트롤은 사용 통계 및 레이아웃 공간을 기초로 현재 메뉴 또는 도구 모음에서 삭제됩니다. 이것은 Visible 속성에 설정된 컨트롤의 표시 유형과는 다릅니다. Visible 속성이 True로 설정된 컨트롤이라도 IsPriorityDropped가 True일 경우 즐겨 쓰는 메뉴나 도구 모음에 즉시 표시되지 않습니다. 읽기 전용인 Boolean 형식입니다.

주의

지정된 메뉴 항목에 대해 IsPriorityDropped를 True로 설정할 시기를 결정하기 위해 Microsoft Office는 해당 메뉴 항목이 사용된 전체 횟수와, 해당 메뉴 항목을 사용하지 않고 같은 메뉴에 있는 다른 메뉴 항목을 사용한 응용 프로그램 세션 수의 레코드를 유지 관리합니다. 이 값이 특정 임계값이 되면 수가 감소하고 수가 0이 될 때 IsPriorityDropped가 True로 설정됩니다. 프로그래머는 세션 값이나 임계값, IsPriorityDropped 속성을 설정할 수 없지만 AdaptiveMenus 속성을 사용하여 응용 프로그램에서 특정 메뉴에 대해 즐겨 쓰는 메뉴를 해제할 수 있습니다.

특정 도구 모음 컨트롤에 대해 IsPriorityDropped를 True로 설정할 시기를 결정하기 위해 Office는 해당 도구 모음에 있는 모든 컨트롤의 최근 실행 순서 목록을 유지 관리합니다. 도구 모음에는 가장 최근 사용된 순서대로 해당 공간에 나타낼 수 있는 최대한 많은 컨트롤이 표시됩니다. Priority가 1로 설정된 컨트롤은 항상 나타나며 필요하면 이 컨트롤을 나타내기 위해 도구 모음이 다른 줄에 표시될 수도 있습니다. 프로그래머는 Priority 속성을 사용하여 특정 도구 모음 컨트롤을 항상 나타내거나 모든 컨트롤을 나타낼 수 있게 도구 모음의 위치를 변경할 수 있습니다.

다음 표를 사용하여 메뉴 항목의 IsPriorityDropped 속성이 True로 설정되기 전에 해당 메뉴 항목이 즐겨 쓰는 메뉴에 계속 나타날 세션 수를 예측할 수 있습니다.

명령 모음 컨트롤의 사용 횟수 | 응용 프로그램 세션 수
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6-8 | 17
9-13 | 23
14-24 | 29
25 이상 | 31

예제

다음은 "Custom"이라는 명령 모음에서 첫째 컨트롤의 IsPriorityDropped 속성을 확인하는 예제입니다. IsPriorityDropped가 True이면 AdaptiveMenus 속성을 False로 설정하고 삭제된 명령 모음을 복원합니다.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer 속성

Signature 개체에 대응하는 디지털 인증서의 발급자 이름을 나타냅니다. 읽기 전용인 String 형식입니다.

expression.Issuer

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 디지털 인증서의 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid 속성

True이면 Signature 개체가 유효한 인증서에 대응하는 디지털 인증서입니다. 인증은 만료되었다는 점에서부터 인증을 포함한 문서가 변경되었다는 등의 여러 가지 원인에 의해 유효하지 않을 수 있습니다. 읽기 전용인 Boolean 형식입니다.

expression.IsValid

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item 속성

FileTypes 컬렉션에 Item 속성을 적용할 경우

FileSearch 개체의 Execute 메서드에 의해 검색되는 파일 형식을 지정하는 값을 반환합니다. 읽기 전용인 MsoFileType 형식입니다.

MsoFileType은 MsoFileType 상수 중 하나가 될 수 있습니다.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.Item(Index)

expression 필수 요소로서 FileTypes 컬렉션을 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 반환할 개체의 인덱스 번호를 나타냅니다.

CommandBars 개체에 Item 속성을 적용할 경우

CommandBars 컬렉션에서 CommandBar 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 CommandBars 개체를 반환하는 식입니다.

Index 필수 요소로서 Variant 형식입니다. 반환할 개체의 이름이나 인덱스 번호를 나타냅니다.

CommandBarControls 개체에 Item 속성을 적용할 경우

CommandBarControls 컬렉션에서 CommandBarControl 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 CommandBarControls 개체를 반환하는 식입니다.

Index 필수 요소로서 Variant 형식입니다. 반환할 개체의 이름이나 인덱스 번호를 나타냅니다.

DocumentProperties 개체에 Item 속성을 적용할 경우

DocumentProperties 컬렉션에서 DocumentProperty 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 DocumentProperties 개체를 반환하는 식입니다.

Index 필수 요소로서 Variant 형식입니다. 반환할 문서 속성의 이름이나 인덱스 번호를 나타냅니다.

BalloonCheckboxes 및 BalloonLabels 개체에 Item 속성을 적용할 경우

BalloonCheckBox나 BalloonLabel 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

index 필수 요소로서 Long 형식입니다. 반환할 확인란이나 레이블의 인덱스 번호를 표시합니다.

MsoEnvelope 개체에 Item 속성을 적용할 경우

전자 메일로 문서를 보낼 때 사용하는 MailItem 개체를 반환합니다.

expression.Item

expression 필수 요소로서 MsoEnvelope 개체를 반환하는 식입니다.

PropertyTests 개체에 Item 속성을 적용할 경우

PropertyTests 컬렉션에서 PropertyTest 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 PropertyTests 개체를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 반환할 속성 테스트의 인덱스 번호를 나타냅니다.

ScopeFolders 및 SearchFolders 개체에 Item 속성을 적용할 경우

상위 개체의 하위 폴더를 나타내는 ScopeFolder 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 반환할 하위 폴더를 지정합니다.

SearchScopes 개체에 Item 속성을 적용할 경우

로컬 드라이브나 Microsoft Outlook 폴더 등의 파일 검색을 수행하는 영역에 대응하는 SearchScope 개체를 반환합니다.

expression.Item(Item)

expression 필수 요소로서 SearchScopes 개체를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 반환할 SearchScope 개체를 지정합니다.

SignatureSet 개체에 Item 속성을 적용할 경우

현재 서명된 문서로 디지털 서명 중 하나에 해당하는 Signature 개체를 반환합니다.

expression.Item(iSig)

expression 필수 요소로서 SignatureSet 개체를 반환하는 식입니다.

iSig 필수 요소로서 Long 형식입니다. 반환할 Signature 개체를 지정합니다.

AnswerWizardFiles 및 FoundFiles 개체에 Item 속성을 적용할 경우

AnswerWizardFiles 컬렉션에서 파일 이름 문자열이나 FoundFiles 개체에 의해 각각 나타나는 파일 이름 목록에서 파일 이름을 반환합니다. 읽기 전용인 String 형식입니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 반환할 도움말 항목 파일 이름 문자열이나 파일 이름의 인덱스 번호를 나타냅니다.

Assistant, BalloonCheckbox, BalloonLabel 및 FileDialog 개체에 Item 속성을 적용할 경우

개체와 관련된 텍스트를 반환합니다. 읽기 전용인 String 형식입니다.

expression.Item

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

WebPageFonts 개체에 Item 속성을 적용할 경우

특정 MsoCharacterSet의 값에 대해 WebPageFonts 컬렉션에서 WebPageFont 개체를 반환합니다.

expression.Item(Index)

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

Index 필수 요소로서 MsoCharacterSet 형식입니다. 지정한 문자 집합을 나타냅니다.

MsoCharacterSet은 MsoCharacterSet 상수 중 하나가 될 수 있습니다.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

예제

CommandBars 개체에 적용할 경우

Item은 개체나 컬렉션의 기본 구성원입니다. 다음은 두 개의 항목 모두 cmdBar에 CommandBar 개체를 할당하는 예제입니다.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

BalloonCheckboxes 및 BalloonLabels 개체에 적용할 경우

Item은 개체나 컬렉션의 기본 구성원입니다. 다음은 두 개의 항목 모두 myBalloon에 할당된 Balloon 개체에 있는 첫 번째 레이블의 lblText 텍스트에 할당하는 예제입니다.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

AnswerWizardFiles 및 FoundFiles 개체에 적용할 경우

다음은 현재 도움말 마법사에 대한 파일 목록을 다시 설정하고 메시지 상자에 파일 개수와 파일 이름을 나타내는 예제입니다. 파일 이름을 반환하려면 Item 속성을 사용합니다.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

WebPageFonts 개체에 적용할 경우

다음은 활성 응용 프로그램의 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 Item 속성을 사용하여 WebPageFont 개체에 myFont를 설정하는 예제입니다.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

MsoEnvelope 개체에 적용할 경우

다음은 서브루틴에 전달하는 전자 메일 주소로 Microsoft Word 현재 문서를 메일로 보내는 예제입니다.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 바로 가기 키에 대한 도움말 정보를 제공합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

KeyboardShortcutTips 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 팁 표시에 있는 바로 가기 키 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이가 바로 가기 키에 대한 도움말 정보를 제공하도록 설정하는 예제입니다.

Assistant.KeyboardShortcutTips = True


Labels 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선에 있는 단추 레이블, 숫자 레이블, 글머리 기호 레이블을 나타내는 BalloonLabels 컬렉션을 반환합니다. 읽기 전용입니다.

컬렉션의 단일 요소 반환에 대한 자세한 내용은 컬렉션에서 개체 반환을 참고하십시오.

예제

다음은 세 가지 선택 사항이 포함된 풍선을 만드는 예제입니다. 변수 x는 사용자가 클릭하는 레이블에 따라 Show 메서드의 반환 값인 1, 2, 3으로 설정됩니다. 이 예제에서는 메시지 상자에 변수 x의 값이 표시되지만 다른 프로시저로 값을 전달하거나 Select Case 문에서 값을 사용할 수도 있습니다.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language 속성

활성 스크립트의 스크립트 언어를 설정하거나 반환합니다. 읽기/쓰기가 가능한 MsoScriptLanguage 형식입니다.

MsoScriptLanguage는 다음 MsoScriptLanguage 상수 중 하나가 될 수 있습니다.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

주의

Language 속성과 함께 사용되는 MsoScriptLanguage 상수는 Scripts 컬렉션의 Add 메서드에서 Language 매개 변수에 사용할 수도 있습니다.

예제

다음은 활성 통합 문서에서 첫 번째 워크시트의 첫 번째 스크립트가 VBScript로 작성되었는지 Language 속성을 확인하는 예제입니다.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID 속성

설치 언어, 사용자 인터페이스 언어, 도움말 언어의 로케일 식별자(LCID)를 반환합니다. 읽기 전용으로 Long 형식입니다.

expression.LanguageID(Id)

expression 필수 요소로서 LanguageSettings 개체를 반환하는 식입니다.

Id 필수 요소로서 MsoAppLanguageID 형식입니다.

MsoAppLanguageID 상수 | 의미
msoLanguageIDExeMode | 응용 프로그램에서 사용 중인 언어 모드입니다. 이 설정은 Microsoft Excel과 Microsoft Access에만 적용되며, 표시 및 편집할 수 있는 언어와 사용 가능한 언어 관련 기능, 번호 스타일, 통화 설정에 영향을 줍니다. Excel과 Access에서 지원되는 언어가 없으면 주 응용 프로그램은 오른쪽에서 왼쪽으로 쓰는 동 아시아 언어를 지원하지 않습니다. 지원되는 언어는 다음과 같습니다. 아랍어 우르두어 이디시어 일본어 중국어 간체 중국어 번체 페르시아어 한국어 히브리어
msoLanguageIDHelp | 온라인 도움말에서 사용하는 언어입니다.
msoLanguageIDInstall | Microsoft Office에서 기본값을 설정할 때 사용하는 언어 설정입니다. 예를 들어, Microsoft Word는 이 설정을 사용하여 언어별로 도구 모음의 레이아웃과 글머리 기호 및 숫자의 기본 유형을 지정합니다.
msoLanguageIDUI | 주 응용 프로그램의 사용자 인터페이스에 사용되는 언어입니다.
msoLanguageIDUIPrevious | 특정 컴퓨터가 마지막으로 부팅될 때 사용자 인터페이스의 언어 설정입니다. 프로그램이나 추가 기능에서 이 상수를 사용하여 사용자 인터페이스 언어의 변경 여부를 확인할 수 있습니다.

예제

다음 Microsoft Excel 예제는 사용자 인터페이스와 실행 모드가 같은 LCID로 설정되어 있는지 LanguageID 속성 설정을 확인하고, 일치하지 않으면 오류를 반환하는 예제입니다.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing 속성

msoLanguageID 상수의 값이 기본 편집 언어로 Windows 레지스트리에 지정되면 True를 반환합니다. 읽기 전용으로 Boolean 형식입니다.

expression.LanguagePreferredForEditing(lid)

expression 필수 요소로서 적용 대상 목록에 한 개체를 반환하는 식입니다.

lid 필수 요소로서 MsoLanguageID 형식입니다.

MsoLanguageID는 다음 MsoLanguageID 상수 중 하나가 될 수 있습니다.
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

주의

기본 설정 언어의 집합을 열거하기 위해 모든 유효한 msoLanguageID 값을 테스트해야 합니다.

예제

다음은 기본 편집 언어가 미국 영어일 경우 메시지를 표시하는 예제입니다.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons 속성

True이면 큰 도구 모음 단추가 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 모든 명령 모음에서 도구 모음 단추의 표시 크기를 토글하는 예제입니다.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified 속성

지정된 파일이 마지막으로 수정 및 저장된 시간을 나타내는 상수를 반환하거나 설정합니다. 기본값은 msoLastModifiedAnyTime입니다. 읽기/쓰기가 가능한 MsoLastModified 형식입니다.

MsoLastModified는 다음과 같은 MsoLastModified 상수 중 하나가 될 수 있습니다.
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

예제

다음은 파일 검색 옵션을 설정하는 예제입니다. 하루 전에 수정되어 C:\My Documents 폴더나 하위 폴더에 저장된 파일을 반환합니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Assistant 및 CommandBar 개체에 Left 속성을 적용할 경우

Office 길잡이 창의 가로 위치를 포인트 단위로 반환하거나 설정하며 화면에 비례하여 지정한 개체의 왼쪽 모서리에서 명령 모음의 간격을 픽셀 단위로 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

expression.Left

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 Left 속성을 적용할 경우

화면의 왼쪽 모서리에 비례하여 지정한 명령 모음 컨트롤의 가로 위치를 픽셀 단위로 설정하거나 반환합니다. 도킹 영역의 왼쪽 측면에서 간격을 반환합니다. 읽기 전용인 Long 형식입니다.

expression.Left

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

예제

Assistant 및 CommandBar 개체에 적용할 경우

다음은 Office 길잡이를 화면에 표시하고 응용 프로그램 창 내의 지정한 위치로 옮기는 예제입니다.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

다음은 창 위쪽에 도킹된 위치에서 왼쪽 가장자리로 Custom이라는 사용자 지정 명령 모음을 옮기는 예제입니다.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource 속성

연결된 사용자 지정 문서 등록 정보의 원본을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

이 속성은 사용자 지정 문서 등록 정보에만 적용되며 기본 제공 문서 등록 정보에는 사용할 수 없습니다.

지정된 연결의 원본은 컨테이너 응용 프로그램에 의해 정의됩니다.

LinkSource 속성을 설정하면 LinkToContent 속성이 True가 됩니다.

예제

다음은 사용자 지정 문서 등록 정보의 연결 상태를 표시하는 예제입니다. 여기서 dp는 유효한 DocumentProperty 개체여야 합니다.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent 속성

True이면 사용자 지정 문서 등록 정보의 값이 컨테이너 문서의 내용에 연결됩니다. False이면 값이 변하지 않습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

이 속성은 사용자 지정 문서 등록 정보에만 적용됩니다. 기본 제공 문서 등록 정보의 경우에는 False 값을 가집니다.

지정한 연결된 등록 정보의 원본을 설정하려면 LinkSource 속성을 사용합니다. LinkSource 속성을 설정하면 LinkToContent 속성이 True가 됩니다.

예제

다음은 사용자 지정 문서 등록 정보의 연결 상태를 나타내는 예제입니다. 여기서 dp는 유효한 DocumentProperty 개체여야 합니다.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List 속성

명령 모음의 콤보 상자 컨트롤에 항목을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

참고 기본 제공된 콤보 상자 컨트롤의 경우 이 속성은 읽기 전용입니다.

expression.List(Index)

expression 필수 요소로서 CommandBarComboBox 개체를 반환하는 식입니다.

Index 필수 요소로서 Long 형식입니다. 설정할 목록 항목을 나타냅니다.

예제

다음은 "Custom"이라는 명령 모음에서 캡션이 "Stock Data"인 콤보 상자 컨트롤의 넷째 목록 항목을 확인하는 예제입니다. 해당 항목이 "View News"가 아닐 경우 콤보 상자가 손상되었으므로 응용 프로그램을 다시 설치하라는 메시지가 표시됩니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount 속성

명령 모음의 콤보 상자 컨트롤에 있는 목록 항목의 개수를 반환합니다. 읽기 전용으로 Long 형식입니다.

예제

다음은 "Custom"이라는 명령 모음에서 콤보 상자에 있는 항목 개수를 확인하는 예제입니다. 프로시저에서 만든 목록 항목이 세 개가 아닐 경우 콤보 상자가 손상되었으므로 응용 프로그램을 새로 설치하라는 메시지를 표시합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount 속성

구분 선 위에 나타나는 명령 모음의 콤보 상자 컨트롤에 있는 목록 항목의 개수를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

참고 기본 콤보 상자 컨트롤의 경우 이 속성은 읽기 전용입니다.

주의

ListHeaderCount 속성 값이 -1이면 콤보 상자 컨트롤에 구분 선이 없습니다.

예제

다음은 "Custom"이라는 명령 모음에 콤보 상자 컨트롤을 추가한 다음 콤보 상자에 항목 두 개를 추가하는 예제입니다. ListHeaderCount 속성을 사용하여 콤보 상자의 첫째 항목과 둘째 항목 사이에 구분 선을 표시합니다. 또한 줄 항목 개수와 콤보 상자 너비를 설정하고 콤보 상자의 기본 항목으로 빈 항목을 설정합니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex 속성

명령 모음 콤보 상자 컨트롤의 목록 부분에서 선택한 항목의 인덱스 번호를 반환하거나 설정합니다. 목록에서 선택한 항목이 없으면 이 속성은 0을 반환합니다. 읽기/쓰기가 가능한 Long 형식입니다.

참고 이 속성은 목록 컨트롤 이외의 다른 컨트롤에는 사용할 수 없습니다.

주의

ListIndex 속성을 설정하면 지정된 컨트롤이 특정 항목을 선택하고 응용 프로그램에서 해당 작업을 실행합니다.

예제

다음은 ListIndex 속성을 사용하여 "My Custom Bar"라는 명령 모음에서 콤보 상자의 선택한 항목에 따라 실행할 서브루틴을 지정하는 예제입니다. 이 프로시저는 ListIndex 속성을 사용하므로 콤보 상자에는 아무 텍스트나 지정해도 됩니다.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location 속성

지정된 HTML 문서에서 스크립트 앵커의 위치를 반환합니다. 읽기 전용으로 MsoScriptLocation 형식입니다.

MsoScriptLocation은 다음 MsoScriptLocation 상수 중 하나가 될 수 있습니다.
msoScriptLocationInBody
msoScriptLocationInHead

주의

HTML 문서에서 스크립트 태그는 <HTML> 태그 사이의 아무 곳에나 나타날 수 있습니다. Microsoft Word나 Excel, PowerPoint에서는 <BODY> 태그 사이에 있는 스크립트 앵커만 표시됩니다. <BODY> 태그 앞이나 뒤에 표시되는 추가 HTML 스크립트의 경우 저장은 되지만 사용자에게 표시되지는 않습니다.

Scripts 컬렉션은 본문 내외에 관계 없이 문서에 나타나는 모든 스크립트 앵커를 포함합니다. Add 메서드의 Location 인수를 사용하여 HTML 문서의 <HEAD> 및 <BODY> 태그 내에 스크립트 앵커를 삽입할 수 있습니다. Location 속성을 사용하여 문서 내에 특정 스크립트 앵커가 저장될 위치를 지정할 수도 있습니다.

예제

다음은 활성 통합 문서의 첫 번째 워크시트에서 첫 번째 스크립트의 Location 속성을 확인하고 메시지 상자에 위치를 표시하는 예제입니다.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn 속성

지정된 파일 검색 중 검색된 폴더를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

예제

다음은 My Documents 폴더에서 "Cmd"로 시작하는 모든 파일을 검색하여 파일의 이름과 위치를 나타내는 예제입니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask 속성

CommandBarButton 개체의 마스크 이미지를 나타내는 IPictureDisp 개체를 반환합니다. 마스크 이미지는 단추 이미지에서 투명하게 될 부분을 지정합니다.

expression.Mask

expression 필수 요소로서 CommandBarButton 개체를 반환하는 식입니다.

주의

마스크 이미지를 사용하여 이미지를 만들려고 한다면 투명하게 하고 싶은 영역은 모두 흰색으로 나타내고, 보여주고 싶은 영역은 모두 검정 색으로 나타내야 합니다.

CommandBarButton 개체에 대한 그림을 설정한 후에 항상 마스크를 설정해야 합니다.

예제

다음은 코드를 반환하는 첫 번째 CommandBarButton의 이미지와 마스크를 설정하는 예제입니다. 이 작업을 하려면 마스크 이미지와 단추 이미지를 만들고 예제에 있는 이미지 경로로 대체합니다.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

다음은 코드를 반환하고 파일에 각 코드를 출력하는 첫 번째 CommandBarButton의 이미지와 마스크를 가져오는 예제입니다. 이 작업을 하려면 출력하는 파일에 대해 경로를 지정합니다.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 파일의 본문이나 파일 속성에서 지정한 단어를 찾을 때 해당 단어의 모든 형태가 검색에 포함됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

이 속성은 Mswds_en.lex 파일이 설치 및 등록되어 있어야만 사용할 수 있습니다. 표준 설치를 하면 이 파일은 설치되지 않습니다.

예제

다음은 파일 본문이나 속성 중에 "run", "running", "runs", "ran" 등의 단어가 포함된 파일을 모두 반환하는 예제입니다. TextOrProperty 속성은 검색할 단어를 설정하고 찾을 범위를 파일 본문이나 속성으로 제한합니다.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 파일의 본문이나 속성에 지정한 조건과 정확히 일치하는 단어나 구가 있는 파일만 찾습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 C:\My Documents 폴더를 검색하여 파일 본문이나 파일 속성에 "Run"이라는 단어가 있는 파일을 모두 반환하는 예제입니다.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle 속성

명령 모음의 애니메이션 방법을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoMenuAnimation 형식입니다.

MsoMenuAnimation은 다음 MsoMenuAnimation 상수 중 하나가 될 수 있습니다.
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

예제

다음은 Microsoft Office에서 모든 명령 모음에 대한 옵션을 설정하는 예제입니다.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선 모양의 동작을 반환하거나 설정합니다. Balloon 개체를 만들면 이 속성은 처음 msoModeModal로 설정됩니다. 읽기/쓰기가 가능한 MsoModeType 형식입니다.

MsoModeType은 다음 MsoModeType 상수 중 하나가 될 수 있습니다.
msoModeAutoDown
msoModeModal
msoModeModeless

주의

풍선의 Mode 속성을 msoModeModeless로 설정하면 작업 중에 풍선을 볼 수 있습니다. msoModeModal로 설정하면 풍선을 닫은 후 응용 프로그램 작업을 계속해야 하고, msoModeAutoDown으로 설정하고 화면의 아무 곳이나 누르면 풍선이 닫힙니다.

풍선의 Mode 속성을 msoModeModeless로 설정하고 Callback 속성 값이 제공되지 않으면 오류가 발생합니다. Mode 속성이 msoModeModeless로 설정된 경우 Close 메서드는 Callback 속성에 지정된 프로시저에서만 사용할 수 있습니다.

예제

다음은 사용자에게 프린터를 선택하라는 메시지를 나타내는 경고 아이콘이 있는 풍선을 만드는 예제입니다. 풍선이 모덜리스 모드이므로 사용자는 풍선을 화면에 표시해 둔 채 프린터 명령을 액세스할 수 있습니다. 사용자가 확인 단추를 클릭하면 Callback 속성에 지정된 프로시저가 실행됩니다.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 효과적인 마우스 사용 방법을 보여 줍니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

MouseTips 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 팁 표시 아래에 있는 마우스를 더 효과적으로 사용 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이가 마우스를 더 효과적으로 사용하는 방법을 보여 주도록 설정하는 예제입니다.

Assistant.MouseTips = True


MoveWhenInTheWay 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이 창이 작업 중에 자동으로 움직입니다. 예를 들어, 마우스로 끌거나 놓을 때 또는 키를 입력할 때 길잡이가 움직입니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

기본값은 True입니다. MoveWhenInTheWay 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에 있는 Office 길잡이 사용 섹션에서 작동 중 이동 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이를 사용하기 전에 특정 위치에 길잡이를 표시하고 몇 가지 옵션을 설정하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name 속성

지정된 개체의 이름을 반환하거나 설정합니다. CommandBar와 DocumentProperty 개체의 경우 읽기/쓰기가 가능한 String 형식이고, 다른 개체의 경우 읽기 전용인 String 형식입니다.

주의

기본 제공 명령 모음의 로컬 이름이 제목 표시줄(명령 모음이 고정되지 않은 경우)과 사용 가능한 명령 모음 목록에 표시됩니다. 이 때 컨테이너 응용 프로그램에서 해당 목록이 표시되는 위치는 관계 없습니다.

기본 제공 명령 모음에서 Name 속성은 명령 모음의 영어(미국) 이름을 반환합니다. 지역화된 이름을 반환하려면 NameLocal 속성을 사용합니다.

사용자 지정 명령 모음에서 LocalName 속성 값을 변경하면 Name 값도 변경되며, 그 반대의 경우도 마찬가지입니다.

예제

다음은 명령 모음의 컬렉션에서 "Custom"이라는 명령 모음을 검색하는 예제입니다. 명령 모음을 찾으면 화면에 표시합니다.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

다음은 문서 등록 정보의 이름, 종류, 값을 표시하는 예제입니다. 유효한 DocumentProperty 개체를 프로시저에 전달해야 합니다.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal 속성

컨테이너 응용 프로그램의 언어 버전에 나타나는 것처럼 기본 제공 명령 모음의 이름을 반환하거나 사용자 지정 명령 모음 이름을 반환 또는 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

참고 이 속성을 기본 제공 명령 모음에 설정하면 오류가 발생합니다.

주의

기본 제공 명령 모음의 로컬 이름은 제목 표시줄(명령 표시줄이 고정되지 않았을 때)과 사용 가능한 명령 모음 목록에 표시됩니다. 이 때 컨테이너 응용 프로그램에서 해당 목록이 표시되는 위치는 관계 없습니다.

사용자 지정 명령 모음에서 LocalName 속성 값을 변경하면 Name 값도 변경되며, 그 반대의 경우도 마찬가지입니다.

예제

다음은 컨테이너 응용 프로그램에서 첫 번째 명령 모음의 이름과 지역화된 이름을 표시하는 예제입니다.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선을 만듭니다. Balloon 개체를 반환하며 읽기 전용입니다.

예제

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만들어 화면에 표시하는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object 속성

지정된 COMAddIn 개체의 기준 개체를 설정하거나 반환합니다. 읽기/쓰기가 가능한 Object 형식입니다.

주의

이 속성은 주로 특정 COMAddIn 개체가 다른 COMAddIn 개체와 통신할 수 있게 설정할 때 사용됩니다.

예제

다음은 msodraa9.ShapeSelect에서 COM 추가 기능과 연결된 개체를 반환하는 예제입니다.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup 속성

OLE 서버의 메뉴 그룹이 OLE 클라이언트의 메뉴 그룹과 병합될 때(즉, 컨테이너 응용 프로그램 유형의 개체가 다른 응용 프로그램에 포함된 경우) 지정된 명령 모음 팝업 컨트롤이 속한 메뉴 그룹을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoOLEMenuGroup 형식입니다.

MsoOLEMenuGroup은 다음 MsoOLEMenuGroup 상수 중 하나가 될 수 있습니다.
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

참고 기본 제공 컨트롤의 경우 이 속성은 읽기 전용입니다.

주의

이 속성을 통해 추가 응용 프로그램은 Office 응용 프로그램에서 명령 모음 컨트롤이 나타나는 방법을 지정할 수 있습니다. 컨테이너나 서버에서 명령 모음을 구현하지 않으면 일반적인 OLE 메뉴 병합이 발생합니다. 즉, 메뉴 모음이 병합되고 서버의 모든 도구 모음이 병합되지만, 컨테이너의 도구 모음은 병합되지 않습니다. 메뉴는 메뉴 그룹 범주에 따라 병합되므로 이 속성은 메뉴 모음에 있는 팝업 컨트롤에만 적용됩니다.

두 가지 병합 응용 프로그램이 모두 명령 모음을 구현할 경우 명령 모음 컨트롤은 OLEUsage 속성에 따라 병합됩니다.

예제

다음은 "Custom"이라는 명령 모음에서 새 사용자 지정 팝업 컨트롤의 OLEMenuGroup 속성을 확인하고 msoOLEMenuGroupNone으로 설정하는 예제입니다.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage 속성

두 Microsoft Office 응용 프로그램의 병합 시 명령 모음 컨트롤이 사용되는 OLE 클라이언트 및 OLE 서버 역할을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoControlOLEUsage 형식입니다.

MsoControlOLEUsage는 다음 MsoControlOLEUsage 상수 중 하나가 될 수 있습니다.
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

주의

이 속성을 통해 특정 Office 응용 프로그램이 다른 Office 응용 프로그램과 병합될 때 각 추가 응용 프로그램의 명령 모음 컨트롤이 Office 응용 프로그램에 나타나는 방법을 지정할 수 있습니다. 클라이언트와 서버가 모두 명령 모음을 구현할 경우 명령 모음 컨트롤이 하나씩 클라이언트에 포함됩니다. 클라이언트 전용(또는 클라이언트도 서버도 아닌 경우)으로 표시된 사용자 지정 컨트롤은 서버에서 삭제되며 서버 전용(또는 서버도 클라이언트도 아닌 경우)으로 표시된 컨트롤은 클라이언트에서 삭제됩니다. 나머지 컨트롤은 병합됩니다.

병합되는 응용 프로그램이 Office 응용 프로그램이 아니면 OLEMenuGroup 속성으로 제어되는 일반적인 OLE 메뉴 병합이 사용됩니다.

예제

다음은 Tools라는 명령 모음에 새 단추를 추가하고 OLEUsage 속성을 설정하는 예제입니다.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 설정됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 Office 길잡이를 해제하고 사용자에게 길잡이 사용 여부를 묻는 메시지 상자를 표시한 후 사용자가 예를 클릭하면 길잡이를 설정하는 예제입니다. 사용자가 길잡이를 설정하면 길잡이가 나타나 msoAnimationGreeting 애니메이션을 수행합니다.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction 속성

사용자가 명령 모음 컨트롤의 값을 클릭 또는 변경할 때 실행될 Visual Basic 프로시저의 이름을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

참고 컨테이너 응용 프로그램은 해당 값이 유효한 매크로 이름인지 확인합니다.

예제

다음은 "Custom"이라는 명령 모음에 명령 모음 컨트롤을 추가하는 예제입니다. 컨트롤을 클릭할 때마다 "MySub"라는 프로시저가 실행됩니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

다음은 "Custom"이라는 명령 모음에 명령 모음 컨트롤을 추가하는 예제입니다. 컨트롤을 클릭할 때마다 "FinanceAddIn"이라는 COM 추가 기능이 실행됩니다.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter 속성

응용 프로그램에서 명령을 실행할 때 사용할 수 있는 문자열을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

지정된 매개 변수가 기본 제공 컨트롤에 설정될 경우 응용 프로그램에서 새 값을 구문 분석 및 사용할 수 있으면 기본 동작을 수정할 수 있습니다. 이 매개 변수가 사용자 지정 컨트롤에 설정될 경우 Visual Basic 프로시저에 정보를 보내거나 컨트롤에 대한 정보를 저장할 때 사용할 수 있습니다(둘째 Tag 속성 값과 비슷함).

예제

다음은 컨트롤에 새 매개 변수를 지정하고 새 단추에 포커스를 설정하는 예제입니다.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent 속성

지정한 개체의 Parent 개체를 반환하며 읽기 전용입니다.

예제

다음은 문서 등록 정보에 대한 상위 개체의 이름을 표시하는 예제입니다. 유효한 DocumentProperty 개체를 프로시저에 전달해야 합니다.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path 속성

ScopeFolder 개체의 전체 경로를 지정하는 String 형식을 반환합니다. 읽기 전용입니다.

expression.Path

expression 필수 요소로서 ScopeFolder 개체를 반환하는 식입니다.

예제

다음은 내 컴퓨터 각 디렉터리의 루트 경로를 나타내는 예제입니다. 이 정보를 검색하려면 먼저 내 컴퓨터의 루트에서 ScopeFolder 개체를 가져와야 합니다. ScopeFolder 경로는 항상 "*"로 표시합니다. 모든 ScopeFolder 개체로 루트 개체는 ScopeFolders 컬렉션을 포함합니다. 이 예제는 ScopeFolders 컬렉션을 통해 반복하고 그 안에 각 ScopeFolder 개체의 경로를 나타냅니다. 이러한 ScopeFolder 개체의 경로는 "A:\", "C:\" 등으로 지정합니다.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture 속성

CommandBarButton 개체의 이미지를 나타내는 IPictureDisp 개체를 반환합니다.

expression.Picture

expression 필수 요소로서 CommandBarButton 개체를 반환하는 식입니다.

주의

단추에 이미지를 변경할 때 마스크 이미지를 설정할 Mask 속성을 사용할 수도 있습니다. 단추 이미지 부분을 투명하게 하는 마스크 이미지를 지정합니다. CommandBarButton 개체에 대한 그림을 설정한 후에는 마스크를 설정해야 합니다.

참고 Visual Basic Editor의 Standard 도구 모음에 있는 View Microsoft Application과 Insert Item 단추에 대한 이미지는 변경할 수 없습니다.

예제

다음은 코드를 반환하는 첫 번째 CommandBarButton의 이미지와 마스크를 설정하는 예제입니다. 이 작업을 하려면 마스크 이미지와 단추 이미지를 만들고 예제에 있는 이미지 경로로 대체합니다.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

다음은 코드를 반환하고 파일에 각 코드를 출력하는 첫 번째 CommandBarButton의 이미지와 마스크를 가져오는 예제입니다. 이 작업을 하려면 출력 파일에 대한 경로를 지정합니다.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position 속성

명령 모음의 위치를 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoBarPosition 형식입니다.

MsoBarPosition은 다음 MsoBarPosition 상수 중 하나가 될 수 있습니다.
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

예제

다음은 명령 모음의 컬렉션에서 사용자 지정 명령 모음을 응용 프로그램 창의 아래쪽에 고정시키고 기본 제공 명령 모음을 창 위쪽에 고정시키는 예제입니다.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority 속성

명령 모음 컨트롤의 우선 순위를 설정하거나 반환합니다. 컨트롤의 우선 순위는 명령 모음 컨트롤을 한 줄로 표시할 수 없을 경우 해당 컨트롤을 고정 명령 모음에서 삭제할 수 있는지의 여부를 지정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

주의

유효한 우선 순위는 0부터 7까지입니다. 우선 순위가 1이면 도구 모음에서 컨트롤을 삭제할 수 없으며 다른 우선 순위 값은 무시됩니다.

메뉴 항목이 있는 명령 모음 컨트롤에서는 Priority 속성을 사용하지 않습니다.

예제

다음은 컨트롤을 이동하고 모든 컨트롤을 한 줄로 표시할 수 없을 경우 명령 모음에서 삭제되도록 우선 순위를 5로 지정하는 예제입니다.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

콜백 프로시저를 시작한 Office 길잡이 풍선을 나타내는 정수를 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

주의

여러 풍선에서 같은 콜백 프로시저를 실행할 경우 이 속성을 사용하면 편리합니다.

예제

다음은 Private 속성을 129로 설정하여 Office 길잡이 풍선을 나타내는 예제입니다.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId 속성

지정된 COMAddIn 개체의 프로그램 식별자(ProgID)를 반환합니다. 읽기 전용으로 String 형식입니다.

예제

다음은 메시지 상자에 첫 번째 COM 추가 기능의 ProgID와 GUID를 표시하는 예제입니다.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests 속성

파일 검색 시 모든 검색 조건을 나타내는 PropertyTests 컬렉션을 반환합니다. 읽기 전용입니다.

컬렉션의 단일 요소 반환에 대한 자세한 내용은 컬렉션에서 개체 반환을 참고하십시오.

예제

다음은 컬렉션의 첫 번째 속성 테스트에 대해 모든 검색 조건을 표시하는 예제입니다.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont 속성

주 응용 프로그램에서 가변 폭 글꼴 설정을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

ProportionalFont 속성을 설정할 때 주 응용 프로그램은 유효성 값을 검사하지 않습니다.

예제

다음은 활성 응용 프로그램의 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 가변 폭 글꼴과 가변 폭 글꼴 크기를 설정하는 예제입니다.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize 속성

주 응용 프로그램에서 가변 폭 글꼴 크기 설정을 반환하거나 설정합니다. 읽기/쓰기가 가능한 Single 형식입니다.

주의

ProportionalFontSize 속성을 설정할 때 주 응용 프로그램은 유효성 값을 검사하지 않습니다. 숫자가 아닌 값처럼 유효하지 않은 값을 입력하면 주 응용 프로그램은 크기를 0포인트로 설정합니다. 1/2포인트 크기를 입력할 수 있으며 소수를 입력할 경우 1/2포인트로 올림하거나 내림할 수 있습니다.

예제

다음은 활성 응용 프로그램의 영어/서유럽/기타 라틴 스크립트 문자 집합에 대해 가변 폭 글꼴과 가변 폭 글꼴 크기를 설정하는 예제입니다.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

선택한 명령 모음을 사용자가 수정하지 못하게 보호하는 방법을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoBarProtection 형식입니다.

MsoBarProtection은 다음 MsoBarProtection 상수 중 하나가 될 수 있습니다.
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

주의

msoBarNoCustomize 상수를 사용하면 사용자가 단추 추가/제거 메뉴를 사용할 수 없게 됩니다. 사용자는 이 메뉴로 도구 모음을 사용자 지정합니다.

예제

다음은 명령 모음의 컬렉션에서 "Forms"라는 명령 모음을 찾는 예제입니다. 명령 모음을 찾으면 화면에 표시하고 고정된 상태로 보호합니다.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이 창이 더 작은 크기로 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

이 속성은 Microsoft Office에서는 사용되지 않습니다.

예제

다음은 Office 길잡이를 사용하기 전에 특정 위치에 Office 길잡이를 표시하고 몇 가지 옵션을 설정하는 예제입니다.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount 속성

지정한 데이터 원본의 레코드 수를 나타내는 Long 형식을 반환합니다. 읽기 전용입니다.

expression.RowCount

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 비어 있는 Region 필드로 모든 레코드를 제거하는 새 필터를 추가한 다음 활성화된 게시에 필터를 적용하는 예제입니다.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex 속성

같은 고정 영역에 있는 다른 명령 모음과 관련하여 명령 모음의 고정 순서를 반환하거나 설정합니다. 0보다 큰 정수나 MsoBarRow 상수(msoBarRowFirst 또는 msoBarRowLast)를 사용할 수 있습니다. 읽기/쓰기가 가능한 Long 형식입니다.

주의

여러 명령 모음에서 같은 행 인덱스를 공유할 수 있으며 인덱스 번호가 낮은 명령 모음부터 먼저 고정됩니다. 둘 이상의 명령 모음이 같은 행 인덱스를 공유할 경우 가장 최근 지정된 명령 모음이 해당 그룹에 제일 먼저 나타납니다.

예제

다음은 "Custom"이라는 명령 모음을 기본 위치에서 110픽셀만큼 왼쪽으로 이동하여 명령 모음의 위치를 조정하고, 해당 명령 모음이 제일 먼저 고정되도록 행 인덱스를 msoBarRowFirst로 변경하는 예제입니다.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder 속성

ScopeFolder 개체를 반환합니다.

expression.ScopeFolder

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 내 컴퓨터 각 디렉터리의 루트 경로를 나타내는 예제입니다. 이 정보를 검색하려면 먼저 내 컴퓨터의 루트에 ScopeFolder 개체를 가져와야 합니다. ScopeFolder의 경로는 항상 "*"로 표시됩니다. 모든 ScopeFolder 개체로 루트 개체는 ScopeFolders 컬렉션을 포함합니다. 이 예제는 ScopeFolders 컬렉션을 통해 반복하고 그 안에 각 ScopeFolder 개체의 경로를 나타냅니다. 이러한 ScopeFolder 개체의 경로는 "A:\", "C:\" 등으로 지정합니다.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders 속성

ScopeFolders 컬렉션을 반환합니다. 컬렉션의 항목은 상위 ScopeFolder 개체의 하위 폴더에 대응합니다.

expression.ScopeFolders

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 내 컴퓨터 각 디렉터리의 루트 경로를 나타내는 예제입니다. 이 정보를 검색하려면 먼저 내 컴퓨터의 루트에서 ScopeFolder 개체를 가져와야 합니다. ScopeFolder는 항상 "*"로 표시합니다. 모든 ScopeFolder 개체로 루트 개체는 ScopeFolders 컬렉션을 포함합니다. 이 예제는 ScopeFolders 컬렉션을 통해 반복하고 그 안에 각 ScopeFolder 개체의 경로를 나타냅니다. 이러한 ScopeFolder 개체의 경로는 "A:\", "C:\"로 지정합니다.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText 속성

스크립트 블록에 포함되는 텍스트를 설정하거나 반환합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

Microsoft Office 주 응용 프로그램은 스크립트 구문을 검사하지 않습니다. ScriptText 속성은 Script 개체의 기본 속성입니다.

예제

다음은 활성 통합 문서의 첫 번째 워크시트에서 첫 번째 스크립트의 텍스트를 설정하는 예제입니다.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders 속성

SearchFolders 컬렉션을 반환합니다.

expression.SearchFolders

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 SearchFolders 컬렉션에 있는 ScopeFolder 개체의 현재 번호를 나타내는 예제입니다. 더 자세한 예제를 보려면 SearchFolders 컬렉션 항목을 참고하십시오.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes 속성

SearchScopes 컬렉션을 반환합니다.

expression.SearchScopes

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 SearchScopes 컬렉션에 있는 현재 사용 가능한 모든 SearchScope 개체를 나타내는 예제입니다.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders 속성

True이면 검색 시 LookIn 속성에 지정된 폴더의 하위 폴더까지 모두 찾습니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

예제

다음은 My Documents 폴더와 그 하위 폴더에서 이름이 "Cmd"로 시작하는 파일을 검색하는 예제입니다. 검색된 모든 파일의 이름과 위치를 표시합니다.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Visual Basic에서 작업할 때 Office 길잡이가 응용 프로그램과 프로그래밍 도움말을 표시합니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

기본값은 False입니다. SearchWhenProgramming 속성을 사용하는 것은 Office 길잡이 대화 상자에서 옵션 탭에 있는 Office 길잡이 사용의 프로그래밍할 때 해당 제품 도움말과 프로그래밍 도움말 검색 옵션을 사용하는 것과 같습니다.

예제

다음은 Visual Basic에서 작업할 때 응용 프로그램 도움말과 프로그래밍 도움말을 모두 볼 수 있도록 설정하는 예제입니다.

Assistant.SearchWhenProgramming = True


SecondValue 속성

파일 검색 시 선택 요소인 둘째 값 속성 테스트(예: 범위)를 반환합니다. 읽기 전용으로 Variant 형식입니다.

주의

이 속성은 범위를 지정하는 데 사용되며 MsoCondition 상수(msoConditionAnyTimeBetween 또는 msoConditionAnyNumberBetween)와만 사용할 수 있습니다.

예제

다음은 검색 조건의 두 번째 값이 있을 경우 이를 대화 상자에 표시하는 예제입니다. 두 번째 값이 없으면 다른 메시지를 표시합니다.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems 속성

FileDialogSelectedItems 컬렉션을 반환합니다. 이 컬렉션은 FileDialog 개체의 Show 메서드를 사용하여 나타내는 파일 대화 상자에서 사용자가 선택한 파일의 경로 목록을 포함합니다.

expression.SelectedItems

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape 속성

Microsoft Office 주 응용 프로그램에 따라 Shape 개체나 InlineShape 개체를 반환합니다. 읽기 전용으로 Object 형식입니다.

주의

Microsoft Excel과 PowerPoint에서 Shape 속성은 Shape 개체를 반환합니다. Word에서 Shape 속성은 스크립트 앵커가 부동이면 Shape 개체를 반환하지만 인라인 앵커이면 InlineShape 개체를 반환합니다.

예제

다음은 Scripts 컬렉션에서 첫 번째 스크립트와 연결된 도형을 구하고 활성 통합 문서의 첫 번째 워크시트에서 이를 삭제하는 예제입니다.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText 속성

메뉴나 하위 메뉴, 바로 가기 메뉴에 단추가 나타날 때 단추 컨트롤 옆에 표시되는 바로 가기 키 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

OnAction 매크로가 있는 명령 모음 단추에서만 이 속성을 설정할 수 있습니다.

예제

다음은 Microsoft Excel 워크시트 메뉴 모음에서 파일 메뉴의 열기 명령에 대한 바로 가기 텍스트를 메시지 상자에 표시하는 예제입니다.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate 속성

문서에 첨부한 Signature 개체에 대응하는 디지털 인증서 날짜와 시간을 나타내는 Variant 형식을 반환합니다. 읽기 전용입니다.

expression.SignDate

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하여 Word 문서를 열고 현재 함수를 호출합니다. 함수는 사용자가 선택한 디지털 서명이 12개월 내에 만료되지 않을 것이라는 사실을 확인하는 테스트를 합니다. 12개월 내에 만료가 되는 경우에는 인증서가 첨부되지 않습니다.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer 속성

Signature 개체에 대응하는 디지털 인증서를 첨부한 사람의 이름을 나타내는 String 형식을 문서에 반환합니다. 읽기 전용입니다.

expression.Signer

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Microsoft Word 현재 문서에 사용할 디지털 서명을 선택하는 사용자를 확인하는 예제입니다. 이 예제를 사용하려면 Word 문서를 열고 인증서 발급자의 함수 이름과 Digital Certificates 대화 상자에서 디지털 인증서의 Issued By 필드와 Issued To 필드에 일치하는 인증서 서명자 이름을 전달합니다. 이 예제는 새로운 서명을 디스크에 커밋하기 전에 만료되지 않았는지 등의 확실한 기준에 부합하는 사용자를 선택하는 디지털 서명 확인을 테스트합니다.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 길잡이가 애니메이션에 해당하는 소리를 냅니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

기본값은 True입니다. Sounds 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 Office 길잡이 사용의 소리 설정 옵션을 사용하는 것과 같습니다. 사운드 카드가 설치되어 있지 않으면 속성을 설정해도 아무런 효과가 없습니다.

예제

다음은 Office 길잡이를 화면에 표시하고 애니메이션과 소리를 설정하는 예제입니다.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State 속성

CommandBarButton 개체에 State 속성을 적용할 경우

명령 모음 단추 컨트롤의 모양을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoButtonState 형식입니다.

MsoButtonState는 MsoButtonState 상수 중 하나가 될 수 있습니다.
msoButtonDown
msoButtonMixed
msoButtonUp

expression.State

expression 필수 요소로서 CommandBarButton 개체를 반환하는 식입니다.

HTMLProject 개체에 State 속성을 적용할 경우

HTMLProject 개체의 현재 상태를 반환합니다. 읽기 전용인 MsoHTMLProjectState 형식입니다.

MsoHTMLProjectState는 MsoHTMLProjectState 상수 중 하나가 될 수 있습니다.
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expression.State

expression 필수 요소로서 HTMLProject 개체를 반환하는 식입니다.

예제

CommandBarButton 개체에 적용할 경우

다음은 Custom이라는 명령 모음을 만들고 빈 단추 두 개를 추가하는 예제입니다. 그런 다음 왼쪽의 단추를 msoButtonUp으로 오른쪽의 단추를 msoButtonDown으로 설정합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style 속성

CommandBarButton 개체에 적용될 경우의 Style 속성

명령 모음의 단추 컨트롤이 표시되는 방법을 반환하거나 설정합니다. 읽기/쓰기가 가능한 MsoButtonStyle 형식입니다.

MsoButtonStyle은 다음 MsoButtonStyle 상수 중 하나가 될 수 있습니다.
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

CommandBarComboBox 개체에 적용될 경우의 Style 속성

명령 모음의 콤보 상자 컨트롤이 표시되는 방법을 반환하거나 설정합니다. MsoComboStyle 상수인 msoComboLabel 또는 msoComboNormal 중 하나가 될 수 있습니다. 읽기/쓰기가 가능한 MsoComboStyle 형식입니다.

MsoComboStyle은 다음 MsoComboStyle 상수 중 하나가 될 수 있습니다.
msoComboLabel
msoComboNormal

예제

다음은 단추 컨트롤과 콤보 상자 컨트롤이 포함된 바로 가기 메뉴를 만들고 각각의 스타일을 설정하는 예제입니다.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table 속성

메일 병합 레코드를 포함하는 데이터 원본 파일 내에 표 이름을 나타내는 String 형식을 반환합니다. 표 이름이 알려져 있지 않거나 현재 데이터 원본에 적용할 수 없다면 반환된 값은 빈 값일 수도 있습니다. 읽기 전용입니다.

expression.Table

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 표 이름이 현재 비어 있으면 표 이름을 설정하는 예제입니다.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag 속성

프로시저에서 인수로 사용될 수 있는 데이터나 컨트롤을 나타내는 정보 등 명령 모음 컨트롤에 대한 정보를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.Tag

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

이벤트와 같이 트리거될 때 같은 클래스가 중복 호출되지 않게 하려면 이벤트에 고유한 Tag 속성을 정의합니다. 다음은 두 개의 모듈로 해당 개념을 보여주는 예제입니다.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

예제

다음은 사용자 지정 명령 모음에서 단추의 태그를 "Spelling Button"으로 설정하고 메시지 상자에 태그를 표시하는 예제입니다.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

BalloonLabel 또는 BalloonCheckbox 개체: Office 길잡이 풍선의 확인란이나 레이블 옆에 표시된 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

Balloon 개체: Office 길잡이 풍선의 제목 다음이면서 레이블이나 확인란 앞에 표시된 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

CommandBarComboBox 개체: 명령 모음 콤보 상자 컨트롤에 표시되거나 편집 부분에 있는 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

HTMLProjectItem 개체: HTML 편집기에서 HTML 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.Text

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

Balloon, BalloonLabel, BalloonCheckbox 개체의 경우, {type location sizing_factor} 구문을 사용하여 특정 그래픽을 표시할 수 있습니다. type는 bmp(비트맵) 또는 wmf(Windows 메타파일)이고, location은 리소스 ID이거나 경로 및 파일 이름입니다. sizing_factor는 .wmf 파일의 너비를 나타내며 .bmp 파일의 경우 이를 생략합니다.

Balloon 개체는 밑줄이 그어진 텍스트와 16 시스템 색상표 중 한 색이 적용된 텍스트를 지원합니다. 밑줄이 그어진 텍스트를 표시하려면 {ul} 또는 {ul 1} 구문을 사용하고 밑줄을 해제하려면 {ul 0} 구문을 사용합니다. 텍스트 색을 변경하려면 문자 일련 번호{cf number}가 있는 텍스트 문자열을 먼저 변경합니다. 여기서 number는 다음 표에 나열된 시스템 색 번호입니다.

시스템 색 번호 | 색
0 | 검정
1 | 진한 빨강
2 | 진한 녹색
3 | 진한 노랑
4 | 진한 파랑
5 | 진한 자홍
6 | 진한 녹청
7 | 연한 회색
248 | 중간 회색
249 | 빨강
250 | 녹색
251 | 노랑
252 | 파랑
253 | 자홍
254 | 녹청
255 | 흰색

위의 시스템 색 번호와 다른 번호를 지정하면 Office 길잡이 풍선의 텍스트는 검정색이 됩니다.

예제

다음은 "Custom"이라는 새 명령 모음을 만들고 네 개의 목록 항목이 포함된 콤보 상자를 추가하는 예제입니다. Text 속성을 사용하여 항목 3을 기본 목록 항목으로 설정합니다.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

다음은 제목과 텍스트, 세 개의 선택 지역이 포함된 새 Office 길잡이 풍선을 만드는 예제입니다. Text 속성을 사용하여 사용자에게 풍선 관련 설명과 각 텍스트 상자의 레이블을 제공합니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

다음은 밑줄이 그어진 제목 텍스트, 빨간색 텍스트, 밑줄이 그어진 파란색 텍스트가 포함된 새 Office 길잡이 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

다음은 Windows 메타파일이 포함된 새 Office 길잡이 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty 속성

파일 검색 시 파일의 본문이나 속성에서 검색한 단어나 구를 반환하거나 설정합니다. 단어나 구에는 *(별표)나 ?(물음표)와 같은 와일드카드 문자를 사용할 수 있습니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

임의의 문자 하나만 와일드카드 문자로 찾으려면 물음표를 사용합니다. 예를 들어, gr?y를 입력하면 "gray"나 "grey" 중 한 단어라도 포함된 파일은 모두 찾습니다.

문자 수와 상관 없이 와일드카드 문자로 찾으려면 별표를 사용합니다. 예를 들어, San*을 입력하면 "San"으로 시작하는 단어가 포함된 모든 파일을 반환합니다.

예제

다음은 C:\My Documents 폴더와 그 하위 폴더를 검색하여 파일의 본문이나 속성에 "San"으로 시작하는 단어가 있는 파일을 모두 반환하는 예제입니다. TextOrProperty 속성은 검색할 단어를 설정하고 검색 범위를 파일의 본문이나 속성으로 제한합니다.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 Office 응용 프로그램을 열 때마다 Office 길잡이가 해당 팁을 보여 줍니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

주의

기본값은 False입니다. TipOfDay 속성을 사용하는 것은 Office 길잡이 대화 상자의 옵션 탭에서 팁 표시 아래에 있는 시작할 때 '잠깐만'을 표시 옵션을 사용하는 것과 같습니다.

예제

다음은 Office 길잡이를 사용하기 전에 특정 위치에 Office 길잡이를 표시하고 몇 가지 옵션을 설정하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title 속성

FileDialog 개체를 사용하여 표시된 파일 대화 상자의 제목을 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

expression.Title

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 FileDialog 개체를 사용하여 파일 선택 대화 상자와 메시지 상자에 선택한 각 파일을 나타내는 예제입니다.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText 속성

명령 모음 컨트롤의 스크린 팁에 표시되는 텍스트를 반환하거나 설정합니다. 읽기/쓰기가 가능한 String 형식입니다.

주의

기본적으로 Caption 속성의 값은 스크린 팁으로 사용됩니다.

예제

다음은 현재 메뉴 모음의 마지막 컨트롤에 스크린 팁을 추가하는 예제입니다.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Assistant 및 CommandBar 개체에 Top 속성을 적용할 경우

Office 길잡이의 위나 지정한 명령 모음의 위쪽 가장자리에서 화면의 위쪽 가장자리로 포인트 단위로 간격을 설정하거나 반환합니다. 도킹된 명령 모음에 대해서 이 속성은 명령 모음에서 도킹된 영역의 위로 간격을 반환하거나 설정합니다. 읽기/쓰기가 가능한 Long 형식입니다.

expression.Top

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 Top 속성을 적용할 경우

지정한 명령 모음 컨트롤의 위쪽 가장자리에서 화면의 위쪽 가장자리로 픽셀 단위로 간격을 반환합니다. 읽기 전용인 Long 형식입니다.

expression.Top

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

예제

Assistant 및 CommandBar 개체에 적용할 경우

다음은 Office 길잡이를 지정된 좌표로 옮기고 다음 표시를 위해 Top 속성을 설정하는 예제입니다.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

다음은 Custom이라는 고정 명령 모음의 왼쪽 위 모서리를 화면의 왼쪽 끝에서 140픽셀, 화면의 위에서 100픽셀 떨어진 곳에 놓는 예제입니다.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type 속성

CommandBar 개체에 Type 속성을 적용할 경우

명령 모음의 종류를 반환합니다. 읽기 전용인 MsoBarType 형식입니다.

MsoBarType은 MsoBarType 상수 중 하나가 될 수 있습니다.
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expression 필수 요소로서 CommandBar 개체를 반환하는 식입니다.

CommandBarButton, CommandBarComboBox, CommandBarControl 및 CommandBarPopup 개체에 Type 속성을 적용할 경우

명령 모음 컨트롤의 종류를 반환합니다. 읽기 전용인 MsoControlType 형식입니다.

MsoControlType은 MsoControlType 상수 중 하나가 될 수 있습니다.
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expression.Type

expression 필수 요소로서 위의 개체 중 하나를 반환하는 식입니다.

SearchScope 개체에 Type 속성을 적용할 경우

SearchScope 개체 형식에 대응하는 값을 반환합니다. 형식은 FileSearch 개체의 Execute 메서드에서 검색할 파일의 영역을 지정합니다. 읽기 전용인 MsoSearchIn 형식입니다.

MsoSearchIn은 MsoSearchIn 상수 중 하나가 될 수 있습니다.
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expression.Type

expression 필수 요소로서 SearchScope 개체를 반환하는 식입니다.

DocumentProperty 개체에 Type 속성을 적용할 경우

문서 속성 형식을 반환하거나 설정합니다. 기본 제공 문서 속성에 대해 읽기 전용이며, 사용자 지정 문서 속성에 대해서는 읽기/쓰기가 가능합니다.

expression.Type

expression 필수 요소로서 DocumentProperty 개체를 반환하는 식입니다.

주의

반환 값은 MsoDocProperties 상수입니다.

MsoDocProperties는 MsoDocProperties 상수 중 하나가 될 수 있습니다.
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

예제

CommandBar 개체에 적용할 경우

다음은 Custom이라는 명령 모음에서 첫 번째 컨트롤을 찾는 예제입니다. Type 속성을 사용하여 컨트롤이 단추인지 알 수 있습니다. 컨트롤이 단추인 경우에는 표준 도구 모음에 있는 복사 단추 모양을 복사한 다음 컨트롤에 붙여 넣습니다.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

DocumentProperty 개체에 적용할 경우

다음은 문서 속성의 이름, 종류, 값을 표시하는 예제입니다. 사용할 수 있는 DocumentProperty 개체를 프로시저에 전달해야 합니다.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value 속성

DocumentProperty 개체에 Value 속성을 적용할 경우

문서 속성의 값을 반환하거나 설정합니다. 읽기/쓰기가 가능한 Variant 형식입니다.

expression.Value

expression 필수 요소로서 DocumentProperty 개체를 반환하는 식입니다.

주의

컨테이너 응용 프로그램에서 기본적인 문서 속성 하나에 값을 지정하지 않은 경우 지정되지 않은 문서 속성에 대한 Value 속성을 읽으면 오류가 발생합니다.

PropertyTest 개체에 Value 속성을 적용할 경우

파일 검색에 대해 속성 테스트의 값을 반환합니다. 읽기 전용인 Variant 형식입니다.

expression.Value

expression 필수 요소로서 PropertyTest 개체를 반환하는 식입니다.

예제

DocumentProperty 개체에 적용할 경우

다음은 문서 속성의 이름, 종류, 값을 표시하는 예제입니다. 이 예제에서 dp는 사용할 수 있는 DocumentProperty 개체여야 합니다.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

PropertyTest 개체에 적용할 경우

다음은 메시지 상자에서 검색 조건의 값(존재하는 경우)을 표시하는 예제입니다. 두 번째 값이 없으면 다른 메시지를 표시합니다.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible 속성

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

True이면 지정한 개체가 화면에 표시됩니다. 읽기/쓰기가 가능한 Boolean 형식입니다.

expression.Visible

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

주의

새로 만든 사용자 지정 명령 모음의 Visible 속성은 기본적으로 False입니다.

Visible 속성을 True로 설정하려면 먼저 명령 모음의 Enabled 속성을 True로 설정해야 합니다.

예제

다음은 명령 모음 컬렉션에서 Forms 명령 모음을 찾아 이를 화면에 표시하고 고정 상태를 보호하는 예제입니다.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

다음은 Office 길잡이를 화면에 표시하고 애니메이션을 설정하는 예제입니다.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width 속성

지정한 명령 모음이나 명령 모음 컨트롤의 너비를 픽셀 단위로 반환하거나 설정합니다. 읽기/쓰기가 가능한 Integer 형식입니다.

expression.Width

expression 필수 요소로서 적용 대상 목록의 개체를 반환하는 식입니다.

예제

다음은 Custom이라는 명령 모음에 사용자 지정 컨트롤을 추가하는 예제입니다. 사용자 지정 컨트롤의 높이를 명령 모음 높이의 두 배로 설정하고 너비를 50픽셀로 설정합니다. 명령 모음이 컨트롤에 맞게 자동으로 크기가 조절됩니다.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change 이벤트

사용자가 명령 모음 콤보 상자에서 선택 항목을 변경할 때 발생합니다.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

주의

Change 이벤트는 CommandBarComboBox 개체에 의해 인식됩니다. 특정 CommandBarComboBox 컨트롤의 Change 이벤트를 반환하려면 WithEvents 키워드를 사용하여 변수를 선언한 다음 CommandBarComboBox 컨트롤에 변수를 설정합니다. Change 이벤트가 트리거될 때 컨트롤의 OnAction 속성으로 지정한 매크로나 코드가 실행됩니다.

예제

다음은 선택 항목 네 개를 포함한 CommandBarComboBox 컨트롤로 명령 모음을 만드는 예제입니다. 콤보 상자는 CommandBarComboBox_Change 이벤트를 통해 상호 작용에 응답합니다.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

위의 예제는 다음 코드를 기반으로 하는데 코드는 VBA 프로젝트의 클래스 모듈에 저장됩니다.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click 이벤트

사용자가 CommandBarButton 개체를 클릭할 때 발생합니다.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Click 이벤트 구문에는 다음 표에 설명된 두 인수가 포함됩니다.

인수 | 설명
Ctrl | 필수 요소로서 CommandBarButton 형식입니다. 이벤트를 발생시킨 CommandBarButton 컨트롤을 나타냅니다.
CancelDefault | 필수 요소로서 Boolean 형식입니다. False이면 다른 프로세스나 추가 기능에 의해 취소되지 않는 경우 CommandBarButton 컨트롤과 관련된 기본 동작이 발생합니다.

주의

Click 이벤트는 CommandBarButton 개체에 의해 인식됩니다. 특정 CommandBarButton 컨트롤의 Click 이벤트를 반환하려면 WithEvents 키워드를 사용하여 변수를 선언한 다음 컨트롤에 변수를 설정합니다.

예제

다음은 통합 문서를 쉼표로 구분된 값(.CSV) 파일로 저장할 수 있는 주 응용 프로그램의 파일 메뉴에서 새 명령 모음 단추를 만드는 예제입니다. 이 예제는 모든 응용 프로그램에서 사용할 수 있지만 CSV로 저장하는 컨텍스트는 Microsoft Excel에만 적용할 수 있습니다.

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide 이벤트

MsoEnvelope 개체에 해당하는 사용자 인터페이스(UI)가 숨겨질 때 발생합니다.

Private Sub object_EnvelopHide()

object 클래스 모듈에서 이벤트로 선언된 MsoEnvelope 형식의 개체를 참조하는 변수입니다.

예제

다음은 MsoEnvelope 개체에 대한 이벤트 처리 루틴을 설정하는 예제입니다.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow 이벤트

MsoEnvelope 개체에 해당하는 사용자 인터페이스가 표시될 때 발생합니다.

Private Sub object_EnvelopShow()

object 클래스 모듈에서 이벤트로 선언된 MsoEnvelope 형식의 개체를 참조하는 변수입니다.

예제

다음은 MsoEnvelope 개체에 대한 이벤트 처리 루틴을 설정하는 예제입니다.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate 이벤트

명령 모음이 변경되면 발생합니다.

Private Sub CommandBars_OnUpdate()

주의

OnUpdate 이벤트는 CommandBar 개체 및 모든 명령 모음 컨트롤에 의해 인식됩니다. 이 이벤트는 명령 모음 또는 명령 모음 컨트롤이 변경되거나 명령 모음 또는 명령 모음 컨트롤의 상태가 변경될 경우 트리거됩니다. 예를 들어, 텍스트나 셀 선택 시 이러한 변경 내용이 발생할 수 있습니다. 일상적인 사용 시 OnUpdate 이벤트가 여러 번 발생할 수 있으므로 개발자는 이 이벤트를 사용할 때 주의를 기울여야 합니다. 이 이벤트는 COMAddIn에 의해 사용자 지정 명령 모음이 추가되거나 제거되었는지 여부를 확인할 때 사용해야 합니다.


숨겨진 언어 요소

숨겨진 언어 요소에 대한 도움말을 요청했습니다. 따라서 프로그래밍 방식으로 액세스할 수 없습니다.


풍선 만들기 및 수정

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선을 사용하여 사용자에게 정보를 제공할 수 있습니다. 풍선에 포함되는 정보는 간단한 메시지이거나 세부 정보 요청, 사용자가 선택할 수 있는 목록입니다. Office 길잡이 풍선은 런타임 시 만들거나, 화면에 표시하고, 닫고, 변경할 수 있습니다.

다음 표는 새로 만든 풍선이나 기존 풍선의 모양 또는 기능을 바꿀 때 가장 일반적으로 사용되는 속성과 메서드를 보여 줍니다. Show 메서드를 사용하면 풍선이 표시되거나 새로 고쳐지므로 풍선의 변경 내용은 다음에 Show 메서드를 사용할 때 나타납니다.

속성 또는 메서드 | 설명
Heading | Office 길잡이 풍선 위쪽에 굵게 나타나는 텍스트를 지정합니다.
Text | Office 길잡이 풍선 본문에 나타나는 텍스트를 지정합니다. 이 텍스트는 제목 다음에 그리고 확인란, 레이블, 단추 등의 앞에 나타납니다.
Labels | 풍선의 레이블 컬렉션을 반환합니다. 레이블의 서식은 BalloonType 속성으로 지정하며 레이블은 풍선 텍스트 다음에 나타납니다. 레이블 목록은 번호 매기기나 글머리 기호, 단추 목록으로 나타납니다. 확인란과 달리 단추를 클릭하면 사용자가 선택한 내용이 바로 등록됩니다.
CheckBoxes | 풍선의 확인란 컬렉션을 반환합니다. 사용자가 선택한 내용을 등록하려면 확인란을 선택하고 풍선 아래쪽에서 적절한 단추(예: 확인 또는 다음)를 클릭합니다.
Close | 모덜리스 풍선을 닫거나 해제하지만 개체 변수는 해제하지 않습니다. 풍선에 지정된 개체 변수는 계속 유효하므로 이를 다시 표시하거나 수정 후 다시 표시할 수 있습니다. 이 메서드는 모덜리스 풍선에만 사용할 수 있습니다.
Show | 풍선과 풍선에 포함된 개체를 모두 사용자에게 표시합니다. 이 메서드는 Balloon 개체에만 사용하고 Assistant 개체에는 Visible 속성을 사용합니다.

다음은 사용자가 프린터를 선택할 때 도와줄 풍선을 만드는 예제입니다. 풍선의 정보가 필요 없는 사용자가 선택할 수 있는 확인란도 따로 만듭니다.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

풍선 만들기

새 풍선을 만들려면 Assistant 개체의 NewBalloon 속성을 사용합니다. 새로 만든 풍선은 비어 있습니다. Heading 속성을 사용하여 제목을 추가하고 Text 속성을 사용하여 풍선 본문에 텍스트를 추가한 후 필요하면 컨트롤도 추가합니다. 끝으로 Show 메서드를 사용하여 풍선을 표시합니다. Show 메서드는 풍선을 바로 화면에 표시하므로 이 메서드는 풍선의 다른 속성을 모두 설정한 후에 사용해야 합니다. 다음은 새 풍선을 만들고 제목과 본문을 설정하며 사용자가 선택할 수 있는 세 개의 확인란 컨트롤을 만드는 예제입니다.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

여러 풍선 관리

Office 길잡이에는 Balloons 컬렉션이 없습니다. 여러 개의 풍선을 관리하려면 각 풍선마다 별도의 개체 변수를 설정하고 필요에 따라 변수를 참조합니다. 또는 Balloon 개체 변수의 배열을 만들어 풍선을 각 배열에 지정할 수도 있습니다. 다음은 배열을 만들고 빈 Balloon 개체 세 개를 배열에 추가하는 예제입니다.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Macintosh 키워드 도움말 보기

Macintosh에서만 사용되는 Visual Basic 키워드에 관한 도움말을 요청했습니다. 이 키워드에 관한 자세한 정보는 Microsoft Office Macintosh Edition에 포함된 언어 참조 도움말을 참고하십시오. Macintosh용 Office 2000의 한글 버전은 없습니다.


런타임 시 풍선 수정

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이 풍선을 만든 후 풍선 제목이나 텍스트에 비트맵, 아이콘, WIndows 메타파일을 추가하여 풍선을 사용자 지정할 수 있습니다. 풍선에 확인란이나 단추 같은 컨트롤을 추가하여 사용자가 풍선에 있는 항목을 클릭하면 사용자에게 응답할 수 있도록 지정할 수 있습니다. 색, 밑줄 등의 텍스트 특성을 사용하여 풍선에 있는 텍스트 요소를 강조할 수도 있습니다.

풍선에 아이콘 및 비트맵 추가

아이콘을 추가하려면 Balloon 개체의 Icon 속성에 MsoIconType 상수를 지정합니다. Office 길잡이 풍선 텍스트에 비트맵이나 WIndows 메타파일을 추가하려면 제목이나 텍스트, 확인란, 레이블의 Text 속성을 설정할 때 종류, 위치, 크기 등을 지정합니다. 다음은 풍선 텍스트에 Windows 비트맵 파일을 삽입하는 예제입니다.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

풍선에 컨트롤 추가

풍선에 추가할 수 있는 컨트롤 종류에는 확인란과 단추가 있습니다. 풍선을 만들면 기본적으로 다섯 개의 확인란이 생기며 이 중 아무 컨트롤에나 텍스트를 지정하면 해당 컨트롤이 화면에 표시됩니다. 마찬가지로 다섯 개의 레이블 단추가 있으며(풍선 종류가 msoBalloonTypeButtons일 때) 확인란과 같은 방법으로 화면에 표시할 수 있습니다. 풍선에 다섯 개가 넘는 확인란이나 단추를 추가하면 오류가 발생합니다.

컨트롤의 Text 속성을 변경하여 풍선에 있는 컨트롤의 모양을 바꿀 수 있습니다. 또한 풍선의 확인란이나 단추를 선택할 때 실행되는 프로시저를 변경하여 해당 컨트롤의 기능을 바꿀 수도 있습니다.

다음은 제목과 텍스트, 세 개의 선택 지역이 있는 풍선을 만드는 예제입니다. 사용자가 하나 이상의 확인란을 선택하고 확인을 클릭하면 해당 프로시저가 호출됩니다.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

풍선 텍스트에 색 및 밑줄 추가

풍선 텍스트에 추가할 수 있는 특성에는 색과 밑줄, 두 가지가 있습니다. 16가지 시스템 색을 사용하여 텍스트를 강조하거나 밑줄을 그어 텍스트 모양을 변경할 수 있습니다. 텍스트 특성은 풍선의 텍스트에 포함되며 코드에서는 중괄호로 묶입니다. 다음은 밑줄이 그어진 제목 텍스트와 빨간색 텍스트, 밑줄이 그어진 파란색 텍스트로 구성된 새 Office 길잡이 풍선을 만드는 예제입니다.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


컬렉션에서 개체 반환

Item 속성은 컬렉션에서 특정 개체를 반환합니다. 다음은 첫째 명령 모음을 나타내는 CommandBars 컬렉션의 CommandBar 개체로 cmdbar 변수를 설정하는 예제입니다.

Set cmdbar = CommandBars.Item(1)

Item 속성은 대부분의 컬렉션에서 기본 속성이므로 Item 키워드를 생략하면 같은 문을 더욱 간결하게 작성할 수 있습니다.

Set cmdbar = CommandBars(1)

특정 컬렉션에 대한 자세한 내용은 해당 컬렉션의 도움말 항목이나 Item 속성을 참고하십시오.


Office 길잡이 사용

이 도움말 항목의 일부 내용은 특정 언어에만 해당하는 기능을 사용할 수 있는 경우에만 적용됩니다.

Office 길잡이는 대개 사용자가 응용 프로그램에서 작업 중일 때 풍선과 함께 나타나 메시지와 도움말을 제공합니다. 그러나 메시지 풍선이 없어도 Office 길잡이를 유용하게 사용할 수 있습니다. Animation 속성을 설정하면 길잡이만 있어도 주의를 끌 수 있습니다. Assistant 개체의 다른 속성을 사용하면 표준 Office 도움말이 사용자에게 제공되는 방식을 사용자 지정할 수 있습니다.

Office 길잡이 대화 상자의 옵션 탭에 나열되는 모든 속성은 런타임 시 설정할 수 있는 길잡이 속성에 해당합니다. 다음 표에 나열된 속성은 Office 길잡이를 수정할 때 일반적으로 사용됩니다.

속성 | 설명
Animation | Office 길잡이의 애니메이션을 지정합니다. 계속 움직이는 애니메이션도 있고 한 번만 움직이는 애니메이션도 있습니다.
FileName | Office 길잡이에 확장명이 .act인 전체 파일 이름을 지정합니다. 예를 들어, Office 길잡이 재롱이의 파일 이름은 Rocky.acs입니다.
Name | Office 길잡이 이름을 반환합니다. 사용자가 선택한 Office 길잡이를 계속 추적하려면 이 속성을 사용합니다.
Visible | 길잡이를 화면에 표시할 지를 지정합니다.

다음은 재롱이를 Office 길잡이로 선택하고, 활성화하여 화면에 표시한 다음 애니메이션을 선택하고 여러 옵션을 설정하는 예제입니다.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Microsoft Office에 함께 설치할 수 있는 Office 길잡이 캐릭터는 여섯 가지가 있지만 한 번에 하나의 길잡이만 활성화할 수 있습니다. Office 길잡이 갤러리에서 다른 길잡이를 선택하거나 프로그래밍 방식으로 길잡이를 선택할 수 있습니다. 설치된 길잡이 캐릭터 파일을 수정할 수는 없으며 제공된 파일 대신 직접 만든 캐릭터 파일을 사용할 수도 없습니다.


사용할 수 없는 도움말 항목

Microsoft Office Visual Basic 도움말을 설치하지 않았거나, 찾을 수 없거나, 제거되었으므로 도움말 항목을 표시할 수 없습니다.

Microsoft Office Visual Basic 도움말 설치

  1. 제어판에서 프로그램 추가/삭제 또는 프로그램 추가/제거를 두 번 클릭합니다.
  2. 프로그램 변경 또는 제거 탭에서 설치된 Microsoft Office를 클릭한 다음 변경을 클릭합니다.
  3. 기능 추가 또는 제거를 클릭한 다음 기능 목록에서 Office 공유 기능을 확장합니다.
  4. 기능 목록에서 Visual Basic for Applications를 확장한 다음 Visual Basic 도움말 아이콘을 클릭하여 설치 선택 사항을 확인합니다.
  5. 내 컴퓨터에서 실행 또는 네트워크에서 실행을 클릭한 다음 업데이트를 클릭합니다.


Add 메서드(Microsoft Word)

Microsoft Word에서 CommandBarControls 개체 Add 메서드의 Temporary 인수는 항상 무시됩니다. 따라서 명령 모음의 메뉴 모음에 컨트롤 단추를 추가할 때는 Temporary 인수를 True로 설정한 것과 관계없이 Normal.dot 템플릿은 남게 됩니다. Nornal.dot 템플릿에서 필요 없는 메뉴 항목을 제거하려면 다음 메서드 중의 하나를 사용할 수 있습니다.

  1. Delete Normal.dot은 필수 요소로 Normal 기본 템플릿을 다시 만들거나 도구 모음과 같은 Normal template에 만들어진 다른 변경 내용을 제거하는 Word가 필요합니다. Normal 템플릿에 의해 모든 Word 문서가 결정되기 때문에 체계적으로 하기 보다는 수동으로 템플릿을 삭제할 필요가 있습니다.
  2. Reset command bars는 모든 명령 모음이나 지정한 명령 모음만을 재설정하는 프로시저를 만들 수 있습니다. 다음은 메뉴 모음과 도구 모음을 포함한 모든 명령 모음을 재설정하는 예제입니다.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    다음은 Word의 모든 도구 모음 대신 메뉴 모음에만 항목을 재설정하는 예제입니다.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context 속성

Microsoft Word에서 Context 속성은 읽기 전용이고 지정한 CommandBar 개체를 포함하는 문서와 관련된 템플릿의 전체 이름과 경로를 반환합니다.


새 이벤트

 새 메서드

 새 개체

 새 속성(알파벳순)

 새 속성(개체별)


CommandBarComboBox 개체


CommandBarButton 개체


MsoEnvelope 개체
EnvelopeShow 이벤트


MsoEnvelope 개체
EnvelopeHide 이벤트


CommandBars 컬렉션 개체


새 메서드

 새 개체

 새 속성(알파벳순)

 새 속성(개체별)

 Microsoft Office 개발자를 위한 새로운 기능


런타임 시 풍선 수정

 Office 길잡이 개요


바로 가기 메뉴 추가 및 표시

 도구 모음 추가 및 수정

 명령 모음 사용


Assistant 개체

 Balloon 개체

 풍선 만들기 및 수정

 Office 길잡이 개요


Animation 속성

 풍선 만들기 및 수정

 FileName 속성

 Microsoft Office 개체


바로 가기 메뉴 추가 및 표시

 메뉴 모음과 메뉴 항목 추가 및 관리

 도구 모음 추가 및 수정

 Microsoft Office 개체


BalloonCheckBoxes 컬렉션 개체

 BalloonLabels 컬렉션 개체

 CommandBarControls 컬렉션 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 PropertyTests 컬렉션 개체


메뉴 모음과 메뉴 항목 추가 및 관리

 도구 모음 추가 및 수정

 명령 모음 사용


바로 가기 메뉴 추가 및 표시

 메뉴 모음과 메뉴 항목 추가 및 관리

 명령 모음 사용


Assistant 개체

 풍선 만들기 및 수정

 런타임 시 풍선 수정

 Microsoft Office 개체


Assistant 개체


AnswerWizardFiles 컬렉션 개체

 CommandBarControls 컬렉션 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 FileDialogFilters 컬렉션

 FileTypes 컬렉션

 NewFile 개체

 ODSOFilters 개체

 PropertyTests 컬렉션 개체

 Scripts 컬렉션 개체

 SearchFolders 컬렉션

 SignatureSet 컬렉션
CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 Microsoft Office 개체
Add 메서드(Microsoft Word)


ScopeFolder 개체
Add 메서드


OfficeDataSourceObject 개체


CommandBarComboBox 개체

 FileDialogFilters 컬렉션
AddItem 메서드

 CommandBarComboBox 개체

 Enabled 속성


AnswerWizard 개체


Balloon 개체


SignatureSet 컬렉션


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체


AnswerWizardFiles 컬렉션 개체

 CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체

 DocumentProperty 개체

 FileDialogFilters 컬렉션

 ODSOFilters 개체

 Script 개체

 Scripts 컬렉션 개체

 Signature 개체


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체

 FileDialog 개체

 FileSearch 개체


FindControls 메서드


COMAddIns 컬렉션 개체

 FileDialogFilters 컬렉션

 FileDialogSelectedItems 컬렉션

 HTMLProjectItems 컬렉션 개체

 ODSOColumns 개체

 ODSOFilters 개체

 Scripts 컬렉션 개체


HTMLProjectItem 개체


Assistant 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체

 OfficeDataSourceObject 개체


FileSearch 개체
FileSearch 개체


HTMLProject 개체

 HTMLProjectItem 개체

 OfficeDataSourceObject 개체


HTMLProject 개체


FileSearch 개체


CommandBars 컬렉션 개체
SetFocus 메서드


FileTypes 컬렉션

 NewFile 개체

 PropertyTests 컬렉션 개체

 SearchFolders 컬렉션


ResetTips 메서드


Assistant 개체
Reset 메서드


Balloon 개체

 FileDialog 개체
BalloonCheckBoxes 컬렉션 개체

 풍선 만들기 및 수정

 Execute 메서드

 NewBalloon 속성


CommandBar 개체


COMAddIns 컬렉션 개체


새 이벤트

 새 개체

 새 속성(알파벳순)

 새 속성(개체별)

 Microsoft Office 개발자를 위한 새로운 기능


ClearFileList 메서드

 ResetFileList 메서드
Application 속성

 Creator 속성

 Files 속성

 Parent 속성


Add 메서드

 Delete 메서드
Application 속성

 Count 속성

 Creator 속성

 Item 속성

 Parent 속성


Animation 속성

 Application 속성

 AssistWithAlerts 속성

 AssistWithHelp 속성

 AssistWithWizards 속성

 BalloonError 속성

 Creator 속성

 FeatureTips 속성

 FileName 속성

 GuessHelp 속성

 HighPriorityTips 속성

 Item 속성

 KeyboardShortcutTips 속성

 Left 속성

 MouseTips 속성

 MoveWhenInTheWay 속성

 Name 속성

 NewBalloon 속성

 On 속성

 Parent 속성

 Reduced 속성

 SearchWhenProgramming 속성

 Sounds 속성

 TipOfDay 속성

 Top 속성

 Visible 속성


Animation 속성

 Application 속성

 BalloonType 속성

 Button 속성

 Callback 속성

 Checkboxes 속성

 Creator 속성

 Heading 속성

 Icon 속성

 Labels 속성

 Mode 속성

 Name 속성

 Parent 속성

 Private 속성

 Text 속성
Microsoft Office 개체


Microsoft Office 개체


Microsoft Office 개체
BalloonLabels 컬렉션 개체


Item 메서드

 Update 메서드
Application 속성

 Count 속성

 Creator 속성

 Parent 속성


AdaptiveMenu 속성

 Application 속성

 BuiltIn 속성

 Context 속성

 Controls 속성

 Creator 속성

 Enabled 속성

 Height 속성

 Id 속성

 Index 속성

 Left 속성

 Name 속성

 NameLocal 속성

 Parent 속성

 Position 속성

 Protection 속성

 RowIndex 속성

 Top 속성

 Type 속성

 Visible 속성

 Width 속성
Microsoft Office 개체
CommandBars 컬렉션 개체


Click 이벤트
Copy 메서드

 CopyFace 메서드

 Delete 메서드

 Execute 메서드

 Move 메서드

 PasteFace 메서드

 Reset 메서드

 SetFocus 메서드
Application 속성

 BeginGroup 속성

 BuiltIn 속성

 BuiltInFace 속성

 Caption 속성

 Creator 속성

 DescriptionText 속성

 Enabled 속성

 FaceId 속성

 Height 속성

 HelpContextId 속성

 HelpFile 속성

 HyperlinkType 속성

 Id 속성

 Index 속성

 IsPriorityDropped 속성

 Left 속성

 Mask 속성

 OLEUsage 속성

 OnAction 속성

 Parameter 속성

 Parent 속성

 Picture 속성

 Priority 속성

 ShortcutText 속성

 State 속성

 Style 속성

 Tag 속성

 TooltipText 속성

 Top 속성

 Type 속성

 Visible 속성

 Width 속성
Microsoft Office 개체


Change 이벤트
AddItem 메서드

 Clear 메서드

 Copy 메서드

 Delete 메서드

 Execute 메서드

 Move 메서드

 RemoveItem 메서드

 Reset 메서드

 SetFocus 메서드
Application 속성

 BeginGroup 속성

 BuiltIn 속성

 Caption 속성

 Creator 속성

 DescriptionText 속성

 DropDownLines 속성

 DropDownWidth 속성

 Enabled 속성

 Height 속성

 HelpContextId 속성

 HelpFile 속성

 Id 속성

 Index 속성

 IsPriorityDropped 속성

 Left 속성

 List 속성

 ListCount 속성

 ListHeaderCount 속성

 ListIndex 속성

 OLEUsage 속성

 OnAction 속성

 Parameter 속성

 Parent 속성

 Priority 속성

 Style 속성

 Tag 속성

 Text 속성

 TooltipText 속성

 Top 속성

 Type 속성

 Visible 속성

 Width 속성


Application 속성

 BeginGroup 속성

 BuiltIn 속성

 Caption 속성

 Creator 속성

 DescriptionText 속성

 Enabled 속성

 Height 속성

 HelpContextId 속성

 HelpFile 속성

 Id 속성

 Index 속성

 IsPriorityDropped 속성

 Left 속성

 OLEUsage 속성

 OnAction 속성

 Parameter 속성

 Parent 속성

 Priority 속성

 Tag 속성

 TooltipText 속성

 Top 속성

 Type 속성

 Visible 속성

 Width 속성
Microsoft Office 개체
CommandBarControls 컬렉션 개체


Add 메서드
Application 속성

 Count 속성

 Creator 속성

 Item 속성

 Parent 속성
Microsoft Office 개체


Application 속성

 BeginGroup 속성

 BuiltIn 속성

 Caption 속성

 CommandBar 속성

 Controls 속성

 Creator 속성

 DescriptionText 속성

 Enabled 속성

 Height 속성

 HelpContextId 속성

 HelpFile 속성

 Id 속성

 Index 속성

 IsPriorityDropped 속성

 Left 속성

 OLEMenuGroup 속성

 OLEUsage 속성

 OnAction 속성

 Parameter 속성

 Parent 속성

 Priority 속성

 Tag 속성

 TooltipText 속성

 Top 속성

 Type 속성

 Visible 속성

 Width 속성
Microsoft Office 개체


OnUpdate 이벤트
Add 메서드

 FindControl 메서드

 FindControls 메서드

 ReleaseFocus 메서드
ActionControl 속성

 ActiveMenuBar 속성

 AdaptiveMenus 속성

 Application 속성

 Count 속성

 Creator 속성

 DisableAskAQuestionDropdown 속성

 DisableCustomize 속성

 DisplayFonts 속성

 DisplayKeysInTooltips 속성

 DisplayTooltips 속성

 Item 속성

 LargeButtons 속성

 MenuAnimationStyle 속성

 Parent 속성
Microsoft Office 개체


Delete 메서드
Application 속성

 Creator 속성

 LinkSource 속성

 LinkToContent 속성

 Name 속성

 Parent 속성

 Type 속성

 Value 속성
Microsoft Office 개체


AllowMultiSelect 속성

 Application 속성

 ButtonName 속성

 Creator 속성

 DialogType 속성

 FilterIndex 속성

 Filters 속성

 InitialFileName 속성

 InitialView 속성

 Item 속성

 Parent 속성

 SelectedItems 속성

 Title 속성


Application 속성

 Creator 속성

 Description 속성

 Extensions 속성

 Parent 속성
FileDialog 개체

 FileDialogFilters 컬렉션

 FileDialogSelectedItems 컬렉션


Add 메서드

 Clear 메서드

 Delete 메서드

 Item 메서드
Application 속성

 Count 속성

 Creator 속성

 Parent 속성
FileDialog 개체

 FileDialogFilter 개체

 FileDialogSelectedItems 컬렉션


Item 메서드


Application 속성

 Creator 속성

 FileName 속성

 FileType 속성

 FileTypes 속성

 FoundFiles 속성

 LastModified 속성

 LookIn 속성

 MatchAllWordForms 속성

 MatchTextExactly 속성

 PropertyTests 속성

 SearchFolders 속성

 SearchScopes 속성

 SearchSubFolders 속성

 TextOrProperty 속성


Add 메서드

 Remove 메서드
Application 속성

 Count 속성

 Creator 속성

 Item 속성
FileName 속성

 FileSearch 개체

 FileType 속성

 FileTypes 속성

 SearchFolders 컬렉션

 SearchScopes 컬렉션


Open 메서드

 RefreshDocument 메서드

 RefreshProject 메서드
Application 속성

 Creator 속성

 HTMLProjectItems 속성

 Parent 속성

 State 속성


LoadFromFile 메서드

 Open 메서드

 SaveCopyAs 메서드
Application 속성

 Creator 속성

 IsOpen 속성

 Name 속성

 Parent 속성

 Text 속성


Application 속성

 Creator 속성

 LanguageID 속성

 LanguagePreferredForEditing 속성

 Parent 속성


EnvelopeHide 이벤트

 EnvelopeShow 이벤트
CommandBars 속성

 Introduction 속성

 Item 속성

 Parent 속성


Add 메서드

 Remove 메서드
Application 속성

 Creator 속성


Application 속성

 Creator 속성

 Index 속성

 Name 속성

 Parent 속성

 Value 속성
ODSOColumns 개체

 ODSOFilter 개체

 ODSOFilters 개체

 OfficeDataSourceObject 개체


Application 속성

 Column 속성

 CompareTo 속성

 Comparison 속성

 Conjunction 속성

 Creator 속성

 Index 속성

 Parent 속성
ODSOColumn 개체

 ODSOColumns 개체

 ODSOFilters 개체

 OfficeDataSourceObject 개체


Add 메서드

 Delete 메서드

 Item 메서드
Application 속성

 Count 속성

 Creator 속성

 Parent 속성
ODSOColumn 개체

 ODSOColumns 개체

 ODSOFilter 개체

 OfficeDataSourceObject 개체


ApplyFilter 메서드

 Move 메서드

 Open 메서드

 SetSortOrder 메서드
ODSOColumns 개체

 ODSOFilters 개체
Columns 속성

 ConnectString 속성

 DataSource 속성

 Filters 속성

 RowCount 속성

 Table 속성
ODSOColumn 개체

 ODSOColumns 개체

 ODSOFilter 개체

 ODSOFilters 개체


PropertyTests 컬렉션 개체


AddToSearchFolders 메서드


Application 속성

 Count 속성

 Creator 속성

 Item 속성
FileSearch 개체

 SearchFolders 컬렉션

 SearchScopes 컬렉션


Delete 메서드
Application 속성

 Creator 속성

 Extended 속성

 Id 속성

 Language 속성

 Location 속성

 Parent 속성

 ScriptText 속성

 Shape 속성
Scripts 컬렉션 개체


Add 메서드

 Delete 메서드

 Item 메서드
Application 속성

 Count 속성

 Creator 속성

 Parent 속성


Add 메서드

 Remove 메서드
Application 속성

 Count 속성

 Creator 속성

 Item 속성
FileSearch 개체

 FileTypes 컬렉션

 LookIn 속성

 ScopeFolder 개체

 ScopeFolders 컬렉션

 SearchFolders 속성

 SearchScopes 컬렉션


Application 속성

 Creator 속성

 ScopeFolder 속성

 Type 속성
FileSearch 개체

 ScopeFolder 개체

 SearchScopes 컬렉션


Delete 메서드
Application 속성

 AttachCertificate 속성

 Creator 속성

 ExpireDate 속성

 IsCertificateExpired 속성

 IsCertificateRevoked 속성

 IsValid 속성

 Issuer 속성

 Parent 속성

 SignDate 속성

 Signer 속성


Add 메서드

 Commit 메서드
Application 속성

 Count 속성

 Creator 속성

 Item 속성

 Parent 속성


WebPageFonts 컬렉션 개체


Application 속성

 Count 속성

 Creator 속성

 Item 속성


새 이벤트

 새 메서드

 새 속성(알파벳순)

 새 속성(개체별)

 Microsoft Office 개발자를 위한 새로운 기능


FileDialog 개체


Assistant 개체

 Balloon 개체
Assistant 개체

 FileName 속성

 Office 길잡이 개요

 Visible 속성


AnswerWizard 개체

 AnswerWizardFiles 컬렉션 개체

 Assistant 개체

 Balloon 개체

 BalloonCheckbox 개체

 BalloonCheckBoxes 컬렉션 개체

 BalloonLabel 개체

 BalloonLabels 컬렉션 개체

 COMAddIn 개체

 COMAddIns 컬렉션 개체

 CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarControls 컬렉션 개체

 CommandBarPopup 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 DocumentProperty 개체

 FileDialog 개체

 FileDialogFilter 개체

 FileDialogFilters 컬렉션

 FileDialogSelectedItems 컬렉션

 FileSearch 개체

 FileTypes 컬렉션

 FoundFiles 개체

 HTMLProject 개체

 HTMLProjectItem 개체

 HTMLProjectItems 컬렉션 개체

 LanguageSettings 개체

 NewFile 개체

 ODSOColumn 개체

 ODSOColumns 개체

 ODSOFilter 개체

 ODSOFilters 개체

 PropertyTest 개체

 PropertyTests 컬렉션 개체

 ScopeFolder 개체

 ScopeFolders 컬렉션

 Script 개체

 Scripts 컬렉션 개체

 SearchFolders 컬렉션

 SearchScope 개체

 SearchScopes 컬렉션

 Signature 개체

 SignatureSet 컬렉션

 WebPageFont 개체

 WebPageFonts 컬렉션 개체


Signature 개체


명령 모음 사용


CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
CommandBar 개체

 CommandBarControl 개체

 FaceId 속성

 PasteFace 메서드

 명령 모음 사용


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
CommandBarControl 개체

 DescriptionText 속성

 Enabled 속성

 TooltipText 속성


BalloonCheckbox 개체


ODSOFilter 개체


CommandBarPopup 개체


MsoEnvelope 개체


PropertyTest 개체
NewSearch 메서드


COMAddIn 개체


PropertyTest 개체


CommandBar 개체
바로 가기 메뉴 추가 및 표시

 메뉴 모음과 메뉴 항목 추가 및 관리

 도구 모음 추가 및 수정

 명령 모음 사용
Context 속성


AnswerWizardFiles 컬렉션 개체

 BalloonCheckBoxes 컬렉션 개체

 BalloonLabels 컬렉션 개체

 COMAddIns 컬렉션 개체

 CommandBarControls 컬렉션 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 FileDialogFilters 컬렉션

 FileDialogSelectedItems 컬렉션

 FileTypes 컬렉션

 FoundFiles 개체

 HTMLProjectItems 컬렉션 개체

 ODSOColumns 개체

 ODSOFilters 개체

 PropertyTests 컬렉션 개체

 ScopeFolders 컬렉션

 Scripts 컬렉션 개체

 SearchFolders 컬렉션

 SearchScopes 컬렉션

 SignatureSet 컬렉션

 WebPageFonts 컬렉션 개체


COMAddIn 개체

 FileDialogFilter 개체


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
Caption 속성

 DisplayKeysInTooltips 속성

 DisplayTooltips 속성


CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
바로 가기 메뉴 추가 및 표시

 메뉴 모음과 메뉴 항목 추가 및 관리

 도구 모음 추가 및 수정

 명령 모음 사용


Script 개체


FileDialogFilter 개체


Assistant 개체

 FileSearch 개체
Animation 속성

 Office 길잡이 개요

 Office 길잡이 사용


FileDialog 개체

 OfficeDataSourceObject 개체


WebPageFont 개체


Assistant 개체
Office 길잡이 개요


Controls 속성


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
Help 메서드

 HelpFile 속성


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
Help 메서드

 HelpContextId 속성


CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체

 Script 개체


CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체

 ODSOColumn 개체

 ODSOFilter 개체


Signature 개체
IsCertificateRevoked 속성


Signature 개체
IsCertificateExpired 속성


AnswerWizardFiles 컬렉션 개체

 Assistant 개체

 BalloonCheckbox 개체

 BalloonCheckBoxes 컬렉션 개체

 BalloonLabel 개체

 BalloonLabels 컬렉션 개체

 CommandBarControls 컬렉션 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 FileDialog 개체

 FileTypes 컬렉션

 FoundFiles 개체

 MsoEnvelope 개체

 PropertyTests 컬렉션 개체

 ScopeFolders 컬렉션

 SearchFolders 컬렉션

 SearchScopes 컬렉션

 SignatureSet 컬렉션

 WebPageFonts 컬렉션 개체


LanguageSettings 개체


FileSearch 개체
NewSearch 메서드


Top 속성


DocumentProperty 개체
LinkToContent 속성


DocumentProperty 개체
LinkSource 속성


CommandBarButton 개체
Picture 속성


Assistant 개체

 Balloon 개체

 BalloonCheckbox 개체

 BalloonCheckBoxes 컬렉션 개체

 BalloonLabel 개체

 BalloonLabels 컬렉션 개체

 CommandBar 개체

 DocumentProperty 개체

 HTMLProjectItem 개체

 ODSOColumn 개체

 PropertyTest 개체

 ScopeFolder 개체
NameLocal 속성


CommandBar 개체
Name 속성


AnswerWizard 개체

 AnswerWizardFiles 컬렉션 개체

 Assistant 개체

 Balloon 개체

 BalloonCheckbox 개체

 BalloonCheckBoxes 컬렉션 개체

 BalloonLabel 개체

 BalloonLabels 컬렉션 개체

 COMAddIn 개체

 COMAddIns 컬렉션 개체

 CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarControls 컬렉션 개체

 CommandBarPopup 개체

 CommandBars 컬렉션 개체

 DocumentProperties 컬렉션 개체

 DocumentProperty 개체

 FileDialog 개체

 FileDialogFilter 개체

 FileDialogFilters 컬렉션

 FileDialogSelectedItems 컬렉션

 HTMLProject 개체

 HTMLProjectItem 개체

 HTMLProjectItems 컬렉션 개체

 LanguageSettings 개체

 MsoEnvelope 개체

 ODSOColumn 개체

 ODSOColumns 개체

 ODSOFilter 개체

 ODSOFilters 개체

 Script 개체

 Scripts 컬렉션 개체

 Signature 개체

 SignatureSet 컬렉션


ScopeFolder 개체


CommandBarButton 개체
Mask 속성


SearchScope 개체


PropertyTest 개체
Value 속성


CommandBarButton 개체
Office 길잡이 개요


CommandBarButton 개체

 HTMLProject 개체


CommandBarButton 개체

 CommandBarComboBox 개체


FindControl 메서드


Balloon 개체

 BalloonCheckbox 개체

 BalloonLabel 개체

 CommandBarComboBox 개체

 HTMLProjectItem 개체
풍선 만들기 및 수정

 Heading 속성

 Office 길잡이 개요

 Show 메서드


CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
Caption 속성

 DescriptionText 속성


Left 속성


DocumentProperty 개체

 ODSOColumn 개체

 PropertyTest 개체


Assistant 개체

 CommandBar 개체

 CommandBarButton 개체

 CommandBarComboBox 개체

 CommandBarControl 개체

 CommandBarPopup 개체
Office 길잡이 개요

 Office 길잡이 사용


새 이벤트

 새 메서드

 새 개체

 새 속성(개체별)

 Microsoft Office 개발자를 위한 새로운 기능


새 이벤트

 새 메서드

 새 개체

 새 속성(알파벳순)

 Microsoft Office 개발자를 위한 새로운 기능


Height 속성


풍선 만들기 및 수정

 명령 모음 개요

 Office 길잡이 개요

 명령 모음 사용

 Office 길잡이 사용


INDEX~TEXT
seealso~"참고&nbsp;항목"
appliesto~"적용&nbsp;대상"
elements~"요소"
properties~"속성"
methods~"메서드"
events~"이벤트"
example~"예제"
specifics~"특성"
show~"설명&nbsp;표시"
hide~"설명&nbsp;숨기기"